
Android = {}

Android.paused = false
Android.lastMinAlpha = 0.0
Android.lastMaxAlpha = 1.0

-- Returns to a known android state
Android.reset = function()
    if (not Platform.android) then return end

    -- render continuously
    Scheduler.schedule(true, true, 0, false, 0, 0)

    -- orientation unlocked
    Avatar.setWindowLockOrientation(false)

    -- screen can sleep
    Avatar.setWindowKeepScreenOn(false)
end

Android.enableTouchIntercept = function(enable)
    if (not Platform.android) then return end

--    if (enable) then
--        PixelPipe.setPPTouchEnabled(true, false, false)
--    else
--        PixelPipe.setPPTouchEnabled(false, false, false)
--    end
end

Android.acquireScreen = function()
    if (not Platform.android) then return end

    -- lock orientation on the kickup
    Avatar.setWindowLockOrientation(true)

    -- keep screen on
    Avatar.setWindowKeepScreenOn(true)

    -- launch transparent dummy activity
    Avatar.setEnableActivity(true, true, 0, 0x0, true, false, false)

    -- prevent cloud service from killing us
    if (Avatar.setCanPreempt ~= nil) then
        Avatar.setCanPreempt(false)
    end
end

Android.onFadeInForest = function()
-- set lights out mode
    Avatar.updateActivityParams(1, 0x0, false, true, true)
end

Android.isPaused = function()
    return Android.paused
end

Android.onPause = function()
    if (not Platform.android) then return end

    Android.paused = true

	if(GUI) then
		GUI.hide()
	end

    Avatar.setWindowLockOrientation(false)
    Avatar.setWindowKeepScreenOn(false)

    local range = mainView:getAlphaRange()
    Android.lastMinAlpha = range.min
    Android.lastMaxAlpha = range.max
    mainView:setAlphaRange(0.0, 0.0)

    Scheduler.cancel()
    Scheduler.requestFrame()

    Sensor.pause()
end

Android.setAlphaRange = function(min, max)
    Android.lastMinAlpha = min;
    Android.lastMaxAlpha = max;
    mainView:setAlphaRange(Android.lastMinAlpha, Android.lastMaxAlpha)
end

Android.onResume = function()
    if (not Platform.android) then return end

    Android.paused = false

    if (Platform.debug or Platform.release) then
        GUI.show()
    end

    Avatar.setWindowLockOrientation(true)
    Avatar.setWindowKeepScreenOn(true)
    mainView:setAlphaRange(Android.lastMinAlpha, Android.lastMaxAlpha)

    Scheduler.schedule(true, true, 0, false, 0, 0)

    Sensor.resume()
end
