
local Logger = TaggedLog("Buggynight", false)

Buggynight = {}

Buggynight.interrupted = false
Buggynight.endOfShow = false
Buggynight.lightTimer = 1.5;

Buggynight.onStartup = function(self)
    Global.initShow()
    Global.clearColor:set(0, 0, 0, 1)
    Android.setAlphaRange(1, 1)
    Global.startShow()
    Android.onFadeInForest()
    Scheduler.schedule(true, true, 0, false, 0, 0)

    local globalControllers = Global.scene.actors.GlobalControllers
    
    local prompt = Context.getPromptType()
    local lightOnDelay = 3.0
    
    if (prompt == PROMPT_HAT_FLOURISH_INTRO_MIDDLE_IDLE) then
        lightOnDelay = 0
    end
    
    globalControllers.components["SpotLightController"]:fadeBlackToLight(lightOnDelay)

    return true
end

Buggynight.showEnded = function()
    Buggynight.endOfShow = true
end

Buggynight.onShutdown = function(self)
end

Buggynight.onUpdate = function(self)
    Global.onUpdate()
    
    if (self.lightTimer > 0) then
        self.lightTimer = self.lightTimer - Time.dt();
        if (self.lightTimer < 0) then
        end
    end 
   
    if (Buggynight.interrupted or Global.shutdown) then
        return "launcher_interrupted"
    elseif (Buggynight.endOfShow) then
        return "endofshow"
    end
end

Buggynight.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

Buggynight.onRender = function(self)
    if not Android.isPaused() then
	   Global.onRender()
    end
end

Buggynight.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            Buggynight.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            Buggynight.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("buggynight", Buggynight)
