local Logger = TaggedLog.new("LockCameraActor", false)

LockCameraActor = {
    actorName = nil,  -- Name of actor the camera should track
    threshold = 30,   -- Threshold for the tracking in degrees
}

function LockCameraActor:new(params)
    local o = shallowcopy(params) or {}

    setmetatable(o, self)
    self.__index = self

    return o
end

function LockCameraActor:onStart()
    if self.actorName then
        local actor = ActorManager:getActor(self.actorName, false)
        if actor then
            local target = actor.targetBone or actor
            Logger:message("Setting camera lock to actor: " .. self.actorName .. ", threshold = " .. tostring(self.threshold))
            Global.scene.mainCamera.controller:setTarget(target, self.threshold)
        end
    end
end

function LockCameraActor:onDestroy()
    if self.actorName then
        Logger:message("Turning off camera lock for actor: " .. self.actorName)

        Global.scene.mainCamera.controller:setTarget(nil, 0)
    end
end
