
ColorAnimator  = {}
ColorAnimator.__index = ColorAnimator

function ColorAnimator:new(params)
    local o = shallowcopy(params) or {}

    setmetatable(o, self)
    self.__index = self

    return o
end

function ColorAnimator:onStart()
    self.material = self.object:findMaterial(self.materialName)
end

function ColorAnimator:onUpdate()

    local animControl = self.object:getBoneLocal(self.trackingTarget)
    local animPos = animControl.position.y
    local amount = math.clamp01(math.inverseLerp(self.range.x, self.range.y, animPos));
    local color = Vector.lerp(amount, self.startColor, self.endColor)
   
    --Global.AppDebugText1 = animPos;
    --Global.AppDebugText2 = amount;

    local parameterTable = {}
    parameterTable[self.animatedParameter] = color
    self.material:setParameters(parameterTable);
    
end