
local Logger = TaggedLog("LookAtDetector", true)

LookAtDetector = {
    detectorCore = nil
}

LookAtDetector.new = function(self, params)
    local o = shallowcopy(params) or {}

    Logger:message("table = " .. table.tostring(o))
    setmetatable(o, self)
    self.__index = self

    return o
end

LookAtDetector.onStart = function(self)
    self.detectorCore = Global.scene:createTransform("detectorTransform")

    if (self.detectorCore) then
        self.detectorCore:addComponent("LookAtDetectorCore", LookAtDetectorCore:new( {colliderRadius = self.colliderRadius, label = self.object.name, } ))
        local transform = self.detectorCore:getLocal()
        if (self.basePosition) then
            transform.position = Vector(self.basePosition[1], self.basePosition[2], self.basePosition[3])
        end

        self.detectorCore:setLocal( transform )
    end
    self.object:addChild(self.detectorCore)
end

LookAtDetector.lookedAt = function(self)
    if (self.detectorCore and self.detectorCore.components) then
        return self.detectorCore.components["LookAtDetectorCore"].lookedAt
    end
    return false
end
