
local Logger = TaggedLog("SimpleParticles", true)
local debugMode = true

SimpleParticles = {}

function SimpleParticles:new(params)
    local o = shallowcopy(params) or {}

    Logger:message("table = " .. table.tostring(o))
    setmetatable(o, self)
    self.__index = self

    return o
end

function SimpleParticles:onStart()
    Events.listen(self, "segmentPlaying")
    self.fadeAmount = 0;
    self.fadeTime = 0;
	self.emitter = Global.scene:createParticleEmitter(self.emitterName, "buggynight:particles/" .. self.mpxFileName .. ".mxp" )
    local newPos = self.position or Vector(0,0,0)
    self.emitter:setLocal( SRT.new( newPos, Quaternion.identity, Vector(1,1,1) ) )
end

function SimpleParticles:onUpdate()
   if (self.fadeAmount > 0) then
        self.fadeAmount = self.fadeAmount - (Time.dt()/self.fadeTime)
        local amount = math.clamp01(self.fadeAmount)
        local matColor = Vector.new(amount, amount, amount, amount)
        self.emitter:setColor(matColor)
    end
end

function SimpleParticles:fadeOut(duration)
    self.fadeAmount = 1
    self.fadeTime = duration
end

function SimpleParticles:segmentPlaying(segmentName)
	if (segmentName == "EndC") then
		self:fadeOut(1)
	end
end


function SimpleParticles:onDestroy()
    Events.stopListening(self, "segmentPlaying")
    if (self.emitter and status(self.emitter) ~= nil) then
        self.emitter:destroy()
        self.emitter = nil
    end
end
