
TextureAnimator  = {}
TextureAnimator.__index = TextureAnimator

function TextureAnimator:new(params)
    local o = shallowcopy(params) or {}

    setmetatable(o, self)
    self.__index = self

    return o
end

function TextureAnimator:onUpdate()

    local lightSwitch = self.object:getBoneLocal(self.trackingTarget)
    local lightSwitchPos = lightSwitch.position.y
    local switchAmount = math.inverseLerp(self.switchRange.x, self.switchRange.y, lightSwitchPos);

    for name, material in pairs(self.object.materials) do
        material:setParameters({ u_MiddleTexFade = math.clamp01((switchAmount * 3) - 0), u_TopTexFade = math.clamp01((switchAmount * 3) - 2), });   
    end
end
