
TextureBlender  = {}
TextureBlender.__index = TextureBlender

function TextureBlender:new(params)
    local o = shallowcopy(params) or {}

    setmetatable(o, self)
    self.__index = self

    return o
end

function TextureBlender:onStart()
    self.material = self.object:findMaterial(self.materialName)
end

function TextureBlender:onUpdate()

    local blendControl = self.object:getBoneLocal(self.trackingTarget)
    local blendPos = blendControl.position.y
    local blendAmount = math.inverseLerp(self.switchRange.x, self.switchRange.y, blendPos);

    self.material:setParameters({ u_BlendAmount = math.clamp01(blendAmount) });
    
end
