
local Logger = TaggedLog("EndOfShow", true)

EndOfShow = {
    doneTimer = 3,
}

EndOfShow.onStartup = function(self)
    local lastBug = ActorManager:getActor("Wah", true)
    lastBug:setVisibility(false)

    local launcherRig = Global.scene:createActor("LauncherRig", LaunchData.actors.LauncherRig)
    local launcherBug = Global.scene:createActor("LauncherBug", LaunchData.actors.LauncherBug)
    Global.scene.screenSpace:addChild(launcherRig)
    launcherBug:addComponent("LauncherBugMover", LauncherBugMover.new(lastBug, "Wah:bug1_mox_cn_upperbody|Wah:bug1_MOXIE_skeleton|RootNode", launcherRig, "BugPosition|RootNode"))

    launcherRig:setVisibility(false)
    launcherBug:setVisibility(true)

    launcherRig.animation["Outro"]:play()
    launcherBug.animation["Outro"]:play()

    launcherBug.components.LauncherBugMover:startTransition(0.25, 0)
    
    --fade to homescreen
    local globalControllers = Global.scene.actors.GlobalControllers
    globalControllers.components["SpotLightController"]:fadeBlackToClear(0.10)

    --Global.clearColor:set(0, 0, 0, 0)
    Android.setAlphaRange(0, 1)

    if (Avatar) then
        Avatar.setEnableActivity(false, true, 1, 0x0, true, false, false)
    end

    Global.showEnded()
end

EndOfShow.onUpdate = function(self)
    Global.onUpdate()

    EndOfShow.doneTimer = EndOfShow.doneTimer - Time.dt()

    if (EndOfShow.doneTimer <= 0) then
        Context.onGoodWayOut()
    end
    
    
end

EndOfShow.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

EndOfShow.onRender = function(self)
    Global.onRender()
end

EndOfShow.onEvent = function(self, event)
    if (event.type == "onChangeDisplaySize") then
        Global.updateScreenSize()
    end

    Scheduler.requestFrame()

    return false
end

Shell.attach("endofshow", EndOfShow)
