
-- Assets specific to the launch sequence
LaunchData = LaunchData or {}
LaunchData.actors = LaunchData.actors or {}

LaunchData.actors.LauncherBug = {
    model = "buggynight:models/launcherbug_osd.mxm",
    
    animation = {
        IntroLocal =        { "buggynight:anims/launcherbug_introlocal.mxa", 94, 170, false },
        Prompt =            { "buggynight:anims/launcherbug_launchintro.mxa", -56, 73, false },
        Intro =             { "buggynight:anims/launcherbug_launchintro.mxa", 130, 194, false },
        IntroB =             { "buggynight:anims/launcherbug_launchintro.mxa", 130, 194, false },
        
        Outro =             { "buggynight:anims/launcherbug_launchexit.mxa", 1, 57, false },
        
        PopOut =            { "buggynight:anims/launcherbug_launchintro.mxa", 80, 94, false },
        PopIn =             { "buggynight:anims/launcherbug_launchintro.mxa", 100,120, false },
        
        Interrupt =         { "buggynight:anims/launcherbug_launchinterrupt.mxa", 1, 108, false },
        
        ContinueStart =     { "buggynight:anims/launcherbug_launchcontinue.mxa", 1, 61, false },
        ContinueLoop =      { "buggynight:anims/launcherbug_launchcontinue.mxa", 41, 61, false },
        ContinueEnd =       { "buggynight:anims/launcherbug_launchcontinue.mxa", 65, 90, false },
       
        ReplayStart =       { "buggynight:anims/launcherbug_launchreplay.mxa", 1, 64, false },
        ReplayLoop =        { "buggynight:anims/launcherbug_launchreplay.mxa", 45, 64, false },
        ReplayEnd =         { "buggynight:anims/launcherbug_launchreplay.mxa", 65, 105, false },
        ReplayFull =         { "buggynight:anims/launcherbug_launchreplay.mxa", 1, 105, false },
   },

    materials = {
        {
			name = "LauncherBug:Mat_Bug", 
			shader = "buggynight:shaders/character.rsfx", 
			technique = "characterbodysimple", 
			renderGroup = 2, 
			shaderFlags = SCF_LIGHTING, 
			textures = { u_MainTex = "buggynight:textures/bug01_diffuse.dds", }, 
			parameters = { 
				u_DarkColor = Color.new( 1, 1, 1, 1 ), 
				u_TexContrast = 1.0, 
				u_TexOffset = -0.5, 
				u_AmbientLightColor = Color.new( 1, 1, 1, 1 ), 
				u_LightDirection = Vector.new( 0, -1, 0, 0 ), 
				u_MainTex_ST = Vector.new(1, 1, 0, 0), 
				u_Emissive = 0.0,
			}, 
        },
        { 
			name = "LauncherBug:Mat_BugEye", 
			shader = "buggynight:shaders/character.rsfx", 
			technique = "character_eyeball", 	
			renderGroup = 2,
			textures = { }, 
			parameters = {
                u_DarkColor = Color.new( 0.2, 0.2, 0.2, 1 ), 
                u_TexContrast = 0.3, 
                u_TexOffset = 0.3,
                u_AmbientLightColor = Color.new( 1, 1, 1, 1 ), 
                u_LightDirection = Vector.new( 0, -1, 0, 0 ), 
                u_MainTex_ST = Vector.new(1, 1, 0, 0), 
                u_Emissive = 1.0,
            },    
		},
        { 
            name = "LauncherBug:Mat_BugPupil",
            shader = "buggynight:shaders/character.rsfx", 
            technique = "character_pupil", 
            renderGroup = 2, 
            textures = {},
            parameters = { u_zOffset = -0.001, },
        },
    },
}
-- Define in SceneData as the IntroRig needs to be created by the ActorManager to have an animDriver
SceneData.actors.IntroRig = {
    model = "buggynight:models/introrig.mxm",
    animation = {
        Intro =             { "buggynight:anims/introrig_intro.mxa", 94, 170, false },
        IntroB =             { "buggynight:anims/introrig_intro.mxa", 171, 280, false },
    },
    targetBone = "BugPosition|RootNode",
}

LaunchData.actors.LauncherRig = { 
    model = "buggynight:models/launcherrig.mxm",
    animation = {
        Prompt =            { "buggynight:anims/launcherrig_launchintro.mxa", -56, 71, false },
        Intro =             { "buggynight:anims/launcherrig_launchintro.mxa", 130, 194, false },
        
        Outro =             { "buggynight:anims/launcherrig_launchexit.mxa", 1, 57, false },
        
        PopOut =            { "buggynight:anims/launcherrig_launchintro.mxa", 80, 94, false },
        PopIn =             { "buggynight:anims/launcherrig_launchintro.mxa", 100,118, false },
        
        Interrupt =         { "buggynight:anims/launcherrig_launchinterrupt.mxa", 1, 108, false },
        
        ContinueStart =     { "buggynight:anims/launcherrig_launchcontinue.mxa", 1, 61, false },
        ContinueLoop =      { "buggynight:anims/launcherrig_launchcontinue.mxa", 41, 61, false },
        ContinueEnd =       { "buggynight:anims/launcherrig_launchcontinue.mxa", 65, 90, false },
       
        ReplayStart =       { "buggynight:anims/launcherrig_launchreplay.mxa", 1, 64, false },
        ReplayLoop =        { "buggynight:anims/launcherrig_launchreplay.mxa", 45, 64, false },
        ReplayEnd =         { "buggynight:anims/launcherrig_launchreplay.mxa", 65, 105, false },
        ReplayFull =         { "buggynight:anims/launcherrig_launchreplay.mxa", 1, 105, false },
    },
    materials = { 
        {
            name = "Mat_Black",
            shader = "buggynight:shaders/unlit.rsfx",
            technique = "texture",
            renderGroup = 2,
            textures = { u_MainTex = "buggynight:textures/blackhole.dds", },
            parameters = {
                u_MainTex_ST = Vector.new(1, 1, 0, 0),
            },
        },
    }
}


