
-- Assets specific to the launch sequence
def = def or {}
def.actors = def.actors or {}

def.actors.LaunchHat = {
    model = "windyday:models/hat.mxm",
    
    animation = {
        Prompt = { "windyday:anims/hat_endshowreturn.mxa", 550, 802, false },
        TSBIdle = { "windyday:anims/hat_endshowreturn.mxa", 802, 802, false },
        PopOut = { "windyday:anims/hat_endshowreturn.mxa", 800, 820, false },
        PopIn = { "windyday:anims/hat_endshowreturn.mxa", 840,923, false },
        IntroStatic = { "windyday:anims/hat_introstatic.mxa", 65, 195, true },
        ToNotificationFromTSB = { "windyday:anims/hat_endshowreturn.mxa", 930, 1003, false },
        ToNotificationFromFWO = { "windyday:anims/hat_endshowreturn.mxa", 1030, 1103, false },
        LoadCoverIntro = { "windyday:anims/hat_enter.mxa", 245, 305, false },
        LoadCoverIdle = { "windyday:anims/hat_enter.mxa", 306, 503, true },
        LoadCoverOutroStart = { "windyday:anims/hat_enter.mxa", 448, 499, false },
        LoadCoverOutroContinue = { "windyday:anims/hat_enter.mxa", 448, 499, false },
        EndOfShow = { "windyday:anims/hat_endshowreturn.mxa", 427, 496, false },

        GWIIdleShort = { "windyday:anims/hat_gwiidleshort.mxa", 1, 168, true },
        GWIIdleLong = { "windyday:anims/hat_gwiidlelong.mxa", 1, 82, true },
        HatIntroLocal = { "windyday:anims/hat_hatintrolocal.mxa", 101, 420, false },
    },
    
    materials = { 
        { name = "Mat_HatTexture", shader = "windyday:shaders/character.rsfx", technique = "characterbodysimple_skinned", renderGroup = 6, textures = { u_MainTex = "windyday:textures/hat_diffuse_325_256px.dds", }, parameters = { u_DarkColor = Color.new( 0.2235294, 0.172549, 0.1176471, 1 ), u_TexContrast = 0.75, u_TexOffset = 0.5, u_AmbientLightColor = Color.new( 1, 1, 1, 1 ), u_LightDirection = Vector.new( 0, -1, 0, 0 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    },
}

def.actors.TSBRig = { 
    model = "windyday:models/gwi_hatrig.mxm",
    animation = {
        Prompt = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 550, 802, false },
        TSBIdle = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 802, 802, false },
        PopOut = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 800, 820, false },
        PopIn = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 840,923, false },
        IntroStatic = { "windyday:anims/gwi_hatrig_introstatic.mxa", 65, 195, false },
        ToNotificationFromTSB = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 930, 1003, false },
        ToNotificationFromFWO = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 1030, 1103, false },
        LoadCoverIntro = { "windyday:anims/gwi_hatrig_enter.mxa", 245, 305, false },
        LoadCoverIdle = { "windyday:anims/gwi_hatrig_enter.mxa", 306, 503, true },
        LoadCoverOutroStart = { "windyday:anims/gwi_hatrig_enter.mxa", 448, 499, false },
        LoadCoverOutroContinue = { "windyday:anims/gwi_hatrig_enter.mxa", 448, 499, false },
        EndOfShow = { "windyday:anims/gwi_hatrig_endshowreturn.mxa", 427, 496, false },
    },
    materials = { 
        { name = "Mat_Black", shader = "windyday:shaders/unlit.rsfx", technique = "texture", renderGroup = 2, textures = { u_MainTex = "windyday:textures/blackhole.dds", }, parameters = { u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    }
}

def.actors.FadingHat = {
    model = "windyday:models/hat.mxm",
    
    animation = {
        GWIIdleShort = { "windyday:anims/hat_gwiidleshort.mxa", 1, 168, true },
        GWIIdleLong = { "windyday:anims/hat_gwiidlelong.mxa", 1, 82, true },
        EndOfShow = { "windyday:anims/hat_endshowreturn.mxa", 427, 496, false },
        Return = { "windyday:anims/hat_endshowreturn.mxa", 200, 283, false },
        Intro_Fresh = { "windyday:anims/hat_gwi01.mxa", 90, 195, true },
        Intro_Notification = { "windyday:anims/hat_gwi01.mxa", 205, 335, true },
        Intro_Return = { "windyday:anims/hat_endshowreturn.mxa", 65, 130, false },
        HatCycleLocal = { "windyday:anims/hat_hatintrolocal.mxa", 1, 100, false },
        HatIntroLocal = { "windyday:anims/hat_hatintrolocal.mxa", 101, 420, false },
    },
    
    materials = { 
        { name = "Mat_HatTexture", shader = "windyday:shaders/character.rsfx", technique = "characterbodysimple___transparent_culling_skinned", renderGroup = 6, textures = { u_MainTex = "windyday:textures/hat_diffuse_325_256px.dds", }, parameters = { u_Color = Color.new( 1, 1, 1, 1 ), u_DarkColor = Color.new( 0.2235294, 0.172549, 0.1176471, 1 ), u_TexContrast = 0.75, u_TexOffset = 0.5, u_AmbientLightColor = Color.new( 1, 1, 1, 1 ), u_LightDirection = Vector.new( 0, -1, 0, 0 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    },
}

def.actors.IconHat = { 
    model = "windyday:models/iconhat.mxm",
    animation = {
        Prompt = { "windyday:anims/iconhat_land.mxa", 1, 274, false },
        PromptEnd = { "windyday:anims/iconhat_land.mxa", 269, 274, false },
        Return = { "windyday:anims/iconhat_land.mxa", 269, 274, false },
        Abort = { "windyday:anims/iconhat_land.mxa", 860, 908, false },
        Figit01 = { "windyday:anims/iconhat_land.mxa", 290, 393, false },
        Figit02 = { "windyday:anims/iconhat_land.mxa", 420, 515, false },
        Figit03 = { "windyday:anims/iconhat_land.mxa", 547, 647, false },
        PromptFast = { "windyday:anims/iconhat_land.mxa", 1000, 1030, false },
    },
    materials = { 
        { name = "Mat_IconHat", shader = "windyday:shaders/unlit.rsfx", technique = "transparent_with_color_nodepth", renderGroup = 7, textures = { u_MainTex = "windyday:textures/iconhat.dds", }, parameters = { u_Color = Color.new( 1, 1, 1, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    }
}

def.actors.TSBHiLite = { 
    model = "windyday:models/tsbhilite.mxm",

    materials = { 
        { name = "TSBGlow", shader = "windyday:shaders/unlit.rsfx", technique = "transparent_with_color_tsb_clip", renderGroup = 5, textures = { u_MainTex = "windyday:textures/tsb_glow.dds", }, parameters = { u_Color = Color.new( 1, 0, 0, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    }
}

def.actors.FakeScreen = { 
    model = "windyday:models/screenshot.mxm",

    materials = { 
        { name = "Mat_ScreenShot", shader = "windyday:shaders/unlit.rsfx", technique = "transparent_with_color", renderGroup = 5, textures = { u_MainTex = "windyday:textures/screenshot.dds", }, parameters = { u_Color = Color.new( 1, 1, 1, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    },
}   

def.actors.WhiteFade = { 
    model = "windyday:models/whitefade.mxm",

    materials = { 
        { name = "Mat_WhiteFade", shader = "windyday:shaders/unlit.rsfx", technique = "transparent_with_color_nodepth", renderGroup = 5, textures = { u_MainTex = "windyday:textures/whitecap.dds", }, parameters = { u_Color = Color.new( 1, 1, 1, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, },
    },
}
