
-- First state following launch
-- Hide (blacklist) state loops back to start
-- After posting a notification, intro state loops back to start

Launcher.start = {
    onStartup = function(self)
        Android.reset()

        -- display splash screen if the last session ended with a GWO
        if (Context.getPromptType() == PROMPT_SHOW_LIBRARY) then
            if (Avatar.showLibrary) then 
            	Avatar.showLibrary();
			end

            -- mark us as done - the next time we launch, we will just idle
            Context.onDone()
        end

        -- tick once
        Scheduler.cancel()
        Scheduler.requestFrame()
        return true
    end,

    onUpdate = function(self)
        local prompt = Context.getPromptType()
        if (prompt ~= nil and prompt ~= PROMPT_SHOW_LIBRARY and Context.canShowHat()) then
            -- we have a scenario to run, start loading gwi assets
            return "launcher_load1"
        else
            -- there is nothing to present
        end
    end,

    onRender = function(self)
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onShutdown = function(self)
    end,

    onEvent = function(self, event)
        if (Context.canShowHat()) then
            Scheduler.requestFrame()
        end
    end
}
