
Launcher.trailer = {
    sets = {},

    onStartup = function(self)
        Global.clearColor:set(0, 0, 0, 1)
        Android.setAlphaRange(1, 1)
        InputManager:enableSensors(true)
        Global.scene.mainCamera.controller:UseSensor()
        Android.acquireScreen()

        Scheduler.schedule(true, true, 0, false, 0, 0)

		
		self.edgeAnimation = Global.scene:createActor("EdgeAnimation", LaunchData.actors.EdgeOfScreenBug)
        --edgeAnimation:setVisibility(false)
        Global.scene.screenSpace:addChild(self.edgeAnimation)
		self.edgeAnimation.animation["Anim"]:play()
		
        -- Create initial forest
        for _, setName in ipairs(SceneData.sets.Intro) do
            local setPiece = ActorManager:getActor(setName, true)
            if setPiece then
                table.insert(self.sets, setPiece)
                setPiece:setVisibility(true)
            end
        end
		self:onReshape(	Global.screen_size.x, Global.screen_size.y)
        Events.listen(self, "touchDown")
        return true
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
        if self.edgeAnimation then
            local bugTransform = self.edgeAnimation:getLocal()
            if (bugTransform ~= nil) then
                local bugTransform = self.edgeAnimation:getLocal()
                local currentScreenRatio = Global.screen_size.y / Global.screen_size.x
                local currentScale = 1/currentScreenRatio
				
                bugTransform.position.x =  0.8
                bugTransform.position.y = -1.46
				
                if (currentScreenRatio > 1) then
                    bugTransform.position.y = bugTransform.position.y * (currentScreenRatio)
                end
                if (currentScreenRatio < 1) then
                    bugTransform.scale = Vector(currentScale, currentScale, currentScale)
					bugTransform.position.x =  bugTransform.position.x * (Global.screen_size.x/Global.screen_size.y)
               end

                self.edgeAnimation:setLocal(bugTransform)
            end
        end
	end,

    onUpdate = function(self)
        Global.onUpdate()

        if ((Platform.win32  or Platform.mac) and Input.getMouseButton(MB_L_BUTTON)) then
            self:touchDown()
        end

        if self.launchShow then
            return "launcher_load2"
        end
    end,

	endTrailer = function(self)
		local edgebug = Global.scene.actors.EdgeAnimation
		if edgebug then
			--Log.message("** Edge bug Deleted")
			edgebug:destroy()
			self.edgeAnimation = nil
		end
    end,

    startShow = function(self, fromX, fromY, fromW, fromH, toX, toY, toW, toH)
        self.launchShow = true

        local launcherBug = Global.scene.actors.LauncherBug
        if launcherBug and fromX then
            local bugOffsetX = fromX - toX
            local bugOffsetY = fromY - toY

            local screenPos = mainView:project(launcherBug:getWorld().position)
			
			local toRightEdge = toX
			local toLeftEdge = toX + toW
			local bugFromX = fromX + (fromW * 0.8)
			local bugToXPos_Normalized = math.inverseLerp( toRightEdge, toLeftEdge, bugFromX)
			
			local toUpperEdge = toY
			local toLowerEdge = toY + toH
			local bugFromY = fromY + (fromH * 0.9)
			local bugToYPos_Normalized = math.inverseLerp( toUpperEdge, toLowerEdge, bugFromY)
			
			--Global.AppDebugText2 = "Norm = " .. tostring(toUpperEdge) .. ", " .. tostring(toLowerEdge) .. ", " tostring(bugFromY)
			
			--Global.AppDebugText3 = "Pos = " .. tostring(bugToXPos_Normalized) .. ", " .. tostring(bugToYPos_Normalized)
			
            launcherBug.components.LauncherBugMover:setBugOffset(bugToXPos_Normalized, bugToYPos_Normalized)
        end

        -- Ditch trailer set
        for _, setPiece in ipairs(self.sets) do
            setPiece:destroy()
        end
        self.sets = {}

        -- Reset rendering stuff
        Global.clearColor:set(0, 0, 0, 0)
        Android.setAlphaRange(0, 1)

        -- HACK: manhandle the camera to force it back to the initial state so the bug lines up properly
        Global.lockHeading = true
        Global.scene.mainCamera:removeComponent("cameraControl")
        local localT = Global.scene.mainCamera:getLocal()
        localT.rotation = Quaternion.new()
        Global.scene.mainCamera:setLocal(localT)
        Global.scene.mainCamera.controller = Global.scene.mainCamera:addComponent("cameraControl", CameraController:new())
    end,

    onRender = function(self)
		--Log.message("** onRender() called")
        if not Android.isPaused() then
			--Log.message("** onRender(): Drawing frame")
            Global.onRender()
        end
    end,

    onShutdown = function(self)
        Events.stopListening(self, "touchDown")
    end,

    touchDown = function(self)
       -- if self.trailerEnded then
           -- self:startShow(10, 300, 700, 400, 0, 10, 720, 1200)
       -- else
           -- self:endTrailer()
           -- self.trailerEnded = true
       -- end
    end,

}
