
Launcher.wait = {

    bugTapped = false,

    onStartup = function(self)
        Android.reset()
        if (Platform.android) then
            Scheduler.schedule(false, false, 1, false, 1000 * (1 + Config.active().hatHideTime), 0)
        end
        Android.enableTouchIntercept(true)

        Global.lockHeading      = true
        self.startTime = os.time()

        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()

        local hatShownFor = os.time() - self.startTime
        local hatShownEnough = hatShownFor >= Config.active().hatHideTime

        if (Context.isBlacklisted() or hatShownEnough) then
            return "launcher_hide"
        elseif (Context.isTSBHatTimedOut()) then
            return "launcher_timeout"
        else
            return "launcher_intro"
        end

        if (Platform.win32 or Platform.mac) then
            if (Input.getMouseButton(MB_L_BUTTON)) then
                local pos = Input.getMousePosition()
                local rig = Global.scene.actors.LauncherRig
                if (mainView:hitTest(rig, pos)) then
                    self.bugTapped = true
                end
            end
        end

        if (PixelPipe == nil) then
            return "launcher_intro"
        end
	end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        Global.onRender()
    end,
    
    onShutdown = function(self)
        Android.enableTouchIntercept(false)
    end,

    onEvent = function(self, event)
        -- tick on any event
        Scheduler.requestFrame()

        if (event.type == "onTouchUp") then
            self.bugTapped = true

            Launcher.load2.prefetchAddl()
        elseif (event.type == "onInterceptTouch") then
            local rig = Global.scene.actors.LauncherRig
            local pos = Vector(event.data.windowX + event.data.x, event.data.windowY + event.data.y)
            return rig and mainView:hitTest(rig, pos)
        end
    end
}
