
SceneData = SceneData or {}
SceneData.segments = SceneData.segments or {}
SceneData.sets = SceneData.sets or {}

SceneData.sets.GenericRight = {
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Slice_I",
    "Slice_J",
    "Slice_K",
    "Skybox",
}

SceneData.sets.GenericRightPlus = {
    "Slice_A",
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Slice_I",
    "Slice_J",
    "Slice_K",
    "Slice_L",
    "Skybox",
}

SceneData.sets.GenericRightSmall = {
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Slice_I",
    "Slice_J",
    "Slice_K",
    "Skybox",
}

SceneData.sets.GenericRightSmallPlus = {
    "Slice_A",
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Slice_I",
    "Slice_J",
    "Slice_K",
    "Slice_L",
    "Skybox",
}

SceneData.sets.GenericLeft = {
    "Slice_B",
    "Slice_C",
    "Slice_D",
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Skybox",
}

SceneData.sets.GenericLeftPlus = {
    "Slice_A",
    "Slice_B",
    "Slice_C",
    "Slice_D",
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Slice_L",
    "Skybox",
}

SceneData.sets.GenericLeftSmall = {
    "Slice_B",
    "Slice_C",
    "Slice_D",
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Skybox",
}

SceneData.sets.GenericLeftSmallPlus = {
    "Slice_A",
    "Slice_B",
    "Slice_C",
    "Slice_D",
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Slice_L",
    "Skybox",
}

SceneData.sets.Intro = {
    "Slice_A",
    "Slice_B",
    "Slice_C",
    "Slice_D",
    "Slice_E",
    "Slice_F",
    "Slice_G",
    "Slice_H",
    "Slice_I",
    "Slice_J",
    "Slice_K",
    "Slice_L",
    "Skybox",
}

SceneData.sets.End = {
    "Ending_A",
    "Ending_B",
    "Ending_C",
    "Skybox",
}

SceneData.actorGroups = SceneData.actorGroups or {}

SceneData.actorGroups.Bugs_Intro = {
    "Wah",
}

SceneData.actorGroups.Bugs_Rock = {
    "Annie",
    "Gracie",
    "John",
    "Tessa",
    "Wah",
}

SceneData.actorGroups.Bugs_Log = {
    "Annie",
    "John",
    "Tessa",
    "Wah",
}

SceneData.actorGroups.Bugs_Twig = {
    "Annie",
    "John",
    "Wah",
}

SceneData.actorGroups.Bugs_Squirrel = {
    "John",
    "Wah",
}


SceneData.actorGroups.Bugs_Frog = {
    "Wah",
}

SceneData.actorGroups.Bugs_End = {
    "Annie",
    "Gracie",
    "John",
    "Tessa",
    "Wah",
}

local EveryScene = {
    "FireFliesForeground",
    "FireFliesBackground",
 --   "Ground",
}

local EnvSounds = {
    "DistantFrogLocator",
    "Cricket1Locator",
    "Cricket2Locator",
    "OwlLocator",
}

SceneData.segments = {
    {
        name = "Intro",
        animated = { "IntroRig"},
        active = { "Footsteps", "Ground", SceneData.sets.Intro, EnvSounds, "IntroRig", "Owl", "Trigger_Owl", "LauncherBug" },
        transitions = {
            default = "IntroB",
        },
        needsFocus = false,
    },
    
    {
        name = "IntroB",
        animated = { "Wah" },
        active = { EveryScene, SceneData.sets.Intro, EnvSounds, "Wah", "Owl", "Trigger_Owl", },
        transitions = {
            default = "RockA",
        },
        needsFocus = false,
        motionMin = 25.0,
        delay = 2,
        disableSensorSec = 2.0
    },

    {
        name = "RockA",
        animated = { "Annie","Gracie","John","Tessa","Wah", "HomePlant", "Owl"},
        active = { EveryScene, "RockFootprints", "Owl", SceneData.sets.Intro, EnvSounds, "Trigger_Owl", },
        active_postRot = { "Annie","Gracie","John","Tessa","Wah", "HomePlant", "Slice_Forest_01", "Trigger_Home_01", },
        sliceTable = "sliceTableRight",
        transitions = {
            Trigger_Home_01 = "RockB",
            Trigger_Home_02 = "RockB",
        },
        needsFocus = true,
        breakoutSec = 1.5,
        checkpoint = true,
    },

    {
        name = "RockB",
        animated = { "Annie","Gracie","John","Tessa","Wah", "HomePlant", "FrogRock", "Owl" },
        active = { EveryScene, SceneData.actorGroups.Bugs_Rock, "Slice_Forest_01", "Slice_Rock_02", "Trigger_RockB_01", "Trigger_RockB_02", "HomePlant", "FrogRock", "Owl", "Trigger_Owl", SceneData.sets.GenericLeft, EnvSounds, },
        transitions = {
            Trigger_RockB_01 = "RockC",
            Trigger_RockB_02 = "RockC",
        },
        needsFocus = true,
    },

    {
        name = "RockC",
        animated = { "Annie","Gracie","John","Tessa","Wah", "HomePlant", "FrogRock", "Owl" },
        active = { EveryScene, SceneData.actorGroups.Bugs_Rock, "Slice_Forest_01", "Slice_Rock_02", "Trigger_RockC_01", "Trigger_RockC_02", "HomePlant", "FrogRock", "Owl", "Trigger_Owl", SceneData.sets.GenericLeft, EnvSounds,},
        transitions = {
            Trigger_RockC_01 = "RockD",
            Trigger_RockC_02 = "RockD",
        },
        needsFocus = true,
    },
    
    {
        name = "RockD",
        animated = { "Annie","Gracie","John","Tessa","Wah", "FrogRock", "Owl"},
        active = { EveryScene, SceneData.actorGroups.Bugs_Rock, "Slice_Rock_02", "FrogRock", "FCireFlies", "Owl", "Trigger_Owl", SceneData.sets.GenericLeftPlus, EnvSounds, "RockScatterLocator",  },
        sliceTable = "sliceTableLeft",
        actionSlice = {"Slice_Rock_02"},
        transitions = {
            default = "LogA",
        },
        needsFocus = false,
        delay = 2,
        motionMin = 30.0,
    },

    
    {
        name = "LogA",
        animated = {"Annie","John","Tessa","Wah", "HomePlant", "Owl"},
        active = {EveryScene, "LogFootprints", "Slice_Rock_02", "Owl", "Trigger_Owl", SceneData.sets.GenericLeftPlus, EnvSounds },
        active_postRot = {"Annie","John","Tessa","Wah", "HomePlant","Slice_Forest_02", "Trigger_Home_02", },
        actionSlice = {"Slice_Rock_02"},
        sliceTable = "sliceTableLeft",
        transitions = {
            Trigger_Home_01 = "LogB",
            Trigger_Home_02 = "LogB",
        },
        needsFocus = true,
        breakoutSec = 1.5,

        yCompensation = 150,
        checkpoint = true,
    },

    {
        name = "LogB",
        animated = {"Annie","John","Tessa","Wah", "HomePlant", "FrogLog", "Owl"},
        active = { EveryScene,  "Annie","John","Tessa","Wah", "Slice_Forest_02", "Slice_Trees_03", "Trigger_LogB_01", "Trigger_LogB_02", "FrogLog", "HomePlant", "Owl", "Trigger_Owl", SceneData.sets.GenericRight, EnvSounds, },
        transitions = {
            Trigger_LogB_01 = "LogC",
            Trigger_LogB_02 = "LogC",
        },
        needsFocus = true,

        yCompensation = 150,
    },

    {
        name = "LogC",
        animated = { "Annie","John","Tessa","Wah", "HomePlant", "FrogLog", "Owl"},
        active = { EveryScene, "Annie","John","Tessa","Wah", "Slice_Forest_02", "Slice_Trees_03", "Trigger_LogC_01", "Trigger_LogC_02", "FrogLog", "HomePlant", "Owl", "Trigger_Owl", SceneData.sets.GenericRight, EnvSounds, },
        transitions = {
            Trigger_LogC_01 = "LogD",
            Trigger_LogC_02 = "LogD",
        },
        needsFocus = true,

        yCompensation = 150,
    },

    {
        name = "LogD",
        animated = { "Annie","John","Tessa","Wah", "FrogLog", "Owl"},
        active = { EveryScene, "Annie","John","Tessa", "Slice_Trees_03","Wah", "FrogLog", "Owl", "Trigger_Owl", SceneData.sets.GenericRightPlus, EnvSounds, "LogScatterLocator", },
        sliceTable = "sliceTableRight",
        actionSlice = {"Slice_Trees_03" },
        transitions = {
            default = "TwigA"
        },
        needsFocus = false,
        delay = 2,
        motionMin = 30.0,

        yCompensation = 150,
    },

    {
        name = "TwigA",
        animated = { "Annie","John","Wah", "HomePlant", "Owl"},
        active = { EveryScene, "TwigFootprints", "Slice_Trees_03", SceneData.sets.GenericRightPlus, EnvSounds, "Owl", "Trigger_Owl" },
        active_postRot = {"Annie","John","Wah", "HomePlant", "Slice_Forest_03", "Trigger_Home_02" },
        sliceTable = "sliceTableRight",
        actionSlice = {"Slice_Trees_03"},    
        transitions = {
            Trigger_Home_01 = "TwigB",
            Trigger_Home_02 = "TwigB",
        },
        needsFocus = true,
        breakoutSec = 1.5,

        yCompensation = 30,
        checkpoint = true,
    },

    {
        name = "TwigB",
        animated = { "Annie","John","Wah", "ThePlant", "TheLeafPlant", "HomePlant", "FrogTwig", "Owl"},
        active = { EveryScene, "LogActionFootprints", "Annie", "John", "Wah", "Slice_Forest_03", "Slice_Plant_04", "ThePlant", "TheLeafPlant", "HomePlant", "FrogTwig", "Trigger_TwigB_01", "Trigger_TwigB_02", "Owl", "Trigger_Owl", SceneData.sets.GenericLeft, EnvSounds },
        transitions = {
            Trigger_TwigB_01 = "TwigC",
            Trigger_TwigB_02 = "TwigC",
        },
        needsFocus = true,
        yCompensation = 30,
    },

    {
        name = "TwigC",
        animated = { "Annie","John","Wah", "ThePlant", "TheLeafPlant", "HomePlant", "FrogTwig", "Owl"},
        active = { EveryScene,  "Annie", "John", "Wah", "Slice_Forest_03", "Slice_Plant_04", "ThePlant", "TheLeafPlant", "HomePlant", "FrogTwig", "Trigger_TwigC_01", "Trigger_TwigC_02", "Owl", "Trigger_Owl", SceneData.sets.GenericLeft, EnvSounds },
        transitions = {
            Trigger_TwigC_01 = "TwigD",
            Trigger_TwigC_02 = "TwigD",
        },
        needsFocus = true,
        yCompensation = 30,
    },

    {
        name = "TwigD",
        animated = { "Annie","John","Wah", "ThePlant", "TheLeafPlant", "FrogTwig", "Owl"},
        active = { EveryScene, "Annie", "John", "Wah", "Slice_Plant_04", "ThePlant", "TheLeafPlant", "FrogTwig", "Owl", "Trigger_Owl", SceneData.sets.GenericLeftPlus, EnvSounds },
        sliceTable = "sliceTableLeft",
        actionSlice = {"Slice_Plant_04"},
        transitions = {
            default = "SquirrelA",
        },
        needsFocus = false,
        delay = 2,
        motionMin = 30.0,

        yCompensation = 30,
    },

    {
        name = "SquirrelA",
        animated = { "John","Wah", "HomePlant", "Owl"},
        active = { EveryScene, "SquirrelFootprints",   "Slice_Plant_04", "ThePlant", "TheLeafPlant", SceneData.sets.GenericLeftPlus, EnvSounds, "Owl", "Trigger_Owl" },
        active_postRot = { "John", "Wah", "HomePlant", "Slice_Forest_04", "Trigger_Home_01" },
        sliceTable = "sliceTableLeft",
        transitions = {
            Trigger_Home_01 = "SquirrelB",
            Trigger_Home_02 = "SquirrelB",
        },
        needsFocus = true,
        breakoutSec = 1.5,

        yCompensation = 180,
        checkpoint = true,
    },

    {
        name = "SquirrelB",
        animated = { "John","Wah", "HomePlant", "Squirrel", "SquirrelHat", "SquirrelHouse", "Broom", "Owl"},
        active = { EveryScene, "John","Wah", "Slice_Forest_04","Slice_Grass_05", "Squirrel", "SquirrelHat", "SquirrelHouse", "SquirrelLightObject", "Broom", "HomePlant", SceneData.sets.GenericRight, "Trigger_SquirrelB", EnvSounds, "Owl", "Trigger_Owl" },
        transitions = {
            Trigger_SquirrelB = "SquirrelC",
        },
        needsFocus = true,

        yCompensation = 180,
    },

    {
        name = "SquirrelC",
        animated = { "John","Wah", "Squirrel", "SquirrelHat", "SquirrelHouse", "Broom", "FrogSquirrel", "Owl"},
        active = { EveryScene,  "John","Wah", "Slice_Forest_04","Slice_Grass_05", "Squirrel", "SquirrelHat", "SquirrelHouse", "SquirrelLightObject", "Broom", "FrogSquirrel", "HomePlant", SceneData.sets.GenericRight, "Trigger_SquirrelC", "Trigger_SquirrelC_2", EnvSounds, "Owl", "Trigger_Owl" },
        transitions = {
            Trigger_SquirrelC   = "SquirrelD",
            Trigger_SquirrelC_2 = "SquirrelD",
        },
        needsFocus = true,
        yCompensation = 180,
    },

    {
        name = "SquirrelD",
        animated = { "John","Wah", "Squirrel", "SquirrelHat", "SquirrelHouse", "Broom", "FrogSquirrel", "Owl"},
        active = { EveryScene,  "John","Wah", "Slice_Forest_04","Slice_Grass_05", "Squirrel", "SquirrelHat", "SquirrelHouse", "SquirrelLightObject", "Broom", "FrogSquirrel", "HomePlant", SceneData.sets.GenericRight, "Trigger_SquirrelD", "Trigger_SquirrelD_2", EnvSounds, "Owl", "Trigger_Owl" },
        transitions = {
            Trigger_SquirrelD   = "SquirrelE",
            Trigger_SquirrelD_2 = "SquirrelE",
        },
        needsFocus = true,
        yCompensation = 180,
    },
    
    {
        name = "SquirrelE",
        animated = { "John","Wah", "Squirrel", "SquirrelHat", "SquirrelHouse", "Broom", "FrogSquirrel"},
        active = { EveryScene, "John","Wah","Slice_Grass_05", "Squirrel", "SquirrelHat", "SquirrelHouse", "Broom", "FrogSquirrel", SceneData.sets.GenericRightPlus, EnvSounds, "OwlTreeCover" },
        sliceTable = "sliceTableRight",
        actionSlice = {"Slice_Grass_05"},
        transitions = {
            default = "FrogA",
        },
        needsFocus = false,
        delay = 2,
        motionMin = 30.0,

        yCompensation = 180,
    },

    {
        name = "FrogA",
        animated = { "Wah", "HomePlant"},
        active = { EveryScene, "FrogFootprints", "Slice_Grass_05", "Squirrel", "SquirrelHat", "SquirrelHouse", "Broom", SceneData.sets.GenericRightPlus, EnvSounds, "OwlTreeCover" },
        active_postRot = { "Wah", "HomePlant", "Slice_Forest_05", "Trigger_Home_02" },
        sliceTable = "sliceTableRight",
        transitions = {
            Trigger_Home_01 = "FrogB",
            Trigger_Home_02 = "FrogB",
        },
        needsFocus = true,
        breakoutSec = 1.5,

        yCompensation = 60,
        checkpoint = true,
    },

    {
        name = "FrogB",
        animated = { "Wah", "HomePlant", "Frog"},
        active = { EveryScene, "Wah", "HomePlant", "Frog", "Slice_Forest_05", "Slice_Stick_06", "Trigger_FrogB", SceneData.sets.End, EnvSounds },
        transitions = {
            Trigger_FrogB = "FrogC",
        },
        needsFocus = true,

        counterRot = { "Trigger_FrogB" },
        yCompensation = 60,
    },

    {
        name = "FrogC",
        animated = { "Wah", "HomePlant", "Frog"},
        active = { EveryScene, "Wah", "HomePlant", "Frog", "Slice_Forest_05", "Slice_Stick_06", "Trigger_FrogC", "Trigger_FrogC_2", SceneData.sets.End, EnvSounds },
        transitions = {
            Trigger_FrogC   = "FrogD",
            Trigger_FrogC_2 = "FrogD",
        },
        needsFocus = true,

        yCompensation = 60,
    },

    {
        name = "FrogD",
        animated = { "Wah", "HomePlant", "Frog"},
        active = { EveryScene, "Wah", "HomePlant", "Frog", "Slice_Forest_05", "Slice_Stick_06", SceneData.sets.End, EnvSounds },
        transitions = {
            default = "EndA",
        },
        needsFocus = false,

        yCompensation = 60,
    },

    {
        name = "EndA",
        animated = { "Annie","Gracie","John","Tessa","Wah", "HomePlant", "Frog", "EndMasking"},
        active = { EveryScene, "Annie","Gracie","John","Tessa","Wah", "HomePlant", "Frog", "Slice_Forest_05", "Slice_Stick_06", "Trigger_EndA", "EndMasking", SceneData.sets.End, EnvSounds },
        transitions = {
            Trigger_EndA = "EndB",
        },
        needsFocus = true,

        yCompensation = 60,
        checkpoint = true,
    },

    {
        name = "EndB",
        animated = { "Annie", "Gracie","John","Tessa","Wah", "HomePlant", "Frog", "EndMasking"},
        active = { EveryScene, "Annie", "Gracie","John","Tessa","Wah", "HomePlant", "Frog", "Slice_Forest_05", "Trigger_EndB", "Slice_Stick_06", "EndMasking", SceneData.sets.End, EnvSounds },
        transitions = {
            Trigger_EndB = "EndC",
        },
        needsFocus = true,

        yCompensation = 60,
    },

    {
        name = "EndC",
        animated = { "Annie", "Gracie","John","Tessa","Wah", "HomePlant", "Frog", "EndMasking"},
        active = { EveryScene, "Annie", "Gracie","John","Tessa","Wah", "HomePlant", "Frog", "Slice_Forest_05", "Slice_Stick_06", "EndMasking", SceneData.sets.End, EnvSounds, },
        transitions = {
            default = "ThatsAllFolks",
        },
        needsFocus = false,

        yCompensation = 60,
    },
    
    {
        name = "ThatsAllFolks",
        animated = { "Wah" },
        active = { "Wah" },
        transitions = {},
        needsFocus = false,
    },
}
