

GUI.window = function(pos, size, title, draggable, resizeable)
    local titlebarHeight = GUI.theme.window.titlebar.image.height + 6

    -- Default to draggable and resizeable
    if draggable == nil then draggable = true end
    if resizeable == nil then resizeable = true end

    -- window container
    local window = GUI.frame(nil, pos, size, "")
    if draggable then
        window:draggable()
    end
    if resizeable then
        window:resizeable()
    end

    size = window:getSize()

    local titlebar = GUI.frame(window, GUIPos(0,0), GUISize(SZ_FILL, titlebarHeight), "window.titlebar")
    titlebar:anchor(true, true, true, false)

    local closeButton = __button(titlebar, GUIPos(size.x - 42, 0), GUISize(24, 24), "", "window.closeButton")
    closeButton:anchor(false, true, true, false)

    local label = GUI.label(titlebar, GUIPos(0, 0), GUISize(size.x-44, SZ_FILL), title, "window.title")
    label:setTextAlign(ALIGN_CENTER_LEFT)
    label:anchor(true, true, true, false)

    local content = GUI.frame(window, GUIPos(0, titlebarHeight), GUISize(size.x, size.y-titlebarHeight), "window.frame")
    content:anchor(true, true, true, true)

    window.setTitle = function(self, title)
        label:setText(title)
    end

    window.close = function(self)
        window:hide()
        if(window.onClose) then
            window:onClose()
        end
    end

    closeButton.onButtonDown = function(self)
        window:close()
    end

    window:setProxy(content)

    return window
end
