
local degToRad = 0.01745329251994329576923690768489;
local radToDeg = 57.295779513082320876798154814105;

function math.clamp(t, min, max)
	if t < min then return min end
	if t > max then return max end
	return t
end

function math.saturate(t)
    return math.clamp(t, 0, 1)
end

function math.sign(value)
	if value < 0.0 then return -1.0 end
	return 1.0
end

function math.lerp(t, a, b)
	return a + (b - a) * t
end

function math.rad(angle)
	return angle * degToRad;
end

function math.deg(angle)
	return angle * radToDeg;
end
