
SegmentManager = {};
SegmentManager.__index = SegmentManager;

function SegmentManager.new(theScene)
	local ob = {};
	ob.scene = theScene;
	ob.streamNumber = 0;
	ob.activeSegments = {};
	local segmentDef = def[def.firstSegment];
	Log.message("first scene: " .. segmentDef.name);
	setmetatable(ob, SegmentManager);
	ob:playSegment(segmentDef);
	Events.listen(ob, "segmentFinished");
	return ob;
end

function SegmentManager:playSegment(segmentDef)
	
	local segment = Segment.new(segmentDef);
	self.streamNumber = self.streamNumber + 1;
	segment:startPlaying(self.streamNumber); 
	self:addSegment(self.streamNumber, segment);
end

function SegmentManager:stopSegment(segmentDef)
end

function SegmentManager:changeSegment(from, to)
end

function SegmentManager:segmentFinished(streamNumber) 
	local finishedSegment = self.activeSegments[streamNumber];
	Log.message("segfinished " .. finishedSegment:getName());
	local transitions = finishedSegment.def.transitions;
	for _, element in ipairs(transitions) do
		if (element["event"] == "SegmentFinished") then
			Log.message("found transition to " .. element["goto"]);
			local segment = Segment.new(def[element["goto"]]);
			segment:startPlaying(streamNumber);
			self:addSegment(streamNumber, segment);
		end
	end
end

function SegmentManager:addSegment(index, segment)
	self.activeSegments[index] = segment;
end

function SegmentManager:removeSegment(segment)
		Log.message ("segment finished " ..segment:getName());
		Log.message ("active segements " .. table.tostring(self.activeSegments));
		Log.message ("the segement " .. table.tostring(segment));
		table.remove(self.activeSegments, segment);
end

function SegmentManager:onUpdate()

 	for _, segment in ipairs(self.activeSegments) do
		segment:onUpdate();
	end
end