

blackbox = {
    text = style.new({
        image = {
            texture = "",
            color = Color.new(0.2, 0.2, 0.2, 0.5),
        },
        font = "common:fonts/arial_default_14.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    textfield = {
        focused = style.new({
            image = {
                texture = "",
                color = Color.new(0.4, 0.4, 0.4, 1.0),
            },
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.black,
            textalign = ALIGN_CENTER_LEFT,
            padding = { 8, 8, 8, 8 },
        }),
        default = style.new({
            image = {
                texture = "",
                color = Color.new(0.12, 0.12, 0.12, 1.0),
            },
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
            padding = { 8, 8, 8, 8 },
        }),
    },

    console = style.new({
        image = {
            texture = "",
            color = Color.new(0.1, 0.1, 0.1, 1.0),
        },
        font = "common:fonts/arial_default_14.fnt",
        textcolor = Color.new(0.8,0.8,0.8,1.0),
        textalign = ALIGN_CENTER_LEFT,
        padding = { 8, 8, 8, 8 },
    }),

    h0 = style.new({
        font = "common:fonts/arial_default_14.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    h1 = style.new({
        font = "common:fonts/arial_default_18.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    h2 = style.new({
        font = "common:fonts/arial_default_24.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    h3 = style.new({
        font = "common:fonts/arial_default_36.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    red = style.new({
        image = {
            texture = "",
            color = Color.new(1.0, 0.0, 0.0, 0.5),
        },
        font = "common:fonts/arial_default_24.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    green = style.new({
        image = {
            texture = "",
            color = Color.new(0.0, 1.0, 0.0, 0.5),
        },
        font = "common:fonts/arial_default_24.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    blue = style.new({
        image = {
            texture = "",
            color = Color.new(0.0, 0.0, 1.0, 0.5),
        },
        font = "common:fonts/arial_default_24.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    yellow = style.new({
        image = {
            texture = "",
            color = Color.new(1.0, 1.0,0.0,0.5),
        },
        font = "common:fonts/arial_default_24.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    flat = style.new({
        image = {
            texture = "",
            color = Color.new(0.2705,0.2745,0.2784,0.6),
        },
        font = "common:fonts/arial_default_18.fnt",
        textcolor = Color.grey,
        textalign = ALIGN_CENTER,
    }),

    window =
    {
        title = style.new({
            textcolor = Color.grey,
            textscale = 1.0,
            font = "common:fonts/arial_default_18.fnt";
        }),
        frame = style.new({
            image = {
                coords = { 192, 94, 320, 160 },
                ninepatch = { 8, 2, 12, 12 },
                color = Color.new(0.8,0.8,0.8,1.0),
            },
        }),
        minimized = style.new({
            image = {
                coords = { 192, 64, 320, 96 },
                ninepatch = { 8, 32, 12, 0 },
                color = Color.new(0.8,0.8,0.8,1.0),
            },
        }),
        titlebar = style.new({
            image = {
                coords = { 192, 64, 320, 94 },
                ninepatch = { 8, 8, 12, 8 },
                color = Color.new(0.8,0.8,0.8,1.0),
            },
        }),
        closeButton = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 320, 32, 352, 64 },
            }),
    },

    checkbox =
    {
        text = style.new({
            font = "common:fonts/arial_default_18.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
            padding = { 8, 0, 0, 0 },
            textscale = 0.9,
        }),
        state = imagelist.new({"checked", "default"},
            {
                coords	= { 0, 0, 32, 32 },
            }),
    },

    radio =
    {
        text = style.new({
            font = "common:fonts/arial_default_18.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
            padding = { 8, 0, 0, 0 },
            textscale = 0.9,
        }),
        state = imagelist.new({"checked", "default"},
            {
                coords	= { 0, 32, 32, 64 },
            }),
    },

    gear =
    {
        state =
        {
            default = style.new({
                image = {
                    texture = { "common:textures/gui/ldpi/gear.dds", 96, 96 },
                    coords = { 0, 0, 96, 96 },
                    color = Color.new(0.25,0.25,0.25,0.125),
                },
            }),

            checked = style.new({
                image = {
                    texture = { "common:textures/gui/ldpi/gear.dds", 96, 96 },
                    coords = { 0, 0, 96, 96 },
                    color = Color.new(0.5,0.75,0.75,1.0),
                },
            }),
        },
    },

    plus = imagelist.new({"default", "hovered", "pressed", "disabled"},
        {
            coords	= { 64, 0, 96, 32 },
        }),

    minus = imagelist.new({"default", "hovered", "pressed", "disabled"},
        {
            coords	= { 64, 32, 96, 64 },
        }),

    button = imagelist.new({"default", "hovered", "pressed", "disabled"},
        {
            coords	= { 448, 0, 496, 32 },
            ninepatch = { 8, 8, 8, 8 },
        },
        {
            text = style.new({
                font = "common:fonts/arial_default_18.fnt",
                textcolor = Color.grey,
                textalign = ALIGN_CENTER
            }),
        }),

    slider =
    {
        grip = {
            default = style.new({
                image = {
                    color = Color.new(0.85,0.85,0.85,1.0),
                    coords = { 368, 112, 400, 144 },
                },
            }),
            hovered = style.new({
                image = {
                    color = Color.new(1.0,1.0,1.0,1.0),
                    coords = { 368, 112, 400, 144 },
                },
            }),
        },
        track = style.new({
            image = {
                coords = { 320, 128, 368, 144 },
                ninepatch = { 8, 4, 8, 4 },
            },
        }),
        fill = style.new({
            image = {
                coords = { 320, 112, 368, 128 },
                ninepatch = { 8, 4, 8, 4 },
            },
        }),
        tick = style.new({
            image = {
                texture = "",
                color = Color.new(0.8,0.8,0.8,0.2),
            },
        }),
        text = style.new({
            font = "common:fonts/arial_default_18.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
            padding = { 8, 0, 0, 0 },
            textscale = 0.9,
        }),
    },
    progressBar =
    {
        text = style.new({
            font = "common:fonts/arial_default_18.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
            padding = { 8, 0, 0, 0 },
            textscale = 0.9,
        }),
        track = style.new({
            image = {
                coords = { 320, 88, 368, 104 },
                ninepatch = { 10, 4, 10, 4 },
            },
        }),
        fill = style.new({
            image = {
                coords = { 320, 88-16, 368, 104-16 },
                ninepatch = { 10, 4, 10, 4 },
            },
        }),
    },
    widget =
    {
        default = style.new({
            image = {
                color = Color.new(0.25,	0.25, 0.25, 0.25),
                coords = { 96, 64, 192, 160 },
                ninepatch = { 8, 8, 10, 10 },
            },
        }),
        hovered = style.new({
            image = {
                color = Color.new(0.5,	0.5, 0.5, 0.5),
                coords = { 96, 64, 192, 160 },
                ninepatch = { 8, 8, 10, 10 },
            },
        }),
    },
    alert =
    {
        icons = {
            warning = style.new({
                image = {
                    coords = { 0, 64, 48, 112 },
                }
            }),
            success = style.new({
                image = {
                    coords = { 48, 64, 96, 112 },
                }
            }),
            error = style.new({
                image = {
                    coords = { 0, 112, 48, 160 },
                }
            }),
            info = style.new({
                image = {
                    coords = { 48, 112, 96, 160 },
                }
            }),
        };
        caption = style.new({ textcolor = Color.grey }),
        text = style.new({ textcolor = Color.grey, textscale = 0.75 }),
        default = style.new({
            image = {
                color = Color.new(0.25,	0.25, 0.25, 0.25),
                coords = { 96, 64, 192, 160 },
                ninepatch = { 8, 8, 10, 10 },
            },
        }),
        hovered = style.new({
            image = {
                color = Color.new(0.5,	0.5, 0.5, 0.5),
                coords = { 96, 64, 192, 160 },
                ninepatch = { 8, 8, 10, 10 },
            },
        }),
    },
    controlWidget =
    {
        play = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 0, 224, 48, 272 },
            }),
        pause = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 0, 272, 48, 320 },
            }),
        stop = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 192, 224, 224, 256 },
            }),
        jumpfwd = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 192, 256, 224, 288 },
            }),
        jumpbck = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 192, 288, 224, 320 },
            }),
        text = style.new({ textcolor = Color.grey, textalign = ALIGN_TOP_CENTER }),
    },
    vscrollbar =
    {
        grip = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 486, 66, 506, 125 },
                stride = 32,
            }),
        up = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 486, 39, 506, 59 },
                stride = 32,
            }),
        down = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 486, 135, 506, 155 },
                stride = 32,
            }),
        track = style.new({
            image = {
                coords = { 614, 39, 634, 155 },
                ninepatch = { 8, 8, 8, 8 },
            },
            stride = 32,
        }),
    },
    hscrollbar =
    {
        grip = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 515, 167, 572, 187 },
                vertical = true,
                stride = 32,
            }),
        left = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 486, 167, 506, 187 },
                vertical = true,
                stride = 32,
            }),
        right = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 582, 167, 602, 187 },
                vertical = true,
                stride = 32,
            }),
        track = style.new({
            image = {
                coords = { 486, 295, 602, 315 },
                ninepatch = { 8, 8, 8, 8 },
            },
        }),
    },
    popupmenu = {
        item = {
            hovered = style.new({
                font = "common:fonts/arial_default_14.fnt",
                textcolor = Color.new(0.8, 0.8, 1.0, 1.0),
                textalign = ALIGN_CENTER_LEFT,
                image = {
                    coords = { 384, 240, 416, 272 },
                    ninepatch = { 5, 5, 5, 5 },
                },
                padding = { 4, 4, 4, 4 },
            }),
            selected = style.new({
                font = "common:fonts/arial_default_14.fnt",
                textcolor = Color.new(0.8, 0.8, 1.0, 1.0),
                textalign = ALIGN_CENTER_LEFT,
                image = {
                    coords = { 352, 240, 384, 272 },
                    ninepatch = { 5, 5, 5, 5 },
                },
                padding = { 4, 4, 4, 4 },
            }),
            disabled = style.new({
                font = "common:fonts/arial_default_14.fnt",
                textcolor = Color.grey,
                textalign = ALIGN_CENTER_LEFT,
                padding = { 4, 4, 4, 4 },
            }),
            default = style.new({
                font = "common:fonts/arial_default_14.fnt",
                textcolor = Color.grey,
                textalign = ALIGN_CENTER_LEFT,
                padding = { 4, 4, 4, 4 },
            }),
        },
        frame = style.new({
            image = {
                coords = { 192, 96, 320, 160 },
                ninepatch = { 7, 2, 12, 10 },
            },
        }),
    },
    dropdownmenu = {
        button = imagelist.new({"default", "hovered", "pressed", "disabled"},
            {
                coords	= { 416, 144, 480, 176 },
                ninepatch = { 10, 8, 32, 8 },
                vertical = true,
            }),
    },
    propertygrid = {
        groupframe = style.new({
            image = {
                coords	= { 448+4, 4, 496-4, 32-4 },
                ninepatch = { 0, 0, 0, 0 },
                color = Color.new(0.75, 0.75, 0.75, 1.0),
            },
        }),
        group = style.new({
            font = "common:fonts/arial_default_18.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
        }),

        key = style.new({
            image = {
                texture = "",
                color = Color.new(0.14, 0.14,0.14,1.0),
            },
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER,
            padding = { 8, 8, 8, 8 }
        }),

        value = style.new({
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER,
            padding = { 8, 8, 8, 8 }
        }),
    },
    treelist = {
        frame = style.new({
            image = {
                texture = "",
                color = Color.new(0.14, 0.14,0.14,1.0),
            },
        }),
        button = {
            collapsed = imagelist.new({"default", "hovered", "pressed", "disabled"},
                {
                    coords	= { 64+4, 4, 96-4, 32-4 },
                    stride = 32,
                }),
            expanded = imagelist.new({"default", "hovered", "pressed", "disabled"},
                {
                    coords	= { 64+4, 32+4, 96-4, 64-4 },
                    stride = 32,
                }),
        },
        item = style.new({
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
        }),
        item_selected = style.new({
            image = {
                texture = "",
                color = Color.new(0.35, 0.35,0.35,1.0),
            },
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
        }),
        item_hovered = style.new({
            image = {
                texture = "",
                color = Color.new(0.35, 0.35,0.35,1.0),
            },
            font = "common:fonts/arial_default_14.fnt",
            textcolor = Color.grey,
            textalign = ALIGN_CENTER_LEFT,
        }),
    },
}
