
--[[
    key:                Key in the storage table where the last position is saved. 
    positionBone:       The bone on the actor that will be used to judge "position.
]]

local Logger = TaggedLog("ActorPositionStore", true)

ActorPositionStore = 
{
    key             = nil,
    positionBone    = nil,    
}

ActorPositionStore.new = function(self, data)    
    local o = data or {}
    setmetatable(o, self)
    self.__index = self    
    return o
end

ActorPositionStore.onStart = function(self)
    self.key = self.key or self.object.name
    
    Global.RepositionTable = Global.RepositionTable or {}
end

ActorPositionStore.onUpdate = function(self)
    if (not self.positionBone) then 
        return 
    end

    local targetBonePos = self.object[self.positionBone]:getWorld().position 
    Global.RepositionTable[self.key] = self.object[self.positionBone]:getWorld()
end


