

ActorToCameraOffset = 
{
    offset = Vector.zero:copy()
}

ActorToCameraOffset.new = function(self, data)    
    local o      = data or {}
    setmetatable(o, self)
    self.__index = self
    return o
end

ActorToCameraOffset.onStart = function(self) 
end

ActorToCameraOffset.onUpdate = function(self)
    local finalSRT      = self.object:getLocal()
    local cameraSRT     = Global.scene.mainCamera:getWorld()
    local camForward    = cameraSRT:forward():copy() * self.offset.z
    local camUp         = cameraSRT:up():copy() * self.offset.y
    local camRight      = cameraSRT:right():copy() * self.offset.x
    finalSRT.position   = camForward + camUp + camRight
    finalSRT.rotation   = Quaternion.lookAtWithUp(cameraSRT:forward() * -1, Vector.up)
    --self.object:setLocal(finalSRT)
    local currentPos = self.object:getLocal().position    
    local currentRot = self.object:getLocal().rotation
    finalSRT.position = Vector.lerp( 0.4, currentPos, finalSRT.position)
    finalSRT.rotation = Quaternion.slerp(0.4, currentRot, finalSRT.rotation)
    self.object:setLocal(finalSRT)
end