
require "episode3/scripts/components/lookatdetector"

-- ActorLookAtDetector inherits from LookAtDetector
local _AnimatedLookAtDetector = LookAtDetector:basenew();
AnimatedLookAtDetector = _AnimatedLookAtDetector:new
{
	lookAtBone = nil,
	actorName = nil,
	actor =nil,

};

-- preserve the original constructor so we can customize our own constructor
AnimatedLookAtDetector._new = AnimatedLookAtDetector.new;

AnimatedLookAtDetector.new = function(self, param)
	local o = AnimatedLookAtDetector._new(self, param);
	if(o.lookAtBone == nil) then
		o.lookAtBone = lookAtBone;
	end
	o.getWorld = AnimatedLookAtDetector.getWorld
	return o;
end

AnimatedLookAtDetector.onStart = function(self)
	LookAtDetector.onStart(self);
	
	if(self.actorName ~= nil) then
		self.actor = ActorManager:getActor(self.actorName, true);
	end
end

AnimatedLookAtDetector.getWorld = function(self)
	
	if(self.actor)then
		-- use the supplied actor to get position
		return self.actor:getBone(self.lookAtBone):getWorld();
	end
	
	--return self.object:getLocal();
	return self.object:getBoneWorld(self.lookAtBone);
end