

AnimationDelay = 
{
	delay = 0,
	elapsed = 0,
	done = false,
	animation = nil,
}

function AnimationDelay:new(data)
	local o = shallowcopy(data) or {}
    setmetatable(o, self)
    self.__index = self;
    return o
end

function AnimationDelay:onStart()
	self.object.animation[self.animation]:setPaused(true)
	if(self.object.components["ActorMover"]) then
		self.object.components["ActorMover"].paused = true;
	end
	self.delay = Global.introAnimDelay
	self.done = false
end

function AnimationDelay:onUpdate()
	local dt = Time.dt()
	
	self.elapsed = self.elapsed + dt;
	if(not self.done and self.elapsed > self.delay) then
		self.done = true
		self.object.animation[self.animation]:setPaused(false)
		
		if(self.object.components["ActorMover"]) then
			self.object.components["ActorMover"].paused = false;
		end
	end
	
end
