
SquashLayer = createClass( {
	name    = "SquashLayer",
	amount  = 0.25,
	correction = Quaternion.new(),
}, deepcopy(CameraLayer) );

SquashLayer.name	= "SquashLayer";

function SquashLayer:onStart()
	Events.listen(self, "segmentPlaying");
end

function SquashLayer:segmentPlaying(name)

	self.segmentName = name;
	
	-- early return
	if(not ActorTracking) then return end
	
	local newAmount = ActorTracking[name].cameraSquash;
	
	if(self.amount ~= newAmount) then
	
		self.amount = newAmount
		
		local lastRotation = self.localT.rotation:copy()
		
		-- create new squash rotation with new squash amount
		self:onUpdate()
		
		-- find delta from new squash to old squash, that becomes the current offset
		self.correction = lastRotation*self.localT.rotation:inverse();
		DrawText:color(0,1,1):addText("squashamount", "Squash Amount %.3f, correction %.3f", self.amount, math.deg(2.0*math.acos(self.correction.w)))
		
	end
end

function SquashLayer:onUpdate(dt)
	local rotation = self.worldT.rotation:copy()

	local forward = Vector.rotateBy( Vector.forward, rotation )
	forward:normalize()

	local right = Vector.rotateBy( Vector.right, rotation )
	right:normalize()

	forward.y = forward.y * self.amount
	forward:normalize()

	local up = Vector.cross( right, forward )
	up:normalize()

	local basis = Matrix.identity:copy()
	basis.m00 = right.x
	basis.m10 = right.y
	basis.m20 = right.z
	basis.m01 = up.x
	basis.m11 = up.y
	basis.m21 = up.z
	basis.m02 = -forward.x
	basis.m12 = -forward.y
	basis.m22 = -forward.z

	rotation:setMatrix( basis )
	
	self.localT.rotation = (self.worldT.rotation:inverse())*self.correction * rotation
end