


TrackingLayer = createClass({
	-- additive tracking quaternions
	additiveSave	= Quaternion.new();
	offset			= Quaternion.new();
	targetOffset	= Quaternion.new();
	
	localT 			= SRT.new();
	
	-- strength of tracking
	strength 		= 1;
	strengthWeight	= 1;
	
	segmentName			= nil;
	trackingDataDirty 	= false;
	driverName			= nil;
	
},deepcopy(CameraLayer));

TrackingLayer.name = "trackingLayer";
	
function TrackingLayer:onStart()
	Events.listen(self, "segmentPlaying");
	Events.listen(self, "onShutdown");
end

function TrackingLayer:segmentPlaying(name)
	self.segmentName = name;
	if(not ActorTracking) then return end
	self.strengthWeight = ActorTracking[name].strength;
	self:saveAdditiveOffset()
	
--	DrawText:addText("trackingstrength", "Tracking Strength %.3f", self.strength)
	Log.message("Tracking updated to "..self.strength)
end

function TrackingLayer:setAdditiveOffset(offset, driverName)
	self.driverName = self.driverName or driverName
	self.targetOffset = offset
end

function TrackingLayer:saveAdditiveOffset()
	self.additiveSave = self.additiveSave*self.offset:copy();
	self.offset 		= Quaternion.new();
--	Log.message(string.format("tracking saved at: %.3f", self.additiveSave:getYaw()));
end

function TrackingLayer:updateTrackingStrength(strength)
	
	if(strength ~= self.strength) then
		self.trackingDataDirty = true;
		self.strength = strength
		ActorTracking[self.segmentName].strength = strength;
	end
end

function TrackingLayer:onShutdown()

	-- write out changes to tracking
--	if(self.trackingDataDirty) then
--		Log.message("Writing tracking updates");
--		local actorTrackingTable = "return "..Serpent.dumppretty(ActorTracking);
--	    
--		local file,err = io.open( ActorTrackingPath.."actortracking.lua", "w" )
--		file:write(actorTrackingTable);
--		file:close()
--	end
end