
--[[
Description:
Parameters to pass: 
* delay      = Amount of delay before glow starts fading out
* fadetime   = Rate of fading in seconds. Default is 1.
]]

local Logger = TaggedLog("GlowFader", true)

GlowFader = {
    delay        = 0,
    fadeTime     = 1,
}

function GlowFader:new(params)
    local o = shallowcopy(params) or {}

    Logger:message("table = " .. table.tostring(o))
    setmetatable(o, self)
    self.__index = self

    return o
end


function GlowFader:onStart()
    if(glowfader) then
        -- Pass initial values of params to engine
        glowfader.Start(self.delay, self.fadeTime)
    end 
end

function GlowFader:onUpdate()

    if(glowfader) then
        glowfader.Update(Time.dt())
    else    
        if (self.delay > 0) then        
            self.delay = self.delay - Time.dt()
        else
            Global.opacity = math.clamp01(Global.opacity - (Time.dt()/self.fadeTime))

        end    
    end
end

function GlowFader:onDestroy()

end