

Mover = 
{
	startAngle = math.pi/2;
	dir = 1;
	step = 1;
	radius = 50;
	angle = 0;
	elapsed = 0;
}

function Mover:new(data)
	local o = shallowcopy(data) or {}
    setmetatable(o, self)
    self.__index = self;
    return o
end

function Mover:getNewPosition()
	local dt = Time.dt();
	self.elapsed = self.elapsed + dt;
	--self.angle = self.startAngle + self.dir*self.angle*self.step*dt*math.cos(os.time());
	self.angle = self.startAngle + math.cos(self.elapsed)*0.233;
	local pos = Vector.new(0,0,0);
	pos.x = self.radius*math.cos(self.angle);
	pos.z = -self.radius*math.sin(self.angle);
	return pos;
end

function Mover:onStart()
	self.angle = self.startAngle;
	local localT = self.object:getLocal();
	localT.position = self:getNewPosition();
	self.object:setLocal(localT);
end

function Mover:onUpdate()
	local localT = self.object:getLocal();
	localT.position = self:getNewPosition();
	self.object:setLocal(localT);
end
