

MoverAnim = 
{
	startPos = Vector.new(),
	yOffsetAngle = 0,
	yOffsetQuat = Quaternion.new(),
}

function MoverAnim:new(data)
	local o = shallowcopy(data) or {}
    setmetatable(o, self)
    self.__index = self;
    return o
end

function MoverAnim:onStart()
	local localT = self.object:getLocal();
	self.startPos = self.object.targetBone:getWorld().position;
	self.startPos.y = 0;
end

function MoverAnim:onUpdate()
	
	if(self.doPosUpdate) then
    	self.doPosUpdate  = false;
    	self:updatePosition();
    end

	if(self.object.animDriver:isFinished(true)) then
		self.object.animDriver:play(0);
		self.doPosUpdate = true;
	end
end

function MoverAnim:updatePosition()
	local newPos = self.object.targetBone:getWorld().position;
	newPos.y = 0;
	self.yOffsetAngle = math.deg(Vector.angle(self.startPos, newPos));
	self.startPos = newPos;
	local localT = self.object:getLocal();
	localT.rotation = localT.rotation*Quaternion.axisAngle(Vector.up, math.sign(localT.scale.x)*self.yOffsetAngle);
	self.object:setLocal(localT);
end
