

MovingStarAnimator = {}
MovingStarAnimator.__index = MovingStarAnimator

MovingStarAnimator.new = function(fbEnd, fbdriver, start, target)
    local self = {};
    
    self.currentTime      	= 0	
    self.rampPercentage		= 0.25	

    self.fbEnd     	    	= fbEnd
    self.startQ				= start or Quaternion.fromEulerAngles(Vector(-42,32,0))   
    self.targetQ			= target or Quaternion.new()
    self.fbdriver 			= fbdriver
    return setmetatable(self, MovingStarAnimator)
end


function MovingStarAnimator:onStart()
	self.object:setVisibility(false)
end

function MovingStarAnimator:onUpdate()


	local dt = Time.dt()
	if(self.play) then
		self.currentTime = self.currentTime + dt 
		local transform = self.object:getLocal()
		local rotationFactor = math.easeInOutQuart(math.clamp01(self.currentTime/self.fbEnd))
		transform.rotation = Quaternion.slerp(rotationFactor, self.startQ, self.targetQ)
		self.object:setVisibility(true)
		self.object:setLocal(transform)
		local  alphaParameter
		if (self.currentTime < self.fbEnd*self.rampPercentage) then
			alphaParameter = self.currentTime/(self.fbEnd*self.rampPercentage)
		elseif (self.currentTime > self.fbEnd*(1-self.rampPercentage)) then
			alphaParameter = (self.fbEnd - self.currentTime)/(self.fbEnd*self.rampPercentage)
		else
			alphaParameter = 1
		end
		alphaParameter = 1.0* math.clamp01(alphaParameter)
		
	    if self.object.materials then
  	        for name, material in pairs(self.object.materials) do
  	    		material:setParameters({ u_Alpha = alphaParameter })
   	        end
  	    end
	end
end

function MovingStarAnimator:playAnimation()
	self.play = true
end


function MovingStarAnimator:onDestroy()
	Log.message("*Moving Star Animator")
end