
ParentToCamera = {
	camera = nil,
	rotSave = Quaternion.new(),
}


ParentToCamera.new = function(self, data)
    local o = data or {};
    setmetatable(o, self);
    self.__index = self;
    return o;
end

function ParentToCamera:onStart()
	Log.message(">>>>>>>>>>>>>>>>>>>>>>>>>>>>> Parenting to camera")
	self.camera = Global.scene.mainCamera;
	
	local t = self.object:getLocal();
	self.rotSave = t.rotation;
	
	Global.scene.mainCamera:addChild(self.object)
end

function ParentToCamera:onUpdate()
	-- apply camera roll
	local r, rq = self.camera:getLocal().rotation:getRoll();
	local t = self.object:getLocal();
	t.rotation = rq:inverse();
	self.object:setLocal(t);
end

function ParentToCamera:onDestroy()
	
	Log.message(">>>>>>>>>>>>>>>>>>>>>>>>>>>>>> Unparenting from camera")
	Global.scene.mainCamera:removeChild(self.object)
	
	local t = self.object:getLocal();
	t.rotation = self.rotSave;
	self.object:setLocal(t);
	
	local root = Global.scene:getRoot()
	root:addChild(self.object);
	
end