
PositionTracker  = {}
PositionTracker.__index = PositionTracker

function PositionTracker.new(trackingActor)
    local this = {
        trackingActor = trackingActor,
        rotationAngle = 0,
    }
    return setmetatable(this, PositionTracker)
end

function PositionTracker:onStart()

end



function PositionTracker:onUpdate()

    local trans = self.trackingActor:getLocal()
    --Log.message("positiontracker")
    local domeDirection
    local accelStatus = Sensor.getStatus(ST_ACCELEROMETER)
    if (accelStatus ~= nil) then
        local accel = accelStatus.acceleration
        local angleFromZenith = Vector.angle(accel:normalized(), Vector(0.0, 0.0, -1.0))
        domeDirection = Quaternion.lookAt(accel) * Quaternion.fromEulerAngles(Vector(-90,0,0)) 
        -- Log.message("position tracking zenith" .. math.deg(angleFromZenith))
    end
    -- Log.message("rotationAngle" .. self.rotationAngle)
    if (domeDirection) then
     self.object:setRotation(domeDirection)
    end

    self.object:setTranslation(Vector(0,0, 00))

end
