

-- a proxy object provides persistent actor data through segment transitions
ProxyActor = 
{
	actorGroupBinding = nil, -- the group this proxy object will bind to
	hostName = nil,			 -- the actor object that is currently being represented
	localT = nil,
	worldT = nil,
	uniqueIndex = 0,
	__metaIndex = nil,
	
}

function ProxyActor:new()
	local o =  shallowcopy(ProxyActor)   
	 
    return setmetatable(o,
      {
	       __index = function(self, key)
	   				local ret = nil
					local host = ActorManager:getActor(self.hostName);
					
					local val = nil
					
					--- If attached to a host pull data from the host caching the results in the proxy object
					if(host ~= nil) then
						
						val = host[key] -- get the value
						 -- pass method and property requests to the real object
						 if type(host[key]) == 'function' then
						   return function(...)
							   	local arg = {...}
							   	arg[1] = host; 
							   	
							   	-- cache the value that's returned
							   	self[self.hostName] = host[key](unpack(arg))
							   	return self[self.hostName]
						   end
						 end
	                   		
	               		self[self.hostName][key] = host[key] -- cache the value
	               		return val
	               	end
	               	
	               	--- If there is no host attached check for cache that might exist for the 'key'
	               	if(self[self.hostName]) then
	               		return self[self.hostName][key]
	               	end
	               	
	               	--- if all else fails just check self for the 'key'
	               	return self[key]
	             end,
	       __call  = function(self, k)
	                   return self[k]
	                 end
      })
    
end


function ProxyActor:setHost(actor)
	self.hostName = actor.name;
	self[actor.name] = {}
end
