
SimpleFBDriver = {}
SimpleFBDriver.__index = SimpleFBDriver

SimpleFBDriver.new = function(newFlipbookURI, newMaterial, looping)
    local self = {};
    
    self.sampler = FlipbookSampler.create()
    self.sampler:setFlipbook(newFlipbookURI)
    self.sampler:setLooping(looping)
    self.material = newMaterial
    self.animation = nil
	self.currentFrame = 0

    self.sampler:setMaterial( self.material, { "u_FlipbookTex" } )

    self.playing = false
    self.timer = 0
        
    return setmetatable(self, SimpleFBDriver)
end

SimpleFBDriver.onDestroy = function(self)
    self:stop()
    if(self.sampler) then
        Log.message("Destroying flipbook " .. tostring(self.material))
        self.sampler:destroy();
        self.sampler = nil
    end
end

SimpleFBDriver.play = function(self) 
    self.playing = true;
end

SimpleFBDriver.stop = function(self) 
    self.playing = false;
end

SimpleFBDriver.showFrame = function(self, frameNumber)
	self.sampler:setFrame(frameNumber)

end
SimpleFBDriver.showTime = function(self, currentTime)
	self.sampler:setTime(currentTime)
end


SimpleFBDriver.onLateUpdate = function(self)
	if (self.playing) then
		self.currentFrame = (self.currentFrame + 1)

		self.sampler:setFrame(self.currentFrame)
	end
end