--[[
  Motorola Confidential Proprietary
  Motorola Advanced Technology and Projects
  Copyright (c) 2013 Motorola, LLC. All Rights Reserved.
]]



TiltDampeningLayer = createClass({
	correction = Quaternion.new();
	maxCorrectionAngle = 25;
	lastSensorRotation = Quaternion.new();
},deepcopy(CameraLayer));


TiltDampeningLayer.name			= "TiltDampeningLayer";
	
function TiltDampeningLayer:onStart()
	self.lastSensorRotation = InputManager:getSensorRotation()
end

function TiltDampeningLayer:onUpdate(dt)
	
	local sensorRotation = InputManager:getSensorRotation()
	
	local r, rq = sensorRotation:getRoll();
	local y, yq = sensorRotation:getYaw();
	local p, pq = sensorRotation:getPitch();
	
	local sensorLook = Vector.rotateBy(Vector.forward, pq)
	local angle = math.deg(Vector.angle(sensorLook, Vector.forward));
	
--	DrawText:addText("TiltAngle", "TiltAngle: %3.f", angle);
	
	if(angle < self.maxCorrectionAngle) then
		
		local lastSensorPitch, lastSensorPitchQ = self.lastSensorRotation:getPitch()
		-- rotation from last frame to this frame
		local deltaRot = lastSensorPitchQ:inverse()*pq
		
		-- blend between previous frame position and current
--		self.correction = Quaternion.lerp(0.0001 + angle/self.maxCorrectionAngle, self.worldT.rotation:inverse()*(self.worldT.rotation*deltaRot:inverse()), Quaternion.identity);
		self.correction = Quaternion.lerp(0.0001 + angle/self.maxCorrectionAngle, pq:inverse()*(pq*deltaRot:inverse()), pq);
		
		--self.localT.rotation = self.correction:copy();
--		DrawText:addText("TiltAngleCorrection", "TiltAngle Correction: strength %f, delta rot %.3f", 0.0001 + angle/self.maxCorrectionAngle, self.correction:getPitch());
	end
	
	
	--self.worldT.rotation = yq*pq*0.5*rq;
	self.localT.rotation = yq*self.correction*rq;
	
	self.lastSensorRotation = sensorRotation:copy()
	
end