
-- Handle debugging features that are useful during development

local Logger = TaggedLog.new("DebugManager", false)

DebugManager = Manager:new {
    name = "DebugManager",

    renderGroupDebugEnabled = false,
    renderGroupFilterMin = 0,
    renderGroupFilterMax = 0,
    renderModelsMax = 0,
}

function DebugManager:onUpdate()
    if Input.isKeyDown(KB_R, true) then
        self:toggleRenderGroupDebug()
    end

    if self.renderGroupDebugEnabled then
        if Input.isKeyDown(KB_LEFT, true) then
            self.renderGroupFilterMax = self.renderGroupFilterMax - 1
            if self.renderGroupFilterMax < 0 then self.renderGroupFilterMax = 0 end
        end
        if Input.isKeyDown(KB_RIGHT, true) then
            self.renderGroupFilterMax = self.renderGroupFilterMax + 1
        end
        if Input.isKeyDown(KB_DOWN, true) then
            self.renderModelsMax = self.renderModelsMax - 1
            if self.renderModelsMax < 0 then self.renderModelsMax = 0 end
        end
        if Input.isKeyDown(KB_UP, true) then
            self.renderModelsMax = self.renderModelsMax + 1
        end
        RenderDebug.setRenderGroupFilter(self.renderGroupFilterMin, self.renderGroupFilterMax)
        RenderDebug.setMaxRenderModels(self.renderModelsMax)
    end
end

function DebugManager:toggleRenderGroupDebug()
    self.renderGroupDebugEnabled = not self.renderGroupDebugEnabled
    if self.renderGroupDebugEnabled then
        -- use the last settings
		self.renderGroupFilterMin = 0
		self.renderGroupFilterMax = 0
        RenderDebug.setRenderGroupFilter(self.renderGroupFilterMin, self.renderGroupFilterMax)
        RenderDebug.setMaxRenderModels(self.renderModelsMax)
    else
        RenderDebug.setRenderGroupFilter(0, -1)
        RenderDebug.setMaxRenderModels(0)
    end
end