

--- DrawText manages on screen text display
-- creates a list of text to display keeps displaying it until its removed
DrawText = {
	textDict = {},
	textStyle = { color = Color.new(0.7, .7, 0.0), font = "common:fonts/arial_default_14.fnt", scale = 1.0 },
	startX = 10,
	startY = 230,
	step = 15,
	nextColor = nil,
}


function DrawText:color(r, g, b)
	self.nextColor = Color(r, g, b)
	return self;
end

function DrawText:addText(uniqueName, formattedMessage, ...)
	self.textDict[uniqueName] = {msg = formattedMessage, args = {...}}
	
	if(self.nextColor) then
		self.textDict[uniqueName].style = shallowcopy(self.textStyle)
		self.textDict[uniqueName].style.color = self.nextColor
		self.nextColor = nil
	end
		
end

function DrawText:removeText(uniqueName)
	self.textDict[uniqueName] = nil
end

function DrawText:update()
	local count = 0;
	for name, textArgs in pairs(self.textDict) do
		
		if(not textArgs.style) then
			textArgs.style = shallowcopy(self.textStyle)
		end
		
		if(self.nextColor) then
			textArgs.style.color = self.nextColor
			self.nextColor = nil
		end
		
	
		if(textArgs) then
			Renderer.drawText(self.startX, self.startY + self.step*count, textArgs.style, string.format(textArgs.msg, unpack(textArgs.args)))
		end
		
		count = count + 1
	end
end