
Scene.super.create = Scene.create
local scene

Scene.create = function()
	scene = Scene.super.create();
	scene.attachments = {}
	return scene;
end


RenderDebug.super = RenderDebug.super or {}
RenderDebug.super.setEnabled = RenderDebug.setEnabled
RenderDebug.setEnabled = function(enabled)
	Global.debugRender = enabled;
	RenderDebug.super.setEnabled(enabled)
end
RenderDebug.isEnabled = function(enabled)
	return Global.debugRender;
end



Actor.super = Actor.super or {}
Actor.super.addAttachment = Actor.addAttachment;
Actor.addAttachment = function(self, bone, attachable)
	--scene.actors[attachable.name] = nil;
	scene.attachments[self.name] = scene.attachments[self.name] or {};
	table.insert(scene.attachments[self.name], { parent = self, child = attachable, path = bone});
end

Actor.super.removeAttachment = Actor.removeAttachment;
Actor.removeAttachment = function(self, attachable)
	local attachments = scene.attachments[self.name]
	local removeIndex = 0
	if(attachments) then
		for i, att in ipairs(attachments) do
			if(att.child == attachable) then
				table.remove(attachments, i);
				--scene.actors[att.child.name] = attachable
				return;
			end
		end
	end
	
end

Transform.superSuper = {}
Transform.superSuper.__onUpdate = Transform.__onUpdate
Transform.__onUpdate = function(self)
	self.dirtyTransform = true
	self.scene = scene
	if (duetScene) then
		duetScene.__onUpdateNative(self)
	else
		Transform.superSuper.__onUpdate(self)
		local attachments = scene.attachments[self.name];
		if(attachments) then
			for _, attachable in ipairs(attachments) do
				attachable.child:setLocal(attachable.parent:getBone(attachable.path):getWorld());
				attachable.child:setWorld(attachable.parent:getBone(attachable.path):getWorld());
				--attachable.child:__onUpdate()
			end
		end
	end
	
end


Transform.superSuper.__onDestroy = Transform.__onDestroy
Transform.__onDestroy = function(self)
	
	local attachments = scene.attachments[self.name]
	local removeList = {}
	if(attachments) then
		for _, attachable in ipairs(attachments) do
			self:removeAttachment(attachable.child);
			attachable.child:__onDestroy()
		end
		
	end
	
	Transform.superSuper.__onDestroy(self)
	
end
