
-- Local support functions for the global lock
local function global_lock_newindex(t, k, v)
    error("GLOBALS are locked -- '" .. k .. "' must be declared local.", 2)
end

local function global_unlock_newindex(t, k, v)
    rawset(t, k, v)
end

Strict = {
    -- Use to lock down any global variable access to prevent
    -- undeclared variables becoming global automatically
    globalLock = function(lock)
        local t = _G or {}
        local mt = getmetatable(t) or {}
        if (lock) then
            mt.__newindex = global_lock_newindex
        else
            mt._newindex = global_unlock_newindex
        end
        setmetatable(t, mt)
    end
}
