
-- Configuration for parameters we may want to change easily for testing
--
-- TODO: move this to the top level scripts as this may be used for more
-- than just launcher parameters

Config = Config or {}
Config.all = Config.all or {}

-- Dogfood configuration #1
Config.all.dog1 = {
    name = "DuetPublic",
    showdayTimeout = 24 * 60 * 60,    -- 24 hours on TSB
    gwiHideTime = 30,                 -- 30 seconds visible on TSB before hiding until next screen cycle

    launchDay = 18,                   -- date to launch the star
    launchMonth = 11,
    launchYear = 2014,

    doPrimeTimeCheck = false,
    launchHourMin1 = 14,               -- ranges of time star can be initially shown
    launchHourMax1 = 24,
    launchHourMin2 = 14,
    launchHourMax2 = 24,

    delayAfterNotification = 0,       -- delay after opt-out shown before showing star
    delayAfterFirstRun = 0            -- delay after first launch before showing star
}

-- Dogfood configuration #2
Config.all.dog2 = {
    name = "DUET_TEST2",
    showdayTimeout = 24 * 60 * 60,    -- 24 hours on TSB
    gwiHideTime = 30,                 -- 30 seconds visible on TSB before hiding until next screen cycle

    launchDay = 18,                   -- date to launch the star
    launchMonth = 11,
    launchYear = 2014,

    doPrimeTimeCheck = false,
    launchHourMin1 = 7,               -- ranges of time star can be initially shown
    launchHourMax1 = 13,
    launchHourMin2 = 19,
    launchHourMax2 = 22,

    delayAfterNotification = 1*60*60, -- delay after opt-out shown before showing star
    delayAfterFirstRun = 24*60*60     -- delay after first launch before showing star
}

-- Normally we would have the config setup by Config.getActive(),
-- but for debugging purposes use the debug values
local activeConfig = Config.all.dog1

Config.active = function()
    if (activeConfig == nil) then
        if (Platform.android and Avatar.getUniqueId ~= nil) then
            -- choose the active config based on the user's id
            local bucketIdx = 1 + ((Util.hash(Avatar.getUniqueId())) % Util.numKeys(Config.all))
            activeConfig = Util.getKeyIdx(Config.all, bucketIdx)
        else
            -- Just default to the first one
            activeConfig = Config.all.dog1;
        end
    end

    return activeConfig
end
