
Launcher.intro = {
    fadeBackgroundDuration = 2,
    titleDelayLength = 7,

    onStartup = function(self)
--	AnalyticsManager.sendInitialStats()
--	AnalyticsManager:onShowBegan()

        JavaAudio.requestFocus(1)
        self.interrupted = Context.isBlacklisted()
        InputManager:enableSensors(true)

        -- analytics
--      AnalyticsManager:setAppAtTimeOfPrompt()

        -- set up visuals
        local prompt = Context.getPromptType()

        if (prompt == PROMPT_FLOURISH_INTRO_RESTART or 
            prompt == PROMPT_FLOURISH_INTRO_START_IDLE or 
            prompt == PROMPT_FLOURISH_INTRO_MIDDLE_IDLE) then
            Global.introAnimDelay = 0
            Global.introAudioIndex = 5
            Android.acquireScreen()
            Android.setOpaqueBackground(true)
            mainView:setClipRect(0, Global.screen_size.y - Global.avail_size.y, Global.avail_size.x, Global.avail_size.y)
        else
            Global.introAnimDelay = 5
            Global.introAudioIndex = 0
            local goodWayIn = ActorManager:getActor("GoodWayIn", true)
            self.starIntroFinished = true
            goodWayIn.animDriver:init("Intro", goodWayIn.animation, false,
                                 goodWayIn.fbdrivers, goodWayIn.frameEvents)
            goodWayIn.animDriver:play(0) 
            Android.reset()
        end
        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()
        
        if(Global.scene.actors.GWI_Title) then
            Global.scene.actors.GWI_Title.components.TitleAnimator:playLogoIntro()   
        end

        local prompt = Context.getPromptType()

        if(prompt == PROMPT_FLOURISH_INTRO_MIDDLE_IDLE) then
            if(self.titleDelayLength <= 0) then
                return "duet"
            end
            self.titleDelayLength = self.titleDelayLength - Time.dt()
        else
            if Global.introAudioIndex and Global.introAudioIndex > 0 then
                Global.audioPlayer:fadeSound("mxstab_intro", 2, 0, 0.7, Global.introAudioIndex)
            end
            return "duet"
        end        
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        if (not Android.isPaused()) then
            Global.onRender()
        end
    end,

    onShutdown = function(self)
    end,

    onEvent = function(self, event)
        if(event.type == "onActivityEvent") then
            if (event.data.eventString == "onDummyActivityGainedFocus") then
                Android.onResume()
            elseif (event.data.eventString == "onDummyActivityLostFocus") then
                Android.onPause()
            elseif (event.data.eventString == "onStop") then
                self.interrupted = true
                Android.onResume()
            end
        elseif(event.type == "onChangeDisplaySize") then
            Global.setRenderOverTSB(false)
        elseif(event.type == "onBatteryEvent") then
            if (event.data.newState == 0) then
                self.interrupted = true
                Android.onResume()
            end
        end
    end
}
