
Launcher = Launcher or {}

require "episode3/scripts/launcher/context"
require "episode3/scripts/launcher/config"
require "episode3/scripts/launcher/apps_table"
require "episode3/scripts/launcher/hide"
require "episode3/scripts/launcher/idle"
require "episode3/scripts/launcher/interrupted"
require "episode3/scripts/launcher/intro"
require "episode3/scripts/launcher/load"
require "episode3/scripts/launcher/load1"
require "episode3/scripts/launcher/load2"
require "episode3/scripts/launcher/prompt"
require "episode3/scripts/launcher/start"
require "episode3/scripts/launcher/wait"
require "episode3/scripts/launcher/notify"
require "episode3/scripts/launcher/timeout"
require "episode3/scripts/launcher/analyticsmanager"

require "episode3/scripts/strings"
require "episode3/scripts/l10n"

-- Called when the star is first shown
Launcher.onStarPrompt = function()
    Avatar.savePreferences("lua.PREFS_GWI_ENABLED", "true")
    Avatar.refreshWidget()
end

Launcher.doSplash = function(msgOnExit)
    Avatar.showSplashScreen(msgOnExit)
end

-- Spawns Windy Day's notification
Launcher.doNotify = function()
    AnalyticsManager.onDoNotify()
    Context.onNotification()
    Avatar.showNotificationForPackage(false, false, "episode3")
end

-- Register all launcher states
Shell.attach("launcher_start",                       Launcher.start)
Shell.attach("launcher_load1",                       Launcher.load1)
Shell.attach("launcher_load2",                       Launcher.load2)
Shell.attach("launcher_idle",                        Launcher.idle)
Shell.attach("launcher_prompt",                      Launcher.prompt:new("Prompt"))
Shell.attach("launcher_fast_prompt",                 Launcher.prompt:new("PopIn"))
Shell.attach("launcher_hide",                        Launcher.hide)
Shell.attach("launcher_wait",                        Launcher.wait)
Shell.attach("launcher_intro",                       Launcher.intro)
Shell.attach("launcher_interrupted",                 Launcher.interrupted)
Shell.attach("launcher_notify",                      Launcher.notify)
Shell.attach("launcher_timeout",                     Launcher.timeout)
