
-- Assets specific to the launch sequence
LaunchData = LaunchData or {}
LaunchData.actors = LaunchData.actors or {}

----Commented out to indicate that it is not being used now. 
LaunchData.actors.LauncherRig = { 
    model = "episode3:models/goodwayin_icon.mxm",
    animation = {
        Prompt = { "episode3:models/goodwayin_icon.mxa", 0, -1, false },
        Intro = { "episode3:models/goodwayin_icon.mxa", 353, 800, false },
    },
    materials = { 
        {
            name = "GWI_Icon_Form_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "flipbookColorAlpha",
            renderGroup = 18, --- some high number to render on top of the horizon
            parameters  = {u_Color = Vector(1,1,1,1)},
        },
        {
            name = "GWI_Icon_to_Star_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "flipbookColorAlpha",
            renderGroup = 18, --- some high number to render on top of the horizon
            parameters  = {u_Color = Vector(1,1,1,1)},
        },
        {
            name = "GWI_RadialWipe_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "mainDuet",
            renderGroup = 1, --- some high number to render on top of the horizon
 	        textures = { u_MainTex = "episode3:textures/radialgradient.dds", },           
            parameters  = {u_Color = Vector(1,1,1,1)},
        },

    }
}

LaunchData.actors.LauncherToNotification = 
{ 
    model = "episode3:models/goodwayin_tonotification.mxm",
    animation = 
    {
        ToNotification = { "episode3:models/goodwayin_tonotification.mxa", 0, 267, false },

    },
    materials = 
    { 
        {
            name = "Hero_Star_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "flipbookColorAlpha",
            renderGroup = 18,            
            parameters  = {u_Color = Vector(1,1,1,1), u_Alpha = 1, },
        },
    }
}

LaunchData.defaultMatDef = 
{    
    shader      = "episode3:shaders/unlit.rsfx",
    technique   = "mainDuet",
    parameters  = {u_Color = Vector(1,1,1,1)},
}

LaunchData.actors.GWI_Title = 
{
    model = "episode3:models/goodwayin_title.mxm",
    animation = 
    {   
        
    }, 
    materials = 
    { 
        {
            name = "Title_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "flipbookColor",
            renderGroup = 60,            
             --textures = { u_MainTex = "episode3:textures/gwi_title.dds", },           
            parameters  = {u_Color = Vector(1,1,1,1), u_Alpha = 1, },
        },        
    },
    overrideFlipbookTechnique = "flipbookColorAlpha",
    viewFlags = bit.bor(VF_MAIN_VIEW),
}

LaunchData.flipbookMatDef = 
{    
    shader      = "episode3:shaders/unlit.rsfx",
    technique   = "transparent_with_color",
    parameters  = {u_Color = Vector(1,1,1,1), u_Alpha = 1, },
}

LaunchData.actors.GoodWayIn = 
{
    actorGroup  = "star",
    model       = "episode3:models/goodwayin.mxm", 
    namedBones      = 
    {
    },
    animationRate	= 1.00,    
    animation	= 
    {
        Prompt	= { "episode3:models/goodwayin.mxa", 0, 396, false, true},
        Intro	= { "episode3:models/goodwayin.mxa", 409, 846, false, true},   
        Hide	= { "episode3:models/goodwayin.mxa", 1379, 1503, false, true},     
        UnHide	= { "episode3:models/goodwayin.mxa", 899, 1023, false, true},   
        Exit  = { "episode3:models/goodwayin.mxa", 1129, 1369, false, true},
    },
    fbdrivers   = 
    { 
        Prompt  = {},
        Intro   = {},
        Hide    = {},   
        UnHide  = {},  
        Exit    = {},
    }, 
    components  = {
        {
            name = "MasterBlender",
            params = 
            { 
                startAlpha = 1,
                blending = false,
                flipbook = true,
                segmentData = 
                {
                    { 
                        segment = "Cell_Boy",
                        startAlpha = 1, 
                        blending = true, 
                        inout = "out",
                        fadetime = 1,
                        delay = 8, 
                    },
                    { 
                        segment = "Cell_Girl",
                        startAlpha = 1, 
                        blending = true, 
                        inout = "out", 
                        fadetime = 1,
                        delay = 8,
                    },
                },
            },
        },
    },

    materials = {
        {
        	name 		= "Ballerina_to_Icon_TSB_Mat",
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "flipbookColorAlpha",
            renderGroup = 1,            
            parameters  = {u_Color = Vector(1,1,1,1), u_Alpha = 1, },
        },
        {
        	name 		= "Icon_to_Duet_Mat",
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "flipbookColorAlpha",
            renderGroup = 2,            
            parameters  = {u_Color = Vector(1,1,1,1), u_Alpha = 1, },
        },
        {
            name = "starGlow_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "mainDuet",
            renderGroup = 2, --- some high number to render on top of the horizon
            textures = { u_MainTex = "episode3:textures/starglow.dds", },           
            parameters  = {u_Color = Vector(1,1,1,1)},
        },
        {
            name = "GWI_FadeSwipe_Mat", 
            shader      = "episode3:shaders/unlit.rsfx",
            technique   = "mainDuet",
            renderGroup = 1, --- some high number to render on top of the horizon
            textures = { u_MainTex = "episode3:textures/radialgradient2.dds", },
            parameters  = {u_Color = Vector(1,1,1,1)},
        },
    },
    overrideFlipbookTechnique = "flipbookColorAlpha",
    defaultMaterial = LaunchData.flipbookMatDef,
    viewFlags = bit.bor(VF_MAIN_VIEW),
}
