
-- State that returns the hat to the notification bar and then
-- goes back to the start to wait for the user to start the show
Launcher.notify = {
    onStartup = function(self)
        Android.reset()

        local goodWayIn = ActorManager:getActor("GoodWayIn", true)
        if (goodWayIn) then
            goodWayIn:setVisibility(true)
            goodWayIn.animDriver:init("Exit", goodWayIn.animation, false, goodWayIn.fbdrivers, goodWayIn.frameEvents)
            goodWayIn.animDriver:play(0)
        end
        self.animationStarted = false;

        self.done = false

        -- cancel the pre-show notification
        Launcher.onStarPrompt()

        return true
    end,

    onShutdown = function(self)
        if (not self.done) then
            Launcher.doNotify()
        end
    end,
    
    onUpdate = function(self)
        Global.onUpdate()

        if (self.done) then
            Launcher.doNotify()
            return "launcher_start"
        end

        local goodWayIn = ActorManager:getActor("GoodWayIn", true)
        local goodWayInFinished = goodWayIn.animDriver:isFinished(false) or false
        if (not self.animationStarted and not goodWayInFinished) then
            self.animationStarted = true
        end

        if (Context.isBlacklisted() or (self.animationStarted and goodWayInFinished)) then
           goodWayIn:setVisibility(false)
           self.done = true
        end
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        if (not self.done) then
            Global.onRender()
        end
    end
}
