
Launcher.prompt = {
    new = function(self, animName)
        local this = { 
            animName = animName, 
            returning = false,
            promptDelayLength = 1,
            promptDelayTime = 0,
        }
        setmetatable(this, self)
        self.__index = self
        return this
    end,

    onStartup = function(self)
        Android.reset()

        -- prevent cloud service from killing us
        if (Avatar.setCanPreempt ~= nil) then
            Avatar.setCanPreempt(false)
        end

        -- record when hat is initially shown on the TSB
        if (Context.getPromptType() == PROMPT_GWI) then
            Context.onLauncherStarShown()
        end
        
        -- notify analytics we are showing the hat, plus which app was active at the time
        AnalyticsManager:GWIPromptBegun()

        local goodWayIn = ActorManager:getActor("GoodWayIn", true)
        goodWayIn:setVisibility(false)
         if (Context.getPromptType() == PROMPT_UNHIDE) then  
            goodWayIn.animDriver:init("UnHide", goodWayIn.animation, false, goodWayIn.fbdrivers, goodWayIn.frameEvents)
         else
            goodWayIn.animDriver:init("Prompt", goodWayIn.animation, false, goodWayIn.fbdrivers, goodWayIn.frameEvents)
         end
        self.promptDelayTime = self.promptDelayLength
        

        Launcher.onStarPrompt()

        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()
        local dt = Time.dt()

        -- hide the hat immediately if we enter a blacklist state
        if (Context.isBlacklisted()) then
            return "launcher_hide"
        end

        -- long timeout
        if (Context.isGWITimedOut()) then
            return "launcher_timeout"
        end

        local goodWayIn = ActorManager:getActor("GoodWayIn", true)
        if (self.promptDelayTime > 0) then
            self.promptDelayTime = self.promptDelayTime - dt
            if (self.promptDelayTime <= 0) then
                goodWayIn:setVisibility(true)
                goodWayIn.animDriver:play(0)
            end
        elseif (self.promptDelayTime <= 0 and goodWayIn.animDriver:isFinished(false)) then
            return "launcher_wait"
        end
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        Global.onRender()
    end,

    onShutdown = function(self)
    end
}
