
Launcher.wait = {

    touched = false,

    onStartup = function(self)
        Android.reset()

        if (Platform.android) then
            if (PixelPipe ~= nil) then
                Scheduler.schedule(false, false, 1, false, 1000 * (1 + Config.active().gwiHideTime), 0)
            end
            Android.enableTouchIntercept(true)
        end

        self.startTime = os.time()
        self.touched = false;

        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()

        local shownFor = os.time() - self.startTime
        local shownEnough = shownFor >= Config.active().gwiHideTime

        if (Context.isBlacklisted() or shownEnough) then
            return "launcher_hide"
        elseif (Context.isGWITimedOut()) then
            return "launcher_timeout"
        elseif (self.touched or (PixelPipe == nil)) then
            self:prefetch()
            Global.audioPlayer:playSound("mxstab_intro", 0.7)
            return "launcher_intro"
        end

        if (Platform.win32 or Platform.mac) then
            if (Input.getMouseButton(MB_L_BUTTON)) then
                self.touched = true
            end
        end

        if (PixelPipe == nil) then
            return "launcher_intro"
        end
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        Global.onRender()
    end,

    onShutdown = function(self)
        Android.enableTouchIntercept(false)
    end,

    onEvent = function(self, event)
        -- tick on any event
        Scheduler.requestFrame()

        if (event.type == "onTouchUp") then
            self.touched = true
        elseif (event.type == "onInterceptTouch") then
            local pos = Vector(event.data.windowX + event.data.x, event.data.windowY + event.data.y)

            local tsbCutoff = (Global.avail_size.y / Global.screen_size.y)
            if (Input.getDeviceRotation() == 0 and
                (pos.x/Global.curScreenWidth) < 0.12 and 
                (pos.y/Global.curScreenHeight) > tsbCutoff) then
                self.touched = true
                return true
            end
            return false
        end
    end,

    prefetch = function(self)
        local firstSegmentName = Context.getCheckpoint() or SceneData.startSegment
        if Platform.segment ~= nil and Platform.segment ~= "" then
            firstSegmentName = Platform.segment
        end

        if not Platform.scene or Platform.scene == "" then
            ResourceLoader:prefetchInitialSegments()
        end
        ResourceLoader:prefetchSegment(firstSegmentName)
    end,
}
