
Project = {
    name = "Episode3",
    packageName = "episode3",
}

Project.animURI = function(name) return Project.packageName .. ":anims/" .. name end
Project.audioURI = function(name) return Project.packageName .. ":audio/" .. name end
Project.modelURI = function(name) return Project.packageName .. ":models/" .. name end
Project.particlesURI = function(name) return Project.packageName .. ":particles/" .. name end
Project.shaderURI = function(name) return Project.packageName .. ":shaders/" .. name end
Project.textureURI = function(name) return Project.packageName .. ":textures/" .. name end

Project.scriptsDir = Project.packageName .. "/scripts/"
Project.configDir = Project.scriptsDir .. "config/"

Project.persistSceneDir = Project.scriptsDir .. "scenedata/persistent/"
Project.rawPersistSceneDir = "../raw/" .. Project.persistSceneDir

Project.tools = {
    { name = "Player Controls", toolbox = "PlayerControls", active = true },
--    { name = "Scene Inspector", toolbox = "SceneInspector", },
    { name = "Camera", toolbox = "CameraGUI",  },
    { name = "Find actor", toolbox = "FindActorTool", params = {
        actors = {
            { name = "Girl", actorGroup = "girl" },
            { name = "Boy", actorGroup = "boy" },
            { name = "Dog", actorGroup = "dog" },
        },
    }},
    { name = "Segment Graph", toolbox = "SegmentGraphTool", },
    { name = "Bake", toolbox = "BakeTool", },
    { name = "Particles", toolbox = "FocusParticlesTool", },
    --{ name = "Glow Controls", toolbox = "GlowFalloffTool",}, 
}

Project.options = {
    { name = "Debug overlay", accessorFns = { get = RenderDebug.isEnabled, set = RenderDebug.setEnabled }, },
    { name = "Track actors", globalVar = "ActorManager.showBones" },
    { name = "Look at targets", globalVar = "LookAtDetectorCore.globalDebugMode" },
    { name = "Animation info", globalVar = "Global.renderAnimationInfo" },
    { name = "Flipbook info", globalVar = "Global.renderFlipbookInfo" },
    { name = "Audio info", globalVar = "Global.renderAudioInfo" },
    { name = "Actor components", globalVar = "Global.renderComponentTree" },
    { name = "Disable Glow", globalVar = "ActorManager.disableGlow" },
    { name = "Glow Debug", globalVar = "ActorManager.enableDebugging" },
    { name = "Enable Particles", accessorFns = { get = ParticleEmitter.getParticleEnable, set = ParticleEmitter.setParticleEnable }, },
    { name = "Enable Occlusion Render Target", globalVar = "Duet.enableOccluder"},
    { name = "Horizon", globalVar = "CameraController.horizonDebug"},
}

