
SceneData = SceneData or {}
SceneData.actors = SceneData.actors or {}
SceneData.segments = SceneData.segments or {}

Fader = 
{
	delay = 0,
	fadeTime = 1,
	elasped = 0,
	delayFinished = false,
	fadeFinished = false;
	material = nil
}

function Fader:new(data)
	local o = shallowcopy(data) or {}
    setmetatable(o, self)
    self.__index = self;
    return o
end

function Fader:getNewPosition()
end

function Fader:onStart()
	self.elapsed = 0
	self.delayFinished = false;
	self.fadeFinished = false;
	self.material = self.object:findMaterial(self.material)
	self.material:setParameters({u_Color=Vector(1,1,1,1)})
end

function Fader:onUpdate()

	if(not self.fadeFinished) then
	
		self.elapsed = self.elapsed + Time.dt()
		
		if(not self.delayFinished)then
			if(self.elapsed > self.delay)then
				self.delayFinished = true;
			end
		else
			local t = self.elapsed - self.delay
			local a = math.clamp01(t/self.fadeTime)
			self.material:setParameters({u_Alpha=1-a})
			if(a == 1)then
				self.fadeFinished = true
			end
			
		end
	end
	
end

FrameRateTween = 
{
	delay = 0,
	duration = 1,
	elasped = 0,
	delayFinished = false,
	fadeFinished = false;
	material = nil
}
function FrameRateTween:new(data)
	local o = shallowcopy(data) or {}
    setmetatable(o, self)
    self.__index = self;
    return o
end

function FrameRateTween:getNewPosition()
end

function FrameRateTween:onStart()
	self.elapsed = 0
	self.delayFinished = false;
	self.fadeFinished = false;
	self.flipbookdriver = self.object.fbdrivers[self.mat][self.flipbookdriver]
end

function FrameRateTween:onUpdate()

	if(not self.fadeFinished) then
	
		self.elapsed = self.elapsed + Time.dt()
		
		if(not self.delayFinished)then
			if(self.elapsed > self.delay)then
				self.delayFinished = true;
			end
		else
			local t = self.elapsed - self.delay
			local a = math.clamp01(t/self.duration)
			
			self.flipbookdriver.frameRate = math.lerp(self.from, self.to, a)
			
			if(a == 1)then
				self.fadeFinished = true
			end
			
		end
	end
	
end


SceneData.actors.BoyTreeTree = 
{
    actorGroup      = "tree",
    model           = "episode3:models/boy_4th_meeting_tree.mxm",
    generateFlipbooks = false,
    
    animation       = 
    {
        boytree 			= { "episode3:models/boy_4th_meeting_tree.mxa", 264, 580, false, true},
        boytree_dance       = { "episode3:models/boy_4th_meeting_tree.mxa", 581, 780, false, true},
        
        boytree_girlblinks   = { "episode3:models/boy_4th_meeting_tree.mxa", 781, 880, false, true},
        boytree_girlwalks_a   = { "episode3:models/boy_4th_meeting_tree.mxa", 881, 699, false, true},
        boytree_girlwalks_b   = { "episode3:models/boy_4th_meeting_tree.mxa", 901, 1225, false, true},
        
        boytree_boyjumps 	= { "episode3:models/boy_4th_meeting_tree.mxa", 948, 952, false, true},
        boytree_boyoutro 	= { "episode3:models/boy_4th_meeting_tree.mxa", 1263, 1320, false, true},
        boytree_girljumps 	= { "episode3:models/boy_4th_meeting_tree.mxa", 1534, 1585, false, true},
        boytree_girloutro 	= { "episode3:models/boy_4th_meeting_tree.mxa", 1586, -1, false, true},
    },
    
    prefetch = {},

	fbdrivers       = 
    {
		
		godrays = {
			treeGodRays_Mat = {
				bindings = {
					"u_FlipbookTex"
				},
				fbStart = 0,
				frameOffset = 3,
				frameStartOffset = 0,
				frameEnd = 72,
				frameStart = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.loop,
				luaDriven = true,
				uri = "episode3:flipbooks/treegodrays.mfb"
        	},
        	treeGodRays_HERO_Mat = {
				bindings = {
					"u_FlipbookTex"
					
				},
				fbStart = 0,
				frameOffset = 3,
				frameStartOffset = 0,
				frameEnd = 72,
				frameStart = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.loop,
				luaDriven = true,
				uri = "episode3:flipbooks/treegodrays_hero.mfb"
        	},
		},
		
		traceback = {
        	boyTree_Traceback_MAT = {
				bindings = {
					"u_FlipbookTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 4,
				frameStart = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.loop,
				luaDriven = true,
				uri = "episode3:flipbooks/boytree_traceback.mfb",
        	},
        },
        
        loop = {
        	tree01_MAT = {
				bindings = {
					"u_FlipbookTex"
				},
				fbStart = 0,
				frameOffset = 1,
				frameStartOffset = 0,
				frameEnd = 36,
				frameStart = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.loop,
				luaDriven = true,
				uri = "episode3:flipbooks/tree_01_cycle.mfb"
        	},
        	tree02_MAT = {
				bindings = {
					"u_FlipbookTex"
				},
				fbStart = 0,
				frameOffset = 1,
				frameStartOffset = 0,
				frameEnd = 36,
				frameStart = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.loop,
				luaDriven = true,
				uri = "episode3:flipbooks/tree_02_cycle.mfb"
			},
			treeBackground_Boy_MAT = {
				bindings = {
					"u_FlipbookTex"
				},
				fbStart = 0,
				frameOffset = 1,
				frameStartOffset = 0,
				frameEnd = 38,
				frameStart = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.loop,
				luaDriven = true,
				uri = "episode3:flipbooks/treebackgroundwavecycle.mfb"
			}
		},
		
		intro = {
        	tree01_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 27,
				frameStart = 0,
				frameTranslate = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				uri = "episode3:flipbooks/tree01_alpha.mfb"
        	},
        	tree02_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 1,
				frameStartOffset = 0,
				frameEnd = 35,
				frameStart = 0,
				frameTranslate = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				uri = "episode3:flipbooks/tree02_alpha.mfb"
			},
			treeBackground_Boy_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 66,
				frameStart = 0,
				frameTranslate = 0,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				technique = "flipbookColorMultiTexture",
				uri = "episode3:flipbooks/treebackground_alpha.mfb"
			}
		},
		
		outro_girl = {
        	tree01_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 93,
				frameStart = 64,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				uri = "episode3:flipbooks/tree01_alpha.mfb"
        	},
        	tree02_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 110,
				frameStart = 87,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				uri = "episode3:flipbooks/tree02_alpha.mfb"
			},
			treeBackground_Boy_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 162,
				frameStart = 133,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				technique = "flipbookColorMultiTexture",
				uri = "episode3:flipbooks/treebackground_alpha.mfb"
			}
		},
		
		outro_boy = {
        	tree01_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 107,
				frameStart = 94,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				uri = "episode3:flipbooks/tree01_alpha.mfb"
        	},
        	tree02_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 124,
				frameStart = 111,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				uri = "episode3:flipbooks/tree02_alpha.mfb"
			},
			treeBackground_Boy_MAT = {
				bindings = {
					"u_AlphaTex"
				},
				fbStart = 0,
				frameOffset = 0,
				frameStartOffset = 0,
				frameEnd = 177,
				frameStart = 163,
				exposureCount = 4,
				wrapMode = FBWrapMode.clamp,
				luaDriven = true,
				technique = "flipbookColorMultiTexture",
				uri = "episode3:flipbooks/treebackground_alpha.mfb"
			}
		},
    },
    
    components = { 
    	{ name = "TreeAnimator", alias =  "BoyTreeAnimator"},
    	{ name = "TreeAnimator", alias =  "BoyAlphaTreeAnimator"},
    	{ name = "TreeAnimator", alias =  "BoyTreeGodRayAnimator"},
    	{ name = "TreeAnimator", alias =  "BoyTreeTracebackAnimator"},
    	{ 
    		name = "MasterBlender",
    		params = 
            { 
                startAlpha = 0,
                blending = true,
                inout    = "in",
                flipbook = true,
                applyToMaterials = 
                {
                	"treeGodRays_Mat", "treeGodRays_HERO_Mat",
            	},
                segmentData = 
                {
                    { 
                        segment = "girltree_girloutro", 
                        startAlpha = 1, 
                        blending = true, 
                        inout = "out",
                    },
                    { 
                        segment = "girltree_boyoutro", 
                        startAlpha = 1, 
                        blending = true, 
                        inout = "out",
                    },
                    { 
                        segment = "boytree_boyoutro", 
                        startAlpha = 1, 
                        blending = true, 
                        inout = "out",
                    },
                    { 
                        segment = "boytree_girloutro", 
                        startAlpha = 1, 
                        blending = true, 
                        inout = "out",
                    },                
                }
            }
    	},
    },
    
	materials = 
    {
    	{ 
            name = "treeGodRays_Mat", 
            shader = "episode3:shaders/unlit.rsfx",
			technique = "flipbookColor",
            dontOverrideTechnique = true,
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(1,1,1,1),
            }
        },
        { 
            name = "treeGodRays_HERO_Mat", shader = "episode3:shaders/unlit.rsfx",
			technique = "flipbookColor",
            dontOverrideTechnique = true,            
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(1,1,1,1),
            }
        },
        { 
            name = "tree01_MAT", shader = "episode3:shaders/unlit.rsfx",
            technique = "flipbookColorAlphaMultiTexture",
            dontOverrideTechnique = true,
            ignoreBlend = false,            
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(1,1,1,1),
            }
        },
        { 
            name = "tree02_MAT", shader = "episode3:shaders/unlit.rsfx",
            technique = "flipbookColorAlphaMultiTexture",
            dontOverrideTechnique = true,
            ignoreBlend = false,            
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(1,1,1,1),
            }
        },
        { 
            name = "treeBackground_Boy_MAT", shader = "episode3:shaders/unlit.rsfx",
            technique = "flipbookColorMultiTexture",
            dontOverrideTechnique = true,
            ignoreBlend = false,
            textures = 
            { 
            	u_AlphaTex		= "episode3:textures/white.dds",
            },
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(1,1,1,1),
            }
        },
        { 
            name = "boyTree_Traceback_MAT", shader = "episode3:shaders/unlit.rsfx",
            technique = "flipbookColor",
            dontOverrideTechnique = true,
            textures = 
            { 
            	u_AlphaTex		= "episode3:textures/white.dds",
            },
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(0,0,0,1),
            }
        },
        { 
            name = "GirlTree_Traceback_Mat", shader = "episode3:shaders/unlit.rsfx",
            technique = "flipbookColor",
            dontOverrideTechnique = true,
            textures = 
            { 
            	u_AlphaTex		= "episode3:textures/white.dds",
            },
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(0,0,0,1),
            }
        }
    },
}
