
gazeboFBDef ={

	instanceDef = function(luaDriven, wrapMode, binding, fb01, onFinished)
	
		return {
			    Gazebo_Cycle_Mat = {
					bindings = {
						binding
					},
					fbStart = 0,
					frameOffset = 0,
					frameStartOffset = 0,
					frameEnd = fb01.frameEnd,
					frameStart = fb01.frameStart,
					frameTranslate = fb01.frameTranslate or 0,
					loopCountGoal = fb01.loopCountGoal or -1,
					exposureCount = 4,
					luaDriven = luaDriven,
					wrapMode = wrapMode,
					uri = "episode3:flipbooks/"..fb01.name..".mfb",
					onFinished = onFinished
				},
			}
	end
}


SceneData.actors.Gazebo = 
{
    model           = "episode3:models/gazebo.mxm",
	
    animation       = 
    {
        Fifth_Meeting1   = { "episode3:models/gazebo.mxa", 1, 700, false, true},
        Fifth_Meeting2   = { "episode3:models/gazebo.mxa", 701, 1400, false, true},
    },
    
    fbdrivers       = { 
    	loop 		= gazeboFBDef.instanceDef(true, FBWrapMode.countedLoop, "u_FlipbookTex",  
    					{frameStart = 0, frameEnd = 30, loopCountGoal = 5, 	name = "gazebo_cycle"},
    					function(self, animator) animator:changeState("outro") end),
    					
    	intro 		= gazeboFBDef.instanceDef(true, FBWrapMode.clamp, "u_FlipbookTex", 
    					{frameStart = 0, frameEnd = 12, 	name = "gazebo_intro"}, 
    					function(self, animator) animator:changeState("loop") end),
    					
    	outro 		= gazeboFBDef.instanceDef(true, FBWrapMode.clamp, "u_FlipbookTex", 
    					{frameStart = 0, frameEnd = 66,  name = "gazebo_out"}),
    },
    
    materials = {
    	 {
    		name = "Gazebo_Cycle_Mat",
	    	shader = "episode3:shaders/unlit.rsfx",
			technique = "flipbookColor",
            dontOverrideTechnique = true,
            parameters = {
            	u_Alpha = 1.0,
            	u_Color = Vector(1,1,1,1),
            }
	    }
    },
    
    components = { 
    	{ name = "TreeAnimator", alias =  "GazeboAnimator"},
    },
    
--    defaultMaterial = SceneData.flipbookMatDef,
}
