
require "episode3/scripts/scenedata/scenes/editor/util/serpent"

ExportMaterials = {
	uniqueCounter = 0,
}
--[[
ExportMaterials.new = function(self, data)
    local o = data or {};
    setmetatable(o, self);
    self.__index = self;
    return o;
end
]]

local material_template = 
{ 
	name = "name_Mat", shader = "episode3:shaders/launcher.rsfx",
 	technique = "texture",
 	renderGroup = 3,
 	textures = { u_MainTex = "episode3:textures/white.dds" },
 	parameters = { u_Color = Vector.new( 1, 1, 1, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, 
}
	    
	    
function ExportMaterials.export(modelPath)
	
	ExportMaterials.uniqueCounter = ExportMaterials.uniqueCounter + 1
	
	local actorData = {
		model			= modelPath,
		dumpMaterials 	= true,
		-- shading attributes are different per segment, for flipbooks
		materials 		= {
		},
		animation 		= {
		}
	}
	
	local actor = Global.scene:createActor("ExportMat_"..ExportMaterials.uniqueCounter, actorData);
	
	local matList = actor:listMaterials();
	
	local matTable = {}
	
	for _, material in ipairs(matList) do
		local mat = deepcopy(material_template);
		mat.name = material
		table.insert(matTable, mat)
	end
	
	local matStr = "materials = "..Serpent.dumppretty(matTable);
	local file,err = io.open( "MaterialExport.lua", "w" )
	file:write(matStr);
	file:close();
end