
SceneData.actors.ButtonQuad = {
    model = "episode3:models/screenquad.mxm",
    materials = {
        { 
        	name = "Mat_Quad", shader = "episode3:shaders/launcher.rsfx",
	     	technique = "texture",
	     	renderGroup = 3,
	     	textures = { u_MainTex = "episode3:textures/dogtest/dog_run_test.00001.dds" },
	     	parameters = { u_Color = Color.new( 1, 1, 1, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, 
	    },
    },
}

ButtonUniqueCounter = 0

Button = {
	name = nil,
	text = "lorem ipsum",
	width = 100,
	height = 20,
	position = Vector(),
	vWidth = Vector(),
	vHeight = Vector(),
	
	quad =  {
	    	model = "episode3:models/screenquad.mxm",
		    materials = {
		        { 
		        	name = "Mat_Quad", shader = "episode3:shaders/debug.rsfx",
			     	technique = "color",
			     	renderGroup = 7,
			     	textures = { u_MainTex = "episode3:textures/white.dds" },
			     	parameters = { u_Color = Color.new( 1, 1, 1, 1 ), u_MainTex_ST = Vector.new(1, 1, 0, 0), }, 
			    },
		    },
	    },
}

Button.new = function(self, data)
    local o = data or {};
    setmetatable(o, self);
    self.__index = self;
    
    if(o.name == nil) then
    	o.name = "btn_"..ButtonUniqueCounter;
    end
    
    o.quad = Global.scene:createActor(o.name, o.quad);
    local t = o.quad:getLocal()
    t.position = Vector(0,0,-1)
    o.quad:setLocal(t);
	Global.scene.mainCamera:addChild(o.quad)
    o.quad:addComponent("button", o);
    o.quad:setVisibility(true)
    
    ButtonUniqueCounter = ButtonUniqueCounter + 1
    
    return o;
end

function Button:onStart()
	self.position = self.object:getPosition()
	local t = self.quad:getLocal()
	t.position = self.position;
	--t.scale = Vector((1/Global.curScreenWidth)*self.width*1.45, (1/Global.curScreenHeight)*self.height, 1);
	local aspect = Global.curScreenHeight/Global.curScreenWidth
	t.scale = Vector(.9*(1/aspect), 1*aspect, 1);
	self.quad:setLocal(t);
end

function Button:onUpdate()
	
	local textStyle = { color = Color.new(0, 0.0, 0.0), font = "common:fonts/arial_default_14.fnt", scale = 1.0 }
		
	Renderer.drawText(0.5*Global.curScreenWidth*(self.position.x + 1) - self.width/2 + 10, 0.5*Global.curScreenHeight*(1 - self.position.y) - self.height/2, textStyle, self.text)
	
end