
require "episode3/scripts/scenedata/scenes/editor/util/directory"

-- inherit from view base
MaterialBrowser = ViewBase:new{
	name = nil,
	loadedActors = nil,
	backBtn = nil,
}

function MaterialBrowser:start()

	-- get back to previous state
	self.backBtn = GUI.button(nil, GUIPos(20, 20), GUISize(256, 256), "Back"):post()
	self.backBtn.once = false;
	function self.backBtn:onButtonDown() 
		if(not self.once) then
			ViewManager:popView();
			self.once = true;
		end
	end
	
	local actors = Global.scene.actors;
	
	local materials = {}
	local materialsArr = {}
	
	for name, actor in pairs(actors) do
		local list = actor:listMaterials();
		Log.message("Logging "..actor.name.." materials")
		if(list ~= nil) then
	    	for _, item in ipairs(list) do
	    		Log.message("\t"..item);
	    		table.insert(materialsArr, item)
	    		materials[item] = actor:findMaterial(item);
	    	end
		end
	
	end
	
	self.frame = GUI.frame(nil, GUIPos(900, 10), GUISize(300, #materialsArr*32), "green"):post();	
	self.frame:draggable();
	
	local index = 1;
	for name, mat in pairs(materials) do
		local btn = GUI.button(self.frame, GUIPos(0, (index-1)*32), GUISize(256, 32), name)
		
		btn.matName = name;
		btn.parent 	= self;
		btn.mat		= mat;
		
		function btn:onButtonDown() 
			local texCount = self.mat:getTextureCount();
    		for i = 0, texCount - 1, 1 do
    			local texName = self.mat:getTextureName(i)
    			local texUri = self.mat:getTextureUri(i)
				Log.message("\t\t".."texName["..i.."]: "..texName);
				Log.message("\t\t".."texUri["..i.."]: "..texUri);
    		end
		end
		
		index = index + 1;
	end
	
end

function MaterialBrowser:stop()
	self.backBtn:hide()
	self.frame:hide()
end

function MaterialBrowser:blur()
	self.backBtn:hide()
	self.frame:hide()
end

function MaterialBrowser:focus()
	self.backBtn:show()
	self.frame:show()
end

function MaterialBrowser:update()
end