
require "episode3/scripts/scenedata/scenes/editor/util/directory"
require "episode3/scripts/scenedata/scenes/editor/view/viewbase"

ModelBrowser = ViewBase:new{
	name = nil,
	loadedActors = {},
	frame = nil,
	framePos = Vector(900,10),
};

ModelBrowser.framePos = Vector(900,10)

function ModelBrowser:start()
	
	local files = Directory.files("episode3/models", ".mxm")
	self.frame = GUI.frame(nil, GUIPos(self.framePos.x, self.framePos.y), GUISize(300, #files*32), "red"):post();	
	self.frame:draggable();
	
	self.loadedActors = {};
	
	for i, file in ipairs(files) do
		local btn = GUI.button(self.frame, GUIPos(0, (i-1)*32), GUISize(256, 32), file)
		
		btn.modelName = file;
		btn.parent = self;
		
		function btn:onButtonDown() 
			if( not self.parent.loadedActors[self.modelName]) then
				
				for name, actor in pairs(self.parent.loadedActors) do
					self.parent.loadedActors[name]:destroy()
					self.parent.loadedActors[name] = nil
				end
			
				local actorData = {
					model			= "episode3:models/"..self.modelName,
					-- shading attributes are different per segment, for flipbooks
					materials 		= {
					},
					animation 		= {
					}
				}
		
				self.parent.loadedActors[self.modelName] = Global.scene:createActor(self.modelName, actorData);
				
				ViewManager:pushView(MaterialBrowser:new())
			end
		end
	end
	
end

function ModelBrowser:stop()
	self.frame:hide()
end

function ModelBrowser:blur()
	self.frame:hide()
end

function ModelBrowser:focus()
	self.frame:show()
end

function ModelBrowser:update()
end