
ViewManager = {
	viewStack 	= {},
}

function ViewManager:init()
	self.viewStack = {}
end

function ViewManager:update()
	-- always update the view on top
	for i, view in ipairs(self.viewStack) do
		if( i == 1 or view.forceDraw) then
			view.theView.update()
		end
	end
end

function ViewManager:pushView(view, keepPrevious)
	local viewToPush = {theView = view, forceDraw = false};
	
	if(self.viewStack[1] and self.viewStack[1].theView.blur) then
		self.viewStack[1].forceDraw = keepPrevious
		self.viewStack[1].theView:blur()
	end
	
	viewToPush.theView:start()
	
	table.insert(self.viewStack, 1, viewToPush);
end

function ViewManager:popView()
	if(#self.viewStack > 0) then
		self.viewStack[1].theView:stop()
		table.remove(self.viewStack, 1);
		
		if(self.viewStack[1] and self.viewStack[1].theView.focus) then
			self.viewStack[1].theView:focus()
		end
	end
end