

local Logger = TaggedLog("ColorTest", false)

ColorTest = {}

ColorTest.interrupted = false
ColorTest.endOfShow = false

ColorTest.onStartup = function(self)
	require "episode3/scripts/scenedata/scenes/tests/colortest/colortest_actors"
  	require "episode3/scripts/scenedata/scenes/tests/colortest/segments"

    Scheduler.schedule(true, true, 0, false, 0, 0)
    
    MainCamera.controller.boomLayer.boomLength = 1000;

    return true
end

ColorTest.onShutdown = function(self)
end

ColorTest.onUpdate = function(self)
    Global.onUpdate()
    if (ColorTest.interrupted or Global.shutdown) then
        -- For now just exit the show
        Avatar.exitDoodle()

--        return "launcher_interrupted"
    elseif (ColorTest.endOfShow) then
        return "endofshow"
    end
end

ColorTest.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

ColorTest.onRender = function(self)
	Global.onRender()
end

ColorTest.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            ColorTest.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            ColorTest.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("colortest", ColorTest)

