
--- Center of Gravity Tracking test ---
---------------------------------------

local Logger = TaggedLog("FovTesting", false)

FovTesting = {}

FovTesting.interrupted = false
FovTesting.endOfShow = false

local rightEdge = Vector()
local topEdge = Vector()

FovTesting.onStartup = function(self)
	
    --Global.scene.mainCamera:setPerspective(45/2, 1, 1000)
    MainCamera.controller.boomLayer.boomLength = 0;
    
    local aspect = Global.curScreenWidth/Global.curScreenHeight;
    
    local xSlope, ySlope = Util.frustumSlopes()
    
    local depth = -(Global.nearFar.f - Global.nearFar.n)/2;
    
    rightEdge = Vector(-depth*xSlope, 0, depth); 
    topEdge = Vector(0, -depth*ySlope, depth);
    
    return true
end

FovTesting.collided = function(self, didCollide)
	Log.message("COLLISION "..tostring(didCollide))
end

FovTesting.onShutdown = function(self)
end

FovTesting.onUpdate = function(self)
    Global.onUpdate()
    if (FovTesting.interrupted or Global.shutdown) then
        -- For now just exit the show
        Avatar.exitDoodle()

--        return "launcher_interrupted"
    elseif (FovTesting.endOfShow) then
        return "endofshow"
    end
    
	Android.setAlphaRange(1, 1)
    MainCamera.controller.boomLayer.boomLength = 0;
    local xSlope, ySlope = Util.frustumSlopes()
    local depth = -(Global.nearFar.f - Global.nearFar.n)/2;
    rightEdge = Vector(depth*xSlope, 0, depth); 
    topEdge = Vector(0, depth*ySlope, depth);
    
    RenderDebug.point(MainCamera:getWorld().position + rightEdge, Color(1, 0, 0), 500)
    RenderDebug.point(MainCamera:getWorld().position + topEdge, Color(0, 1, 0), 500)
    
    
	DrawText:color(1,0,1):addText("RESHAPE", "Width: %.3f, Height %.3f, fov %.3f, aspect %.3f", Global.curScreenWidth, Global.curScreenHeight, math.rad(Global.fov), Global.aspect);
end

FovTesting.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

FovTesting.onRender = function(self)
	Global.onRender()
end

FovTesting.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            FovTesting.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            FovTesting.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("fovtesting", FovTesting)
