
local Logger = TaggedLog("GlowTest", false)

GlowTest = {
	tree = nil,
	aspect = 1,
	xSlope = 1,
	ySlope = 1,
	depth = 10000,
	
	Plane = {
		point = Vector(),
		normal = Vector.forward:copy()
	},
	
	frustum = {}
 }
 

GlowTest.interrupted = false
GlowTest.endOfShow = false

local rightEdge = nil
local topEdge = nil
local aspect = 1;

GlowTest.onStartup = function(self)

	require "episode3/scripts/scenedata/scenes/tests/glowtest/actors"
	require "episode3/scripts/scenedata/scenes/tests/glowtest/segments"

	--self.quad = ActorManager:getActor("GlowQuad", true)
	--self.sphere = ActorManager:getActor("GlowSphere", true)
    --self.horizon = ActorManager:getActor("Horizon",true)
    self.glowquad = ActorManager:getActor("TestGlowQuad", true)
	--self.quad:setVisibility(true)
	--self.sphere:setVisibility(true)
    --self.horizon:setVisibility(true)
    self.glowquad:setVisibility(true)

    
	
--	MainCamera:addChild(self.quad)
--	MainCamera:addChild(self.sphere)
--  MainCamera:addChild(self.horizon)
--  MainCamera:addChild(self.glowquad)
	
    return true
end


GlowTest.onShutdown = function(self)
end

local projectPoint = function(transform, camT, projectionDist)
	local camLook = Vector.rotateBy(Vector.forward:copy(), camT.rotation);
	local camRight = Vector.rotateBy(Vector.right:copy(), camT.rotation);
	local camUp = Vector.rotateBy(Vector.up:copy(), camT.rotation);
	
	-- actor target bone position in world space
	local worldPos = transform.position
	local actorUp = Vector.rotateBy(Vector.up, transform.rotation)
	local actorForward = Vector.rotateBy(Vector.forward, transform.rotation)
	
	-- get vector pointing at the boy (from camera)
	local toTarget = worldPos - camT.position
	-- project vector to boy against the camera 'look' - provides distance from camera plane
	local length = (camLook:dot(toTarget))
	local sign = Vector.dot(toTarget, camRight);
	-- gets the vector that points at the target and is perpendicular to the camera look ray
	toTarget = toTarget - camLook*length
	
	local rotToTarget = Quaternion.lookAt(worldPos - camT.position);
--	DrawText:addText("rot to "..actor.name, "Rot from %s, %.3f", actor.name, (camT.rotation:inverse()*rotToTarget):getYaw())
	
	-- project to normalized screen space (w divide) then move it to the projection plane
	local proj = toTarget*(1/math.abs(length))*2.0;
	Log.message(string.format("projected to <%.3f, %.3f, %.3f, %.3f>",proj.x, proj.y*(Global.curScreenWidth/Global.curScreenHeight), proj.z, proj.w))
	toTarget = toTarget*(1/math.abs(length))*projectionDist
	
	-- an object that represents the perpendicular line segment from camera ray to target
	local segToTarget = {
		startPos = (camT.position + camLook*projectionDist),
		endPos = (camT.position + camLook*projectionDist + toTarget),
		dir = ((camT.position + camLook*projectionDist + toTarget)-(camT.position + camLook*projectionDist)):normalized(),
	}
	
	return segToTarget
end

GlowTest.onUpdate = function(self)
	
   Global.onUpdate()
    if (GlowTest.interrupted or Global.shutdown) then
        -- For now just exit the show
        Avatar.exitDoodle()
	
    elseif (GlowTest.endOfShow) then
        return "endofshow"
    end
    
    local point = Util.toScreenSpace(self.glowquad:getWorld().position);
  	Log.message(string.format("projected to <%.3f, %.3f, %.3f, %.3f>",point.x, point.y, point.z, point.w))
end


GlowTest.onReshape = function(self, width, height)
    Global.onReshape(width, height)
    
end

GlowTest.onRender = function(self)
	Global.onRender()
end

GlowTest.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            GlowTest.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            GlowTest.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("glowtest", GlowTest)
