
local Logger = TaggedLog("Numbers", false)

Numbers = {}

Numbers.interrupted = false
Numbers.endOfShow = false

Numbers.onStartup = function(self)
	require "episode3/scripts/scenedata/scenes/tests/numbers/actors"
	require "episode3/scripts/scenedata/scenes/tests/numbers/segments"
	
	Global.initShow()
	
	Global.startShow()
	
    ResourceLoader:init()
	    
    return true
end

Numbers.onShutdown = function(self)
end

Numbers.onUpdate = function(self)
    Global.onUpdate()
    if (Numbers.interrupted or Global.shutdown) then
        -- For now just exit the show
        Avatar.exitDoodle()

--        return "launcher_interrupted"
    elseif (Numbers.endOfShow) then
        return "endofshow"
    end
end

Numbers.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

Numbers.onRender = function(self)
	Global.onRender()
end

Numbers.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            Numbers.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            Numbers.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("numbers", Numbers)
