

local Logger = TaggedLog("TreeTest", false)

TreeTest = {}

TreeTest.interrupted = false
TreeTest.endOfShow = false

TreeTest.onStartup = function(self)
	require "episode3/scripts/scenedata/scenes/tests/treetest/treetest_actors"
  	require "episode3/scripts/scenedata/scenes/tests/treetest/segments"

    Scheduler.schedule(true, true, 0, false, 0, 0)
    
    MainCamera.controller.boomLayer.boomLength = 1000;

    return true
end

TreeTest.onShutdown = function(self)
end

TreeTest.onUpdate = function(self)
    Global.onUpdate()
    if (TreeTest.interrupted or Global.shutdown) then
        -- For now just exit the show
        Avatar.exitDoodle()

--        return "launcher_interrupted"
    elseif (TreeTest.endOfShow) then
        return "endofshow"
    end
end

TreeTest.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

TreeTest.onRender = function(self)
	Global.onRender()
end

TreeTest.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            TreeTest.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            TreeTest.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("treetest", TreeTest)

