
local sceneData = {
    duet = {
        "episode3/scripts/scenedata/scenes/duet/actors.lua",
        "episode3/scripts/scenedata/scenes/duet/audio.lua",
    }
}

SceneLauncher = {
	default = "duet",
    scene = nil,
}

function SceneLauncher:getScene()
    if not self.scene then
        self.scene = self.default
        if (Platform.scene and Platform.scene ~= "") then
            -- if the scene name is of the format: scene.segment.frameOffset,
            -- then we parse out the various components
            Platform.scene, Platform.segment, Platform.startFrameOffset = unpack(string.split(Platform.scene, "%."))
            self.scene = Platform.scene
        end
    end
    return self.scene
end

function SceneLauncher:loadSceneData()
    local scene = self:getScene()
    if sceneData[scene] then
        for _, dataFile in ipairs(sceneData[scene]) do
            local load, err = loadfile(dataFile)
            if load then
                load()
            else
                Log.error("Unable to load scene data file " .. dataFile .. ": " .. tostring(err))
            end
        end
    end
end
