
Stat.init = function()
	if(System.isStatManagerEnabled()) then
		-- create segment stat (this is updated in animationmanager.lua:goToSegment
		
		-- stats are registered with the native stat tracker. 
		-- the boolean parameter enables the stat to be reset 
		-- every frame. the initial value set at create time 
		-- also serves as the reset value. this is useful for 
		-- stats that accumulate between frame intervals. 
		Stat.segment = Stat.create("segment", "gwi", false);
		Stat.segmentTime = Stat.create("segmentTime", 0.0, false);
		Stat.memtotal = Stat.create("memtotal", 0.0, false);
		timestamp = function() 
			return os.date("%y%m%d_%H%M%S");
		end
		
		local tstamp = timestamp();

		--set up fps logger
		--the stat logger is a type of listener that gets it's callback whenever report() is called on 
		--the stattracker. currently this is called every frame by the statmanager. This gives the logger
		--the opportunity to write the stat values to disk every frame. the first parameter is the filename.
		--the second parameter is a list of stats you would like to log in column-wise order. the stat names
		--can refer to any stat in the stattracker, not just those created in lua. the final parameter 
		--is the report interval in ms. in this case, the logger will log the values at ~16 ms intervals.
		Stat.fpslogger = StatLogger.create("fps_"..tstamp..".csv", {"segment", "rawfps", "avgfps", "minfps", "maxfps", "rawms", "avgms", "minms", "maxms"}, 0);	
		Stat.gfxlogger = StatLogger.create("graphics_"..tstamp..".csv", {"segment", "graphics::numDrawCalls", "graphics::numTriangles"}, 16);
		if(Memory) then
			Stat.memlogger = StatLogger.create("mem_"..tstamp..".csv", {"segment", "memtags", "memusage", "dltmemblocks", "dltmemusage", "memtotal"}, 16);
		else
			Stat.memlogger = StatLogger.create("mem_"..tstamp..".csv", {"segment", "memtotal"}, 16);
		end

		--one stop shop for updating all lua stats.
		Stat.updateAll = function()
			if (Query.getPss ~= nil) then
				-- convert to mb
				Stat.memtotal:set(Query.getPss() / 1024.0);
			end
		end
	end
end
