
--[[
  String table must be of the form {[key] = {[locale] = [string]}, ...}

    strings =
    {
        ["hi"] =
        {
            ["en_US"] = "Hello World",
            ["es_US"] = "Hola El Mundo"
        },
        ["bye"] =
        {
            ["en_US"] = "Bye",
            ["es_US"] = "Adios"
        }
    }

  Locale strings are in the Android "<lang>_<country>_<variant>" format defined
  by Locale.toString(). See: http://developer.android.com/reference/java/util/Locale.html#toString%28%29

  From the docs:
    Returns the string representation of this Locale. It consists of the 
    language code, country code and variant separated by underscores. If the 
    language is missing the string begins with an underscore. If the country 
    is missing there are 2 underscores between the language and the variant.
    The variant cannot stand alone without a language and/or country code:
    in this case this method would return the empty string.

    Examples: "en", "en_US", "_US", "en__POSIX", "en_US_POSIX" 
]]

strings =
{
    -- @attrib notranslate
    ["lua.PREFS_DOODLE_TITLE"] =
    {
        ["en_US"] = "Buggy Night"
    },
    -- @attrib notranslate
    ["lua.PREFS_NOTIFICATION_TITLE"] =
    {
        ["en_US"] = "Buggy Night"
    },
    -- @maxchar 18
    -- @brief Subheading for the notification
    ["lua.PREFS_NOTIFICATION_TEXT"] =
        {
        ["ar"] = "اضغط لمتابعة اللعب.",
        ["da"] = "Tryk for afspilning.",
        ["de"] = "Antippen: Wiedergabe fortsetzen",
        ["el"] = "Συνεχίστε αναπ/γή.",
        ["en_GB"] = "Tap to continue playing.",
        ["en_US"] = "Tap to continue playing.",
        ["es"] = "Toca para continuar.",
        ["es_US"] = "Presiona para continuar.",
        ["fi"] = "Jatka toistoa napauttamalla.",
        ["fr"] = "Appuyez pour continuer.",
        ["it"] = "Tocca per continuare.",
        ["iw"] = "הקש להמשך הפעלה.",
        ["ko"] = "계속 플레이하려면 탭하세요.",
        ["nb"] = "Trykk for å fortsette å spille av.",
        ["nl"] = "Tik om verder te spelen.",
        ["pl"] = "Dotknij, aby kontynuować odtwarzanie.",
        ["pt"] = "Toque para continuar.",
        ["sv"] = "Tryck för att fortsätta.",
        ["tr"] = "Oynatmak için dokunun.",
        ["zh_CN"] = "点按以继续播放。",
        ["zh_TW"] = "點選一下繼續播放。"
    },
    -- @brief Splash screen (click notification "..." button) text for "Replay" button
    ["lua.PREFS_SPLASH_SCREEN_REPLAY_TEXT"] =
        {
        ["ar"] = "هل كان هذا حقاً\n سنجابًا ضخمًا؟|انظر نحو الأعلى، انظر نحو الأسفل،\nانظر حولك في كل مكان.|لن تراه أبدًا\nبالطريقة نفسها مرتين.|هل فاتك شيء ما؟|هل ألقيت نظرةً خاطفةً وأعدتَ الكرّة؟|هل أعجبك ما رأيت؟\nهل تتساءل ما الذي فاتك؟|القصة الأولى مجانية.\nحسناً، في الواقع كل القصص مجانية.",
        ["da"] = "Var det virkelig\net kæmpeegern?|Se op, se ned,\nse dig omkring.|Du ser det aldrig på\nsamme måde to gange.|Mangler du noget?|Kig og kig igen?|Kan du lide det, du så?\nEr du i tvivl om, hvad du er gået glip af?|Den første er gratis.\nOh, okay, de er alle gratis.",
        ["de"] = "War das wirklich\nein riesiges Eichhörnchen?|Sehen Sie nach oben, nach unten\nund um sich herum.|Es sieht immer\nunterschiedlich aus.|Haben Sie etwas verpasst?|Können Sie sich einfach nicht sattsehen?|Gefällt es Ihnen?\nWas haben Sie wohl verpasst?|Das erste Mal ist umsonst.\nNa gut, es ist immer umsonst.",
        ["el"] = "Αυτό ήταν\nένας τεράστιος σκίουρος;|Κοιτάξτε επάνω και κάτω,\nκοιτάξτε τριγύρω.|Δεν θα τον ξαναδείτε\nμε τον ίδιο τρόπο.|Χάσατε κάτι;|Κοιτάξατε καλά;|Σας άρεσε αυτό που είδατε;\nΑναρωτιέστε τι χάσατε;|Το πρώτο είναι δωρεάν.\nOK, όλα είναι δωρεάν.",
        ["en_GB"] = "Was that really\na giant squirrel?|Look up, look down,\nlook all around.|You never see it\nthe same way twice.|Miss anything?|Peek and repeek?|Like what you saw?\nWonder what you missed?|First one's free.\nOh, OK, they're all free.",
        ["en_US"] = "Was that really\na giant squirrel?|Look up, look down,\nlook all around.|You never see it\nthe same way twice.|Miss anything?|Peek and repeek?|Like what you saw?\nWonder what you missed?|First one's free.\nOh, okay, they're all free.",
        ["es"] = "¿Eso era una\nardilla gigante?|Mira arriba, abajo y a tu alrededor.|Nunca lo verás\nen el mismo lugar dos veces.|¿Te has perdido algo?|Mira las veces que quieras|¿Te gusta lo que ves?\n¿Sabes lo que te has perdido?|La primera es gratis.\nAh, vale, son todas gratis.",
        ["es_US"] = "¿De verdad era\nuna ardilla gigante?|Mira hacia arriba, mira hacia abajo,\nmira a tu alrededor.|Nunca la ves\nen el mismo lugar dos veces.|¿Te falta algo?|¿Echas más de un vistazo?|¿Te gusta lo que viste?\n¿Te preguntas de qué te perdiste?|La primera es gratuita.\nEstá bien, todas son gratuitas.",
        ["fi"] = "Oliko se tosiaan\njättiläisorava?|Katso ylös, katso alas,\nkatso ympärillesi.|Se ei koskaan näytä\nkahta kertaa samanlaiselta.|Jäikö jotain huomaamatta?|Katso ja katso uudelleen?|Piditkö näkemästäsi?\nMietitkö, mitä jäi huomaamatta?|Ensimmäinen on maksuton.\nNo joo, kaikki ovat maksuttomia.",
        ["fr"] = "Cet écureuil était vraiment\ngéant !|Cherchez en bas, en haut,\npartout.|Vous ne le verrez jamais\ndeux fois au même endroit.|Vous avez raté quelque chose ?|Vous revenez souvent ?|Vous aimez ça ?\nVous vous demandez ce que vous avez manqué ?|Le premier est gratuit.\nOK, ils sont tous gratuits.",
        ["it"] = "Era veramente\nuno scoiattolo gigante?|Chi cerca\ntrova.|Non è mai\nla stessa cosa.|Ci sarà ancora qualcosa da vedere?|Vuoi dare un'altra occhiata?|Era divertente?\nTi sarà sfuggito qualcosa?|La prima volta è gratuita.\nVa bene... anche le altre.",
        ["iw"] = "זה באמת היה\nסנאי ענק?|הבט מעלה, הבט מטה,\nהבט סביב.|זה אף פעם לא ייראה\nאותו הדבר שוב.|הפסדת משהו?|רוצה להציץ ולהציץ שוב?|אוהב את מה שראית?\nרוצה לדעת מה הפסדת?|הראשון בחינם.\nטוב, בסדר, כולם בחינם.",
        ["ko"] = "정말 큰 다람쥐였나요?|위, 아래를 쳐다 보고\n주변을 둘러보세요.|같은 방법으로 두 번\n볼 수 없습니다.|놓친 것이 있나요?|계속 엿보고 있나요?|본 것이 마음에 드세요?\n무엇을 놓쳤는지 궁금하세요?|첫 판은 무료입니다.\n아, 좋습니다. 모두 무료입니다.",
        ["nb"] = "Var det virkelig\net kjempeekorn?|Se opp, se ned,\nse deg rundt.|Du ser aldri det\nsamme to ganger.|Gikk du glipp av noe?|Titte og titte igjen?|Liker du det du så?\nLurer du på hva du gikk glipp av?|Den første historien er gratis.\nOK, alle er gratis.",
        ["nl"] = "Was dat echt\neen reuzeneekhoorn?|Kijk omhoog, kijk omlaag,\nkijk om u heen.|U ziet nooit\n2 keer hetzelfde.|Iets gemist?|Kijken en nog eens kijken?|Blij met wat u zag?\nBenieuwd naar wat u heeft gemist?|De eerste is gratis.\nVooruit, ze zijn allemaal gratis.",
        ["pl"] = "Czy to naprawdę\nbyła ogromna wiewiórka?|Rozejrzyj się dookoła.|Za każdym razem patrzy się na\nnią inaczej.|Przegapiłeś coś?|Spójrz jeszcze raz|Podoba Ci się to?\nNie wiesz, co przegapiłeś?|Pierwsza jest za darmo.\nNo dobra, wszystkie są za darmo.",
        ["pt"] = "Aquilo era um esquilo gigante?|Olhe para todas as direções.|Cada vez será diferente.|Perdeu alguma coisa?|Quer espiar e espiar de novo?|Curtiu o que viu?\nSe perguntando se perdeu alguma coisa?|A primeira é gratuita.\nAh, tudo bem; todas são gratuitas.",
        ["sv"] = "Var det verkligen\nen jättestor ekorre?|Titta upp, titta ned,\ntitta runt omkring.|Den förändras\nhela tiden.|Missat något?|Ta en titt och en till?|Gillade du det du såg?\nUndrar du vad du missade?|Den första kostar inget.\nOK, ingen kostar något.",
        ["tr"] = "O gerçekten de\ndev bir sincap mıydı?|Yukarı bakın, aşağı bakın,\ndört bir yana bakın.|Onu asla iki kez aynı\nşekilde göremezsiniz.|Eğlenceyi özlediniz mi?|Tekrar tekrar izlemek\nister misiniz?|Beğendiniz mi? Belki de\nbir şeyleri kaçırmışsınızdır.|İlki ücretsizdi.\nTamam, pekala, hepsi ücretsiz.",
        ["zh_CN"] = "那真是一只大松鼠吗？\n|上下四周看看。\n|从不同角度去看会获得不同的视觉感受。\n|错过一些内容？|看了一遍又一遍？|喜欢您看到的内容？\n想知道您错过的内容？|第一个是免费的。\n哦，好吧，所有都是免费的。",
        ["zh_TW"] = "那真的是\n一隻超大的松鼠嗎?|往上看、往下看、\n看看四周。|每一次看起來\n都不一樣。|錯過什麼了嗎?|偷看一下，再偷看一下?|喜歡你看到的東西嗎?\n覺得錯過了什麼嗎?|第一個是免費的。\n噢，好吧，它們全都是免費的！"
    },
    -- @brief Splash screen (click notification "..." button) text for "Add shortcut" button
    ["lua.PREFS_SPLASH_SCREEN_SHORTCUT_TEXT"] =
        {
        ["ar"] = "تناسبك القبعة فعلاً.|ومن لا يحب\n القبعة الحمراء؟|يمكنك الوصول إلى Buggy Night‏\nمن الشاشة الرئيسية.",
        ["da"] = "Hatten klæder dig.|Hvem elsker ikke\nen rød hat?|Få adgang til Buggy Night\nfra startskærmen.",
        ["de"] = "Der Hut steht Ihnen.|Einen roten Hut\nmuss man einfach mögen!|Holen Sie sich Buggy Night auf den Startbildschirm.",
        ["el"] = "Τέλειο το καπέλο.|Όλοι θέλουν\nένα κόκκινο καπέλο!|Ανοίξτε το Buggy Night\nαπό την αρχική οθόνη.",
        ["en_GB"] = "That hat suits you.|Who doesn't love\na red hat?|Access Buggy Night\nfrom your Home screen.",
        ["en_US"] = "The hat suits you.|Who doesn't love\na red hat?|Access Buggy Night\nfrom your homescreen.",
        ["es"] = "El sombrero te queda bien.|¿A quién no le gusta\nun sombrero rojo?|Accede a Buggy Night\ndesde la pantalla principal.",
        ["es_US"] = "El sombrero te queda bien.|¿A quién no le gusta\nun sombrero rojo?|Accede a Buggy Night\ndesde la pantalla principal.",
        ["fi"] = "Hattu sopii sinulle.|Kukapa ei pitäisi\npunaisesta hatusta?|Avaa Buggy Night\naloitusnäytöstä.",
        ["fr"] = "Ce chapeau vous va bien.|Qui n'aime pas les\nchapeaux rouges ?|Retrouvez Buggy Night\ndepuis votre écran d'accueil.",
        ["it"] = "Mi piace questo cappello!|Chi non vorrebbe\nun cappello rosso?|Accedi a Buggy Night\ndalla schermata Home.",
        ["iw"] = "הכובע מתאים לך.|מי לא אוהב\nכובע אדום?|גש אל Buggy Night\nממסך הבית.",
        ["ko"] = "모자가 잘 어울리네요.|빨간 모자를\n싫어할 사람이 있을까요?|홈 화면에서\nBuggy Night에 액세스하세요.",
        ["nb"] = "Hatten passer deg.|Hvem liker ikke\nen rød hatt?|Få tilgang til Buggy Night\nfra startsiden.",
        ["nl"] = "De hoed staat u goed.|Iedereen is dol op\neen rode hoed.|Ga naar Buggy Night\nvanaf uw startscherm.",
        ["pl"] = "Do twarzy Ci z tym kapeluszem.|Czerwone są najlepsze!|Uruchom animację Buggy Night\nz ekranu głównego.",
        ["pt"] = "O chapéu combina com você.|Quem não adora um chapéu vermelho?|Veja Buggy Night\nna tela inicial.",
        ["sv"] = "Hatten passar dig.|Alla älskar väl\nröda hattar?|Öppna Buggy Night\nfrån startskärmen.",
        ["tr"] = "Şapka size yakıştı.|Kırmızı bir şapkayı\nkim sevmez?|Buggy Night'e ana\nekranınızdan erişin.",
        ["zh_CN"] = "那个帽子非常适合您。|谁不喜欢红帽子呢？|从您的主屏幕上访问\n Buggy Night。",
        ["zh_TW"] = "那頂帽子很適合你。|誰不喜歡\n紅帽子?|從您的首頁畫面\n存取 Buggy Night。"
    },
    -- @brief Splash screen (click notification "..." button) text for "Uninstall" button
    ["lua.PREFS_SPLASH_SCREEN_UNINSTALL_TEXT"] =
        {
        ["ar"] = "لا مزيد، مطلقًا.\nيرجى عدم التشغيل.",
        ["da"] = "Ikke mere, aldrig.\nSpil ikke.",
        ["de"] = "Nie wieder. Ich will das nicht mehr sehen.",
        ["el"] = "Όχι άλλο.\nΝα μην γίνει αναπαραγωγή.",
        ["en_GB"] = "No more, ever.\nPlease don't play.",
        ["en_US"] = "No more, ever.\nPlease don't play.",
        ["es"] = "Ya está, nunca más.\nNo lo reproduzcas.",
        ["es_US"] = "Nunca más.\nNo reproducir nuevamente.",
        ["fi"] = "Ei enää koskaan.\nÄlä toista.",
        ["fr"] = "Non, plus jamais.\nNe pas lire.",
        ["it"] = "Basta.\nNon mi interessa.",
        ["iw"] = "די, אף פעם.\nאל תפעיל.",
        ["ko"] = "이제 됐어요.\n플레이하지 마세요.",
        ["nb"] = "Aldri mer.\nIkke spill av.",
        ["nl"] = "Niet nog een een keer.\nIk heb genoeg gezien.",
        ["pl"] = "Nie, dziękuję.\nNie odtwarzaj.",
        ["pt"] = "Nunca mais.\nNão reproduzir novamente.",
        ["sv"] = "Aldrig mer, någonsin.\nSpela inte.",
        ["tr"] = "Bu kadarı yetti.\nLütfen bir daha oynatma.",
        ["zh_CN"] = "没有了。\n请不要播放。",
        ["zh_TW"] = "不要播放了。\n請不要播放。"
    },
    -- @maxchar 30
    -- @brief Splash screen (click notification "..." button) text under "Buggy Night" logo
    ["lua.PREFS_SPLASH_SCREEN_SUBTITLE"] =
        {
        ["ar"] = "مع moto وjan pinkava",
        ["da"] = "lavet med moto & jan pinkava",
        ["de"] = "erstellt von Moto & Jan Pinkava",
        ["el"] = "από τη moto & τον jan pinkava",
        ["en_GB"] = "Made with Moto & Jan Pinkava",
        ["en_US"] = "made with moto & jan pinkava",
        ["es"] = "Creado por moto y jan pinkava",
        ["es_US"] = "Creado por moto y jan pinkava",
        ["fi"] = "tekijät: moto & jan pinkava",
        ["fr"] = "conçu par moto & jan pinkava",
        ["it"] = "da una collaborazione tra Motorola e Jan Pinkava",
        ["iw"] = "בוצע עם moto & jan pinkava",
        ["ko"] = "moto와 jan pinkava 제작",
        ["nb"] = "laget med moto og jan pinkava",
        ["nl"] = "gemaakt met moto & jan pinkava",
        ["pl"] = "Twórcy: Motorola i Jan Pinkava",
        ["pt"] = "Desenvolvido por Moto e Jan Pinkava",
        ["sv"] = "skapad med moto och jan pinkava",
        ["tr"] = "Bir Moto ve Jan Pinkava eseri",
        ["zh_CN"] = "moto & jan pinkava 制作",
        ["zh_TW"] = "moto & jan pinkava 出品"
    },
    -- @maxchar 35
    -- @brief Splash screen (click notification "..." button) footer below menu options
    ["lua.PREFS_SPLASH_SCREEN_FOOTER"] =
        {
        ["ar"] = "يمكنك العثور على Spotlight Player والتحكم به\nمن درج عنصر واجهة المستخدم",
        ["da"] = "du kan finde og betjene Spotlight-afspilleren\nfra din widget-bakke",
        ["de"] = "Sie finden den Spotlight Player\nin Ihrer Widget-Leiste und können ihn von dort steuern.",
        ["el"] = "βρείτε και ρυθμίστε το Spotlight Player\nαπό την περ. γραφ.στοιχείων",
        ["en_GB"] = "you can find and control Spotlight Player\nfrom your widget tray",
        ["en_US"] = "you can find and control Spotlight Player\nfrom your widget tray",
        ["es"] = "puedes buscar y controlar Spotlight Player\ndesde tu bandeja de widgets",
        ["es_US"] = "puedes buscar y controlar Spotlight Player\ndesde tu bandeja de widgets",
        ["fi"] = "Spotlight Player näkyy ja sitä hallitaan\nwidget-alueella",
        ["fr"] = "vous pouvez localiser et contrôler le lecteur\nSpotlight sur votre barre de widgets",
        ["it"] = "accedi e controlla Spotlight Player\ndalla barra dei widget",
        ["iw"] = "תוכל למצוא את Spotlight Player ולשלוט בו\nמתוך מגש רכיבי ה-Widget",
        ["ko"] = "위젯 트레이에서 Spotlight Player를 찾아\n제어할 수 있습니다.",
        ["nb"] = "Spotlight Player\nfinner du i og betjener du fra miniprogramfeltet",
        ["nl"] = "u vindt en bedient Spotlight Player\nin het widgetvenster",
        ["pl"] = "Spotlight Player znajduje się i jest sterowany\nz paska widżetów",
        ["pt"] = "encontre e controle o Spotlight Player\nna sua bandeja de widgets",
        ["sv"] = "du kan styra Spotlight Player\nfrån widgetfältet",
        ["tr"] = "Spotlight Player, widget tepsinizde\nyer alır ve buradan yönetilebilir",
        ["zh_CN"] = "您可以在小部件托盘中\n找到并控制 Spotlight Player",
        ["zh_TW"] = "您可以在您的小工具匣中\n找到並控制 Spotlight Player"
    }
}
