
local Logger = TaggedLog("TestPlayGround", false)

local TestActorData = {

    Test_Ricardo = {
        model = "episode3:models/test_ricardoanim_osd.mxm",
		
		materials = { 
				{
				name = "bug:bug01_tex_body", 
				shader = "episode3:shaders/launcher.rsfx", 
				technique = "texture_skinned", 
				renderGroup = 2, 
				textures = { u_MainTex = "episode3:textures/bug01_diffuse06.dds", }, 
				parameters = {  u_MainTex_ST = Vector.new(1, 1, 0, 0), },
			},
		},
        animation = {
            Test = { "episode3:anims/test_ricardoanim.mxa", 0, 150, true, true },
        },
    },

}

TestPlayGround = {}

TestPlayGround.interrupted = false
TestPlayGround.endOfShow = false

TestPlayGround.onStartup = function(self)

	local annie = Global.scene:createActor("Annie", SceneData.actors.Annie)
	local gracie = Global.scene:createActor("Gracie", SceneData.actors.Gracie)
	local john = Global.scene:createActor("John", SceneData.actors.John)
	local tessa = Global.scene:createActor("Tessa", SceneData.actors.Tessa)
	local wah = Global.scene:createActor("Wah", SceneData.actors.Wah)
	annie.animation.RockA:play()
	gracie.animation.RockA:play()
	john.animation.RockA:play()
	tessa.animation.RockA:play()
	wah.animation.RockA:play()
	
    return true
end

TestPlayGround.onShutdown = function(self)
end

TestPlayGround.onUpdate = function(self)
	Global.onUpdate()
    if (TestPlayGround.interrupted or Global.shutdown) then
        -- For now just exit the show
        Avatar.exitDoodle()
    end

end

TestPlayGround.onReshape = function(self, width, height)
    Global.onReshape(width, height)
end

TestPlayGround.onRender = function(self)
	Global.onRender()
end

TestPlayGround.onEvent = function(self, event)
    if(event.type == "onActivityEvent") then
        if (event.data.eventString == "onDummyActivityGainedFocus") then
            Logger:message("Resuming")
            Android.onResume()
        elseif (event.data.eventString == "onDummyActivityLostFocus") then
            Logger:message("Pausing")
            Android.onPause()
        elseif (event.data.eventString == "onStop") then
            TestPlayGround.interrupted = true
            Android.onResume()
        end
    elseif(event.type == "onChangeDisplaySize") then
        Global.setRenderOverTSB(false)
    elseif(event.type == "onBatteryEvent") then
        if (event.data.newState == 0) then
            TestPlayGround.interrupted = true
            Android.onResume()
        end
    end
    return false;
end

Shell.attach("testplayground", TestPlayGround)
