
FindActorTool = {}
FindActorTool.__index = FindActorTool

local FindActor = function(button)
    if button.actorGroup then
        local actors = ActorManager:getActorsInGroup(button.actorGroup)
        if #actors > 0 then
            Log.message("Looking at: " .. tostring(actors[1].name))
            Global.scene.mainCamera.controller:lookAt(ActorManager:getActorTrackingPos(actors[1].name))
        end
    end
end

function FindActorTool:new(params)
    local window = GUI.window(GUIAligned(ALIGN_CENTER), GUISize(320, 90), "Find actor")
    window:anchor(ANCHOR_BOTTOM)

    local actors = params.actors
    assert(actors and #actors > 0)

    local buttonSize = GUIRelative(1 / #actors, 0.95)
    for _, actor in ipairs(actors) do
        local button = GUI.button(window, GUIAligned(ALIGN_BOTTOM_LEFT), buttonSize, actor.name)
        button:dock(DOCK_LEFT)
        button.actorGroup = actor.actorGroup
        button.onButtonDown = FindActor
    end
    return window
end
