
enum( "VF_MAIN_VIEW", 1 )

mainRenderTargetDescription = 
{
	surfaces =
	{
		{
			attachment			= RTA_COLOR0,
			type				= RTF_TEXTURE2D,
			format				= PF_RGBA8,
		},
		--[[{
			attachment			= RTA_DEPTH_STENCIL,
			type				= RTF_TEXTURE2D,
			format				= PF_DEPTH24_STENCIL8,
		}]]
	}
}

-- main view
mainView = Renderer.createView( "main" )
mainView:setFlags( VF_MAIN_VIEW )
mainView:setRenderTarget( mainRenderTargetDescription )
mainView.effects = {}
--mainView:setSuperSampleRate( 8 )
--[[
mainView:setMaterialOverride( {
	shader = "common:shaders/simple.rsfx",
	technique = "default",
	shaderFlags = SCF_LIGHTING,
} )
]]

local usePostEffects = false

-- post effects
mainPostChain =
{
	--[[
	{
		name				= "threshold",
		shaderUri			= "common:shaders/posteffects/threshold.rsfx",
		shaderTechnique		= "default",
		outputSizeDivisor	= { 1, 1 },
		outputPixelFormat	= PF_RGBA8,
		inputBindings		= 
		{
			PostInputBinding( PIB_LAST_EFFECT ),
		},
		parameters			= 
		{ 
			u_threshold		= 0.8,
		}
	},
	--]]
	-- [[
	{
		name					= "downsample1",
		shaderUri				= "common:shaders/posteffects/downsample.rsfx",
		shaderTechnique			= "downsample4",
		outputSizeDivisor		= { 4, 4 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_LAST_EFFECT ),
		}
	},
	{
		name					= "blur1h",
		shaderUri				= "common:shaders/posteffects/blur.rsfx",
		shaderTechnique			= "blur9_horizontal",
		outputSizeDivisor		= { 4, 4 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_LAST_EFFECT ),
		}
	},
	{
		name					= "blur1v",
		shaderUri				= "common:shaders/posteffects/blur.rsfx",
		shaderTechnique			= "blur9_vertical",
		outputSizeDivisor		= { 4, 4 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_LAST_EFFECT ),
		}
	},
	{
		name					= "downsample2",
		shaderUri				= "common:shaders/posteffects/downsample.rsfx",
		shaderTechnique			= "downsample4",
		outputSizeDivisor		= { 16, 16 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_LAST_EFFECT ),
		}
	},
	{
		name					= "blur2h",
		shaderUri				= "common:shaders/posteffects/blur.rsfx",
		shaderTechnique			= "blur9_horizontal",
		outputSizeDivisor		= { 16, 16 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_LAST_EFFECT ),
		}
	},
	{
		name					= "blur2v",
		shaderUri				= "common:shaders/posteffects/blur.rsfx",
		shaderTechnique			= "blur9_vertical",
		outputSizeDivisor		= { 16, 16 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_LAST_EFFECT ),
		}
	},
	{
		name					= "bloomBlend",
		shaderUri				= "common:shaders/posteffects/bloomblend.rsfx",
		shaderTechnique			= "default",
		outputSizeDivisor		= { 1, 1 },
		outputPixelFormat		= PF_RGBA8,
		inputBindings			= 
		{ 
			PostInputBinding( PIB_RENDER ),
			PostInputBinding( PIB_LAST_EFFECT ),
			PostInputBinding( PIB_EFFECT, "blur1v" ),
		},
		parameters				= 
		{ 
			u_lowFreqStrength  	= 0.333,
			u_highFreqStrength	= 0.5
		}
	},
	--]]
}

if usePostEffects then
	for _, def in ipairs(mainPostChain) do
		mainView.effects[def.name] = mainView:addPostEffect( def )
	end
end