

SoundControl = {
    currentVolume = 0,
    timePlaying   = 0,
    
    expire      = false,
    useBinaural = false,
}
SoundControl.__index = SoundControl

function SoundControl.new(sound)
    local instance = { sound = sound }
    setmetatable(instance, SoundControl)

    sound:setVolume(instance.currentVolume)

    return instance
end

function SoundControl:update()
    if self.sound:isPlaying() and not Time.isPaused() then
        self.timePlaying = self.timePlaying + Time.dt()
    end
    
    if (self.useBinaural) then
        self.sound:setAmbPan(MainCamera:getLocal().rotation)
    end

    self.sound:setPanBalance(self.trackingPan or 0)
end

function SoundControl:setVolume(newVolume, time)
    if (self.fading) then Log.error("SoundControl: don't set the volume on a fading volume control: " .. self.sound.name .. tostring(debug.traceback())) end
    self.currentVolume = newVolume
    
    if (time) then
        self.sound:setVolumeOverTime(newVolume, time)
    else
        self.sound:setVolume(newVolume)
    end
end

function SoundControl:setSeekPosition(newSeekPosition)
    self.sound:setSeekPosition(newSeekPosition)
end

function SoundControl:setLooping(isLooping)
    self.sound:setLooping(isLooping)
end

function SoundControl:setBinaural(useBinaural)
    self.useBinaural = useBinaural
    if (self.sound.ambEnabled ~= useBinaural) then
        self.sound:setAmbBinaural(useBinaural)
        self.sound.ambEnabled = useBinaural
    end
end
