

--- The base camera layer that all other layers inherit from
-- 
CameraLayer = 
{
	name 	= "not_set",
	worldT 	= SRT.new(),
	localT 	= SRT.new(),
	debug	= false,
	
	onStart = function(self)
	end,
	
	onUpdate = function(self)
	end,
	
	verifyInterface = function(self)
		
		-- assert the layer interface
		assert(self.localT, "Layer '"..self.name.."' is missing localT property");
		assert(self.worldT, "Layer '"..self.name.."' is missing worldT property");
	end,
}

function CameraLayer:new(data)
	local o = shallowcopy(data) or {}
    setmetatable(o, self)
    self.__index = self;
    o.camForward = Vector.forward:copy()
    o.camRight = Vector.right:copy()
    o.camUp = Vector.up:copy()
    return o
end

