

local Logger = TaggedLog("TargetWarpLayer", true)

TargetWarpLayer = createClass({
	target = nil,
	threshold = 0.0,	
}, deepcopy(CameraLayer));

TargetWarpLayer.name = "TargetWarpLayer";
	
function TargetWarpLayer:setTarget( obj, threshold )
	self.target = obj
	self.threshold = math.rad( threshold )
end

function TargetWarpLayer:onStart()
--[[
	local actorName = "TrackGirl"
	local actor 	= Global.scene.actors[actorName]
	self:setTarget( actor, 30.0 )
]]
end

function TargetWarpLayer:onPostUpdate( worldT )
	if self.target and self.target.targetLocator then
		local bone			= self.target:getBoneWorld( self.target.targetLocator )
		local dir			= bone.position - worldT.position
		dir.w				= 0.0
		dir:normalize()

		local angle			= math.acos( Vector.dot( dir, self.camForward ) )
		local t				= math.clamp01( angle / self.threshold )

		dir					= Vector.lerp( t*t, dir, self.camForward )
		dir:normalize()

		worldT.rotation		= Quaternion.lookAtWithUp( dir, self.camUp )
	end
end