

FadeTitle = {}
FadeTitle.__index = FadeTitle


FadeTitle.new = function()
    local self = {}

    self.trackingBone = "Title|HelpTitle|TitleLoc|RootNode"
    self.materialName = "Mat_HelpTitle"
    
    return setmetatable(self, FadeTitle)
end

FadeTitle.onStart = function(self)
	local localT = self.object:getLocal()
	localT.rotation = localT.rotation*Quaternion.axisAngle(Vector.new(1.0, 0.0, 0.0), 10)*Quaternion.axisAngle(Vector.new(0.0, 1.0, 0.0), 100)
	self.object:setLocal(localT)
	
	self.timer = 1.0
	if (self.material == nil) then
        self.material = self.object:findMaterial(self.materialName)
    end
end

FadeTitle.onDestroy = function(self)

end

FadeTitle.onUpdate = function(self)
    local currentTransform = self.object:getBoneLocal(self.trackingBone)
	local boneY = currentTransform.position.y
	
	local alpha = math.clamp01 (1 - (boneY * 10))

    self.material:setParameters({ u_Color = Color(1, 1, 1, alpha) })
end
