TitleParallax = {}
TitleParallax.__index = TitleParallax


TitleParallax.new = function()
    local self = {}
    self.startRotation = nil
    self.trackingBone = "Title_locator|Help_Title_plane|RootNode"
    
    -- adjust the amount of parallax (0 - 1)
    self.parallaxStrength = 0.5
    
    return setmetatable(self, TitleParallax)
end

TitleParallax.onStart = function(self)

	local worldT = self.object:getBoneWorld(self.trackingBone)
	local localT = self.object:getLocal()
	
	-- root object starting rotation
	self.startLocalRot = localT.rotation
	
	-- starting rotation that points at the actual title child transform
	self.startRotation = Quaternion.lookAt(worldT.position)
end

TitleParallax.onDestroy = function(self)
end

TitleParallax.onUpdate = function(self)

	-- current camera transform
	local camWorld = MainCamera:getWorld()
	
	-- remove roll from the camera rotation
	local roll, rollQ = camWorld.rotation:getRoll();
	local yaw, yawQ = camWorld.rotation:getYaw();
	camWorld.rotation = yawQ;--camWorld.rotation*rollQ:inverse()
	
	-- take the delta between the starting rotation and the current camera rotation
	local parallaxQ = self.startRotation*camWorld.rotation:inverse()
	
	-- apply lerp to control the amount of parallax
	parallaxQ = Quaternion.lerp(self.parallaxStrength, self.startRotation, parallaxQ)
	
	-- create the new orientation
	local localT = self.object:getLocal()
	localT.rotation = self.startLocalRot*parallaxQ
	
	-- set the new orientation
	self.object:setLocal(localT)
	
	
end
