

def = def or {}
movieName = "help:videos/help_1024_v20"
if(Platform.iOS) then
	movieName = "help:videos/help_1024_v20/HELP_sh001_edit_v011_heinen_latLong_12_24_30fps.mp4"
end


def.SegmentFadeToBlack = {
    objectType = "Segment",

    name = "SegmentFadeToBlack",
    active = {},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentFadeToShow",
        },
    },

    methods = {
        NoActor = {
            fadeShow = function() 
                Global.scene.app:startFadeVideo(0.75, 0.0, Color.new( 0.0, 0.0, 0.0, 0.0 ), Color.new( 0.0, 0.0, 0.0, 1.0 ))
            end
        }
    },

    events = {
    },
    duration = 0.75,
    looping = false,
    video = movieName,
    videoDuration = 0,
}


def.SegmentFadeToShow = {
    objectType = "Segment",

    name = "SegmentFadeToShow",
    active = {},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentTitle",
        },
    },

    methods = {
        NoActor = {
            fadeShow = function() 
                Global.scene.app:startFadeVideo(1.5, 0.4, Color.new( 0.0, 0.0, 0.0, 1.0 ), Color.new( 1.0, 1.0, 1.0, 1.0 ))
            end
        }
    },

    events = {
    },
    duration = 1.2,
    looping = false,
    videoDuration = 0,
}



def.SegmentTitle = {
    objectType = "Segment",

    name = "SegmentTitle",
    active = {"TitleCardIn"},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentTitle_loop",
            --goTo = "SegmentMainShow",
        },
    },

    methods = {
    },

    events = {
    },
    duration = 3.79,
    looping = false,
    videoDuration = 0,
}


def.SegmentTitle_loop = {
    objectType = "Segment",

    name = "SegmentTitle_loop",
    active = {"GenericTrigger01", "TitleCardLoop"},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentMainShow",
            targets = {"GenericTrigger01"},
        },
    },

    methods = {
    },  

    events = {
    },
    duration = 1.04,
    looping = false, --true,
    videoDuration = 0,
}


def.SegmentMainShow = {
    objectType = "Segment",

    name = "SegmentMainShow",
    active = {"TitleCardOut"},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentFadeToCredits",
        },
    },

    methods = {
    },

    events = {
    },
    duration = 300,
    videoFrameCutoff = 8650,
    looping = false,
}


def.SegmentFadeToCredits = {
    objectType = "Segment",

    name = "SegmentFadeToCredits",
    active = {},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentCredits",
        },
    },

    methods = {
        NoActor = {
            fadeShow = function() 
                Global.scene.app:startFadeVideo(0.75, 0.0, Color.new( 1.0, 1.0, 1.0, 1.0 ), Color.new( 0.0, 0.0, 0.0, 1.0 ))
            end
        }
    },

    events = {
    },
    duration = 0.75,
    looping = false,
}


def.SegmentCredits = {
    objectType = "Segment",

    name = "SegmentCredits",
    active = {"CreditsCard"},
    transitions = {
     	{
            event = "SegmentFinished",
            goTo = "SegmentCreditsFade",
        },
    },

    methods = {
    },
 
    events = {
    },
    duration = 5.0,
    looping = false,
}


def.SegmentCreditsFade = {
    objectType = "Segment",

    name = "SegmentCreditsFade",
    active = {"CreditsCard"},
    transitions = {
        {
            event = "SegmentFinished",
            goTo = "SegmentExit",
        },
    },

    methods = {
        NoActor = {
            fadeShow = function() 
                Global.scene.app:startFadeVideo(1.0, 3.3, Color.new( 0.0, 0.0, 0.0, 1.0 ), Color.new( 0.0, 0.0, 0.0, 0.0 ))
            end
        }
    },
 
    events = {
    },
    duration = 4.0,
    looping = false,
}


def.SegmentExit = {
    objectType = "Segment",

    name = "SegmentExit",
    active = {},
    transitions = {
    },

    methods = {
    	NoActor = {
    		exitShow = function() 
    			StoryManager:sendEvent("STORY_STATE_STOPPED", "GWO")
			    Avatar.restart(500, true)
    		end
    	}
    },
 
    events = {
    },
    looping = false,
}


def.cylinderSegment = {
    objectType = "Segment",

    name = "Segment01",
    active = {"testCylinder"},

    transitions = {
    },

    methods = {
    },  

    events = {
    },
    duration = 2000,
    looping = false,
}


def.firstSegment      = "SegmentFadeToBlack"
def.prefetchSegments  = { "SegmentFadeToBlack","SegmentFadeToShow","SegmentTitle", "SegmentMainShow" }
def.prefetchFlipbooks = { "help:flipbooks/help_title.mfb", "help:flipbooks/help_credits.mfb" }

