
Bounds = {}
Bounds.__index = Bounds

Bounds.new = function(min, max)
	return setmetatable({ min = min or Vector3.zero, max = max or Vector3.zero }, Bounds);
end

Bounds.copy = function(c)
	return Bounds.new(c.min, c.max);
end

Bounds.origin = function(self) 
	return (self.min + self.max)*0.5;
end

Bounds.exents = function(self)
	return (self.max - self.min);
end

Bounds.translateBy = function(self, offset)
	self.min = self.min + offset;
	self.max = self.max + offset;
end

Bounds.contains = function(self, point) 
	if(point.x < self.min.x) then
		return false;
	end
	if(point.x > self.max.x) then
		return false;
	end
	if(point.y < self.min.y) then
		return false;
	end
	if(point.y > self.max.y) then
		return false;
	end	
	if(point.z < self.min.z) then
		return false;
	end
	if(point.z > self.max.z) then
		return false;
	end	
	return true;
end

Bounds.overlaps = function(self, other)
	return (self.min.x < other.max.x) and (self.max.x > other.min.x) and
		   (self.min.y < other.max.y) and (self.max.y > other.min.y) and
		   (self.min.z < other.max.z) and (self.max.z > other.min.z);
end
