
-- lua console
GUI.console = function(parent, pos, size, title, sandbox)
    local scrollframe = GUI.scrollframe(parent, GUIPos(0, 0), GUISize(SZ_FILL,SZ_FILL), "vertical", "")
    local console = GUI.text(scrollframe, pos, size, "> ", "console")
    console:anchor(true, true, true, true)
    console.docommand = function(self, cmd)
        local f, error = loadstring(cmd)
        if(f) then
            if(sandbox) then
                setfenv(f, sandbox)
            end
            local success, result = pcall(f)
            return result
        elseif(error) then
            console:print("error: "..error.."\n")
        end
    end

    local textentryHandler = {
        onTextInput = function(self, k)
            self.command = self.command or ""
            self.history = self.history or {}
            if(k == '\n' or k == '\r') then
                self:print("\n")

                local result = self:docommand(self.command)
                if(result) then
                    if(type(result) == "table") then
                        result = "table"
                    elseif(type(result) == "boolean") then
                        if(result) then
                            result = "true"
                        else
                            result = "false"
                        end
                    end
                    self:print("result: "..result.."\n")
                end
                table.insert(self.history, self.command)
                self.command = ""
                self:print("> ")
            elseif(k == '\b') then
                if(#self.command>0) then
                    self:removeText(-1, 1)
                    self.command = string.sub(self.command, 1, -2)
                end
            else
                self:appendText(k)
                self.command = self.command..k
            end
        end,
    }

    console.print = function(self, fmt, ...)
        self:appendText(string.format(fmt, ...))
    end

    console:addEventHandler(textentryHandler)
    return console
end
