
-- edit text field
GUI.textfield = function(parent, pos, size, text, style)
    local label = GUI.text(parent, pos, size, text, style)
    local textentryHandler = {
        onTextInput = function(self, k)
            if(k == '\n' or k == '\r') then
                label:appendText("\n")
            elseif(k == '\b') then
                label:removeText(-1, 1)
            else
                label:appendText(k)
            end
        end,
        onPassiveUpdate = function(self)
            if(self:hasFocus()) then
                self:setStyle("textfield.focused")
            else
                self:setStyle("textfield.default")
            end
        end
    }
    label:addEventHandler(textentryHandler)
    return label
end
