
enableProfiler = false;
if(enableProfiler) then
	Profiler = require "common/scripts/moxie/profiler"
end

require "common/scripts/moxie/statemachine"

Shell = {}
Shell.stateMachine = StateMachine.new();
Shell.onInitialize = function()
	if(Profiler ~= nil) then
		Profiler:start();
	end
	return true;
end

Shell.onUpdate = function()
	Shell.stateMachine:onUpdate();
end

Shell.onReshape = function(width, height)
	Shell.stateMachine:onReshape(width, height)
end

Shell.onRender = function()
	Shell.stateMachine:onRender();
end

Shell.onShutdown = function()
	Shell.stateMachine:onShutdown();

	if(Profiler ~= nil) then	
		Profiler:stop();
		Profiler:writeReport("lprofi.txt");	
	end
end

Shell.attach = function(name, state)
	Shell.stateMachine:addState(name, state);
end

Shell.dispatch = function(eventType, eventData)
	return Shell.stateMachine:onEvent({ type = eventType, data = eventData });
end

Shell.start = function(name) 
	if(not(Shell.stateMachine:start(name))) then
		Renderer.setClearColor(1.0,0.0,0.0,1.0);
		Log.message("Shell: failed to start: '"..name.."'");
	end
end

Application = Shell;
Application.onInitialize = Shell.onInitialize
-- Application.onTerminate = Shell.onShutdown
