

ClearColorControl = {
	colorDriver = nil,
	colorDriverLast = nil,
	black = Vector(0,0,0,1),
	white = Vector(1,1,1,1),
}

ClearColorControl.new = function(self, scene)
	local o = {};
	setmetatable(o, self);
	o.scene = scene;
	self.__index = self;
	return o;
end

function ClearColorControl:onStart()
	self.colorDriver = self.object:getBone("cameraColorDriver|RootNode")
end

function ClearColorControl:onUpdate()
	local newColor = Vector.lerp(math.clamp01(self.colorDriver:getWorld().position.y), self.black, self.white);
	
	if(newColor ~= self.colorDriverLast) then
		self.colorDriverLast = newColor;
		Global.clearColor.r = newColor.x;
		Global.clearColor.g = newColor.y;
		Global.clearColor.b = newColor.z;
		Global.clearColor.a = newColor.w;
	end
	
end
