
DrivenKey = {
    sourceFn = function () end,
    sourceRange = Vector(0, 1),
    targetFn = function(value) end,
    targetRange = Vector(0, 1),
}

function DrivenKey:new()
    local this = {}
    setmetatable(this, self)
    self.__index = self
    return this
end

function DrivenKey:onUpdate()
    if (self.sourceFn and self.targetFn) then
        local sourceValue = math.inverseLerp(self.sourceRange.x, self.sourceRange.y, self.sourceFn())
        self.targetFn(math.lerp(self.targetRange.x, self.targetRange.y, sourceValue))
    end
end

DrivenKeyYToU = DrivenKey:new()
function DrivenKeyYToU:new(sourceBone, sourceRange, targetMaterial, targetRange)
    local this = {
        sourceBone = sourceBone,
        sourceRange = sourceRange,
        targetMaterial = targetMaterial,
        targetRange = targetRange,
        sourceFn = function () return sourceBone:getLocal().position.y end,
        targetFn = function (value)
            targetMaterial:setTextureOffset("MainTex", value, nil)
        end,
    }
    setmetatable(this, self)
    self.__index = self
    return this
end

DrivenKeyYToV = DrivenKey:new()
function DrivenKeyYToV:new(sourceBone, sourceRange, targetMaterial, targetRange)
    local this = {
        sourceBone = sourceBone,
        sourceRange = sourceRange,
        targetMaterial = targetMaterial,
        targetRange = targetRange,
        sourceFn = function () return sourceBone:getLocal().position.y end,
        targetFn = function (value)
            targetMaterial:setTextureOffset("MainTex", nil, value)
        end,
    }
    setmetatable(this, self)
    self.__index = self
    return this
end

