
local LogDebug = false
local Debug = function(...) end
if (LogDebug) then Debug = Log.message end

DrivenRotator = {
    driverRotScalar = nil,
}

function DrivenRotator:new(data)
    local this = shallowcopy(data) or {}
    setmetatable(this, self)
    self.__index = self

    return this
end

function DrivenRotator:onStart()
    if (self.rotDriver ~= nil) then
        self.driverRotScalar   = ActorManager:getBone(self.rotDriver)
    end
end

function DrivenRotator:onUpdate()
    if (self.rotSpeed ~= 0) then
        local rotScalar = 1
        if (self.driverRotScalar and self.driverRotScalar.getWorld) then
            rotScalar = self.driverRotScalar:getWorld().position.y
        end

        local transform = self.object:getLocal()
        if (transform) then
            transform.rotation = transform.rotation * Quaternion.fromEulerAngles(Vector(0.0,self.rotSpeed*rotScalar,0.0) * Time.dt())
            self.object:setLocal(transform)

            --local eulerRot = transform.rotation:getEulerAngles()
            --Log.message( "     ********** EulerRot ("..eulerRot.x.." , "..eulerRot.y.." , "..eulerRot.z..") ")
        end
    end
end
