
HiLiteFader = {}
HiLiteFader.__index = HiLiteFader;

HiLiteFader.new = function()	
	local self = {
		sizeGoal = Vector(1,1,1),
		currentSize = Vector(1,1,1),
		fadeGoal = 0,
		currentFade = 0,
		baseColor = Vector(1,0,0,1),
		isTouched = false,
		matName = "TSBGlow",
		glowMat = nil,
	}	
	return setmetatable(self, HiLiteFader);
end

HiLiteFader.onStart = function(self)
	self.glowMat = self.object:findMaterial(self.matName)
end

HiLiteFader.onUpdate = function(self)


	if (isTouched) then 
		self.sizeGoal = Vector(1,1,1)
		self.fadeGoal = 1
	else 
		self.sizeGoal = Vector(0.1,0.1,0.1)
		self.fadeGoal = 0
	end
	
	self.currentSize = Vector.lerp(Time.dt() * 5, self.currentSize, self.sizeGoal)
	local localTransform = self.object:getLocal();
	localTransform.scale = self.currentSize
	self.object:setLocal(localTransform)

	self.currentFade = Vector.lerp(Time.dt() * 5, self.currentFade, self.fadeGoal)
	
	if(self.glowMat ~= nil) then
		local fadeColor = Vector(self.baseColor.x, self.baseColor.y, self.baseColor.z, self.currentFade)
		self.glowMat:setParameters({ u_Color = fadeColor})
	end
end

HiLiteFader.touched = function(self)
	self.isTouched = true;
	self.currentSize = Vector(1,1,1)
	self.currentFade = 1
end

HiLiteFader.released = function(self)
	self.isTouched = true;
end

HiLiteFader.flash = function(self)
	self.currentSize = Vector(1,1,1)
	self.currentFade = 1
end
