
IconFader = {}
IconFader.__index = IconFader;

IconFader.new = function()	
	local self = {
		idleColor = Vector(0.7,0.7,0.7,0.9),
		fadeOutColor = Vector(0.7,0.7,0.7,0.0),
		startColor = Vector(1,1,1,0),
		endColor = Vector(1,1,1,1),
		timer = 0,
		matName = "Mat_IconHat",
		screenMat = nil,
	}	
	return setmetatable(self, IconFader);
end

IconFader.onStart = function(self)
	self.screenMat = self.object:findMaterial(self.matName)
end

IconFader.onUpdate = function(self)
	
	if (self.timer < 1) then
		self.timer = self.timer + (Time.dt() * 2)
		local amount = math.easeInOutSine(math.clamp(self.timer, 0, 1))
		local matColor = Vector.lerp(amount, self.startColor, self.endColor)
		self.screenMat:setParameters({ u_Color = matColor})
	end
end

IconFader.flashColor = function(self, flashColor)
	self.timer = 0
	self.startColor = flashColor
	self.endColor = self.idleColor
end

IconFader.fadeOut = function(self)
	self.timer = 0
	self.startColor = self.idleColor
	self.endColor = self.fadeOutColor
end

IconFader.fadeIn = function(self)
	self.timer = 0
	self.startColor = self.fadeOutColor
	self.endColor = self.idleColor
end
