

MouseMaterialControl = {
	cameraColorDriver = nil,
	lastBlendVal = 0,
}

MouseMaterialControl.new = function(self, scene)
	local o = {};
	setmetatable(o, self);
	o.scene = scene;
	self.__index = self;
	return o;
end

function MouseMaterialControl:onStart()
	self.cameraColorDriver = self.object:getBone("cameraColorDriver|RootNode")
end

function MouseMaterialControl:onUpdate()
	local mouse = Global.scene.actors.Mouse
	
	if (mouse) then
	
		local mouseBodyMaterial = mouse.materials["Mat_MouseBody"];
		local mouseEyeLidMaterial = mouse.materials["Mat_MouseEyeLids"];
		local blendVal = 1.0 - math.clamp01(self.cameraColorDriver:getWorld().position.y);
		
		if(self.lastBlendVal ~= blendVal) then
			self.lastBlendVal = blendVal;
			if (mouseBodyMaterial) then
				mouseBodyMaterial:setParameters({ u_LightTexBlend = blendVal});
			end
			if (mouseEyeLidMaterial) then
				mouseEyeLidMaterial:setParameters({ u_LightTexBlend = blendVal});
			end
		end
	end
end
