
require "common/scripts/moxie/moxie"
require "windyday/scripts/components/drivenparticles"

DigHole = {}

DigHole.particleGroups = {}
DigHole.particleGroups.digDirt01 = {
    name = "digDirt01",
    drivenParticles = {
        {
            emitterName = "digDirt01Emitter",
            particleSystemSpec = "digdirt",
            emitDriver = { actor = "DigHole", bone="ParticleControl_Dig|DigHole|RootNode" },
            emitterRot = Quaternion.fromEulerAngles(Vector(30.0,110.0,0.0)),

        },
    }
}

DigHole.particleGroups.digDirt02 = {
    name = "digDirt02",
    drivenParticles = {
        {
            emitterName = "digDirt02Emitter",
            particleSystemSpec = "digdirt",
            emitDriver = { actor = "DigHole", bone="ParticleControl_Bury|DigHole|RootNode" },
            emitterRot = Quaternion.fromEulerAngles(Vector(30.0,300.0,0.0)),

        },
    }
}

-- Utility function for particle setup common only to the mole hole
local function addParticlesByDriverLocation(particleParent,data)
    for i = 1, #data.drivenParticles do
        local initSource = ActorManager:getBone(data.drivenParticles[i].emitDriver)
        local sourceTransform = initSource:getWorld()
        data.drivenParticles[i].emitterPos = sourceTransform.position:copy()
        -- This rotation set doesn't seem to work as well as I'd hope.  Just do it manually.
        -- data.drivenParticles[i].emitterRot = sourceTransform.rotation:copy()
        particleParent:addComponent(data.name.."Particles"..i, DrivenParticles:new(data.drivenParticles[i]))
    end
end

function DigHole.configDigHole(digHole)

    local digDirt01Data  = DigHole.particleGroups.digDirt01
    addParticlesByDriverLocation(digHole, digDirt01Data)
    local digDirt02Data  = DigHole.particleGroups.digDirt02
    addParticlesByDriverLocation(digHole, digDirt02Data)

    --[[digHole:addComponent("Pile1", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile1|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile2", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile2|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile3", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile3|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile4", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile4|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile5", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile5|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile6", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile6|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile7", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile7|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile8", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile8|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile9", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile9|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile14", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile14|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile15", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile15|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile17", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile17|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile18", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile18|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile19", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile19|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile20", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile20|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile21", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile21|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile22", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile22|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile23", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile23|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile24", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile24|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile25", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile25|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile26", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile26|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile27", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile27|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile28", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile28|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile29", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile29|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile30", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile30|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile31", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile31|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile32", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile32|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile33", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile33|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile34", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile34|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile35", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile35|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile36", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile36|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile37", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile37|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile38", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile38|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile39", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile39|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile40", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile40|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile41", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile41|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile42", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile42|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile43", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile43|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile44", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile44|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile45", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile45|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile46", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile46|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile47", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile47|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile48", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile48|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile49", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile49|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile50", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile50|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile51", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile51|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile52", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile52|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile53", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile53|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile54", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile54|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile57", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile57|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile60", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile60|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile61", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile61|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile63", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile63|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile64", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile64|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile66", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile66|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile70", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile70|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile71", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile71|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile72", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile72|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile73", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile73|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile74", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile74|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile78", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile78|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile83", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile83|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile104", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile104|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile105", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile105|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile106", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile106|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile107", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile107|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile108", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile108|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile109", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile109|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile110", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile110|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile111", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile111|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile112", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile112|MoleBurrow|DigHole|RootNode"})))
    digHole:addComponent("Pile113", HideByScale:new(ActorManager:getBone({actor="DigHole", bone="Pile113|MoleBurrow|DigHole|RootNode"})))
    ]]
end
