
require "common/scripts/moxie/moxie"
require "windyday/scripts/components/drivenparticles"

DigHole_MoleHole = {}

DigHole_MoleHole.particleGroups = {}
DigHole_MoleHole.particleGroups.moleDirt = {
    name = "moleDirt",
    drivenParticles = {
        {
            emitterName = "moleHoleEmitter",
            particleSystemSpec = "moledirt",
            emitDriverTest = { actor = "DigHole_MoleHole", bone="ParticleControl_MoleDirt|DigHole|RootNode" },
            emitterPos = Vector(0.0,0.0,-10.0),
        },
    }
}

-- Utility function for particle setup common only to the mole hole
local function addParticlesByDriverLocation(particleParent, data)
    for i = 1, #data.drivenParticles do
        local initSource = ActorManager:getBone(data.drivenParticles[i].emitDriverTest)
        local sourceTransform = initSource:getLocal()
        data.drivenParticles[i].emitterPos = sourceTransform.position:copy()
--        data.drivenParticles[i].emitterRot = sourceTransform.rotation:copy()
        particleParent:addComponent(data.name.."Particles"..i, DrivenParticles:new(data.drivenParticles[i]))
    end
end

function DigHole_MoleHole.configDigHole(digHole_MoleHole)

    local moleDirtData  = DigHole_MoleHole.particleGroups.moleDirt
    addParticlesByDriverLocation(digHole_MoleHole, moleDirtData)

    --[[digHole_MoleHole:addComponent("Pile65", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile65|MoleBurrow|DigHole|RootNode"})))
	digHole_MoleHole:addComponent("Pile67", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile67|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile68", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile68|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile69", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile69|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile79", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile79|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile80", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile80|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile81", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile81|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile82", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile82|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile84", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile84|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile85", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile85|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile86", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile86|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile87", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile87|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile88", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile88|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile89", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile89|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile90", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile90|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile91", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile91|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile92", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile92|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile93", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile93|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile94", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile94|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile95", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile95|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile96", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile96|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile97", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile97|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile98", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile98|MoleBurrow|DigHole|RootNode"})))
    digHole_MoleHole:addComponent("Pile99", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile99|MoleBurrow|DigHole|RootNode"})))
	digHole_MoleHole:addComponent("Pile103", HideByScale:new(ActorManager:getBone({actor="DigHole_MoleHole", bone="Pile103|MoleBurrow|DigHole|RootNode"})))
	]]

end
