
local LogDebug = true
local Debug = function(...) end
if (LogDebug) then Debug = Log.message end

DropGround = {}

function DropGround.configDropGround(dropGround, scene)
    Debug("   *** Configurating drop ground    ****")

    local groundParts = {
        "Env_EndScene",
        "Slice_EndSceneA",
        "Slice_EndSceneB",
        "Toggle_EndSceneA",
        "Toggle_EndSceneB",
    }

    local groundDriver = ActorManager:getActor("DropProxy")
    if (groundDriver) then
        for _, name in pairs(groundParts) do
            local partActor = ActorManager:getActor(name)
            if (partActor) then
                -- Log.message("     ***** Attach Mover ***** : "..name);
                partActor:addComponent("groundDriver", PositionTracker.new(groundDriver, "setDriver|RootNode",true))

            end
        end
    end


    Debug("   *** DONE Configurating drop ground    ****")
end
