
local LogDebug = false
local Debug = function(...) end
if (LogDebug) then Debug = Log.message end

Raccoons = {}

function Raccoons.config(raccoons)
    raccoons:addComponent("r1_body", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon1_hi_cn_body|raccoon1_geometry|RootNode"})))
    raccoons:addComponent("r1_head", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon1_hi_cn_head|raccoon1_geometry|RootNode"})))
    raccoons:addComponent("r1_wetbody", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon1_hi_cn_wetbody|raccoon1_geometry|RootNode"})))
    raccoons:addComponent("r1_wethead", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon1_hi_cn_wethead|raccoon1_geometry|RootNode"})))

    raccoons:addComponent("r2_body", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon2_hi_cn_body|raccoon2_geometry|RootNode"})))
    raccoons:addComponent("r2_head", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon2_hi_cn_head|raccoon2_geometry|RootNode"})))
    raccoons:addComponent("r2_wetbody", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon2_hi_cn_wetbody|raccoon2_geometry|RootNode"})))
    raccoons:addComponent("r2_wethead", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon2_hi_cn_wethead|raccoon2_geometry|RootNode"})))

    raccoons:addComponent("r3_body", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon3_hi_cn_body|raccoon3_geometry|RootNode"})))
    raccoons:addComponent("r3_head", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon3_hi_cn_head|raccoon3_geometry|RootNode"})))
    raccoons:addComponent("r3_wetbody", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon3_hi_cn_wetbody|raccoon3_geometry|RootNode"})))
    raccoons:addComponent("r3_wethead", HideByScale:new(ActorManager:getBone({actor="Raccoons", bone="raccoon3_hi_cn_wethead|raccoon3_geometry|RootNode"})))

    -- water splash
    local splashBone = ActorManager:getBone({actor="Raccoons", bone="Ctrl_SplashTexture|Splash2|RootNode"})
    raccoons:addComponent("splash", DrivenKeyYToU:new(splashBone,
        Vector(0, 1.55),
        raccoons.materials["Mat_SplashC"],
        Vector(0.2, -0.8)))

    -- water ripples
    local ripplesBone = ActorManager:getBone({actor="Raccoons", bone="Ctrl_ripples|Cntrl_SplashScaleAndOffeset|Splash2|RootNode"})
    raccoons:addComponent("ripples",
        DrivenKeyYToV:new(ripplesBone,
                          Vector(0, 0.711),
                          raccoons.materials["Mat_SplashRippleC"],
                          Vector(2, 0)))

    -- ripples textureSwap
    local ripplesTextureBone = ActorManager:getBone({actor="Raccoons", bone="TextureSwitch_Dont_Touch_Me|Cntrl_SplashScaleAndOffeset|Splash2|RootNode"})
    raccoons:addComponent("ripplesTextures",
        AppleRippleTextures:new(raccoons.materials["Mat_SplashRippleC"],
                                ripplesTextureBone,
                                Vector(1, 2)))

end
