
local LogDebug = false
local Debug = function(...) end
if (LogDebug) then Debug = Log.message end

Water = {}

function Water.configWater(sliceRampage)
    sliceRampage:addComponent("waterdriver", WaterDriver:new())
end

WaterDriver = {}

function WaterDriver:new()
    local this = {}
    setmetatable(this, self)
    self.__index = self
    return this
end

function WaterDriver:onStart()
    self.water = {
        { mat = self.object.materials["water_00"], offset = Vector.zero, delta = Vector(-0.09, -0.3) },
        { mat = self.object.materials["water_01"], offset = Vector.zero, delta = Vector(-0.09, -0.3) },
        { mat = self.object.materials["water_02"], offset = Vector.zero, delta = Vector(-0.09, -0.09) },
        { mat = self.object.materials["water_03"], offset = Vector.zero, delta = Vector(-0.09, -0.3) },
        { mat = self.object.materials["water_04"], offset = Vector.zero, delta = Vector(-0.09, 0.0) },
        { mat = self.object.materials["water_05"], offset = Vector.zero, delta = Vector(-0.05, -0.05) },
        { mat = self.object.materials["water_06"], offset = Vector.zero, delta = Vector(-0.04, 0.04) },
    }
end

function WaterDriver:onUpdate()
    for _, water in pairs(self.water) do
        water.offset = water.offset + water.delta * Time.dt()
        water.mat:setParameters({ u_MainTex_ST = Vector(1, 1, water.offset.x, water.offset.y) })
    end
end
