
require "common/scripts/moxie/moxie"

require "windyday/scripts/components/drivenparticles"
require "windyday/scripts/components/drivenrotator"

local LogDebug = true
local Debug = function(...) end
if (LogDebug) then Debug = Log.message end

WhiteFluff = {}

WhiteFluff.definition = {
    drivenRotator = {
        rotSpeed = 360.0 / -40.0,
    },
    drivenParticles = {
        {
            emitterName = "emitter1",
            particleSystemSpec = "whitefluff",
            position = Vector(0.0,0.0,0.0),
            parented = true,
        },
    }
}

function WhiteFluff.config(fluff)
    Debug("   *** Configurating WhiteFluff    ****")

    local data  = WhiteFluff.definition

    if (data.drivenRotator) then
        fluff:addComponent("FluffRotator", DrivenRotator:new(data.drivenRotator))
    end
    for i = 1, #data.drivenParticles do
        fluff:addComponent("FluffParticles"..i, DrivenParticles:new(data.drivenParticles[i]))
    end

    Debug("   *** DONE Configurating WhiteFluff    ****")
end

