
HatReturnMover = {}
HatReturnMover.__index = HatReturnMover;

HatReturnMover.new = function()	
	local self = {
		animDuration = 1,
		timer = 0.0,
		rig = Global.scene.actors.TSBRig,
		rigTransform = "HatPosition|RootNode",
	}
	return setmetatable(self, HatReturnMover);
end

HatReturnMover.startMover = function(self)
	--Global.scene.actors.Iris:setVisibility(false)	
		
	self.rig = Global.scene.actors.TSBRig;
	self.rigTransform = "HatPosition|RootNode";
	
    if (self.rig) then
    	self.rig.animation.EndOfShow:play()
    end
	self.object.animation.EndOfShow:play()
	
	self.animDuration = self.object.animation.EndOfShow:getDuration()
	
	self.timer = 0

end

HatReturnMover.onUpdate = function(self)
	local irisT = Global.scene.actors.Iris:getWorld();
	local irisZ = irisT:forward(); 
	local startPos = irisT.position - irisZ ;

    if (self.rig) then
        local rigWorld = self.rig:getBoneWorld(self.rigTransform);
        local endPos = rigWorld.position;

        local camTRot = Global.scene.mainCamera:getWorld().rotation;

        local lerpAmount = math.easeInOutSine(math.clamp(self.timer, 0, 1))
        local newPosition = Vector.lerp(lerpAmount, startPos, endPos)
        local newRotation = Quaternion.lerp(lerpAmount, Quaternion.identity, camTRot)
        self.object:setPosition(newPosition);
        self.object:setRotation(newRotation);
    end

    self.timer = self.timer + Time.dt() / self.animDuration
	if (self.timer > 1) then
		EndOfShow.done = true
	end
end

