

ActorUtil = {}

function ActorUtil:getBone(bonePath)
    local actor = self
    if (actor:getBoneLocal(bonePath) == nil) then
        Log.error("Could not find bone: " .. bonePath .. " on actor: " .. actor.name)
        return nil
    end
    if (actor) then
        return {
            actor = actor,
            bonePath = bonePath,
            getWorld = function(self)
                return self.actor:getBoneWorld(self.bonePath)
            end,
            getLocal = function(self)
                return self.actor:getBoneLocal(self.bonePath)
            end,
            setLocal = function(self, transform)
                self.actor:setBoneLocal(self.bonePath, transform)
            end,
            setLocalTranslation = function(self, position)
                local transform = self:getLocal()
                transform.position = position
                self.actor:setBoneLocal(self.bonePath, transform)
            end,
            setLocalScale = function(self, scale)
                local transform = self:getLocal()
                transform.scale = scale
                self.actor:setBoneLocal(self.bonePath, transform)
            end,
            setLocalRotation = function(self, rotation)
                local transform = self:getLocal()
                transform.rotation = rotation
                self.actor:setBoneLocal(self.bonePath, transform)
            end,
            setVisibility = function(self, visible)
				self.actor:setBoneVisibility(self.bonePath, visible);
            end
        }
    end
    return nil
end