
Launcher.hide = {
    onStartup = function(self)
        Android.reset()

        Context.onHide()

        self.hidden = false

        -- start hide animation
        self.animName = "PopOut"

        local launchHat = Global.scene.actors.LaunchHat
        launchHat.animation[self.animName]:crossfade(1, false)
        local tsbRig = Global.scene.actors.TSBRig
        tsbRig.animation[self.animName]:crossfade(1, false)
        self.hideTimeOut = tsbRig.animation[self.animName]:getDuration()

        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()

        -- if hat is fully hidden, loop back to start state
        if (self.hidden) then
            return "launcher_start"
        end

        -- play through animation
        self.hideTimeOut = self.hideTimeOut - Time.dt()
        if (self.hideTimeOut < 0) then
            local launchHat = Global.scene.actors.LaunchHat
            launchHat:setVisibility(false)
            self.hidden = true
        end
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        if (not self.hidden) then
            Global.onRender()
        end
    end,

    onShutdown = function(self)
    end,

    onEvent = function(self, event)
    end
}
