
Launcher = Launcher or {}

require "windyday/scripts/launcher/context"
require "windyday/scripts/launcher/config"
require "windyday/scripts/launcher/apps_table"
require "windyday/scripts/launcher/hat"
require "windyday/scripts/launcher/hide"
require "windyday/scripts/launcher/idle"
require "windyday/scripts/launcher/interrupted"
require "windyday/scripts/launcher/intro"
require "windyday/scripts/launcher/load1_assets"
require "windyday/scripts/launcher/load1"
require "windyday/scripts/launcher/load2"
require "windyday/scripts/launcher/prompt"
require "windyday/scripts/launcher/start"
require "windyday/scripts/launcher/wait"
require "windyday/scripts/launcher/notify"
require "windyday/scripts/launcher/timeout"
require "windyday/scripts/analyticsmanager"

require "windyday/scripts/strings"
require "windyday/scripts/l10n"

-- Called when the hat is first shown
Launcher.onHatPrompt = function()
end

-- Spawns Windy Day's splash screen
Launcher.doSplash = function(msgOnExit)
    Avatar.showSplashScreen(msgOnExit)
end

-- Spawns Windy Day's notification
Launcher.doNotify = function()
 --   if (not Context.isBrowserPlay()) then
   --     AnalyticsManager.onDoNotify()
        Context.onNotification()
        Avatar.showNotificationForPackage(false, false, "windyday")
 --   end
end

-- Register all launcher states
Shell.attach("launcher_start",                       Launcher.start)
Shell.attach("launcher_load1",                       Launcher.load1)
Shell.attach("launcher_load2",                       Launcher.load2)
Shell.attach("launcher_idle",                        Launcher.idle)
Shell.attach("launcher_prompt",                      Launcher.prompt:new("Prompt"))
Shell.attach("launcher_fast_prompt",                 Launcher.prompt:new("PopIn"))
Shell.attach("launcher_hide",                        Launcher.hide)
Shell.attach("launcher_wait",                        Launcher.wait)
Shell.attach("launcher_intro",                       Launcher.intro)
Shell.attach("launcher_interrupted",                 Launcher.interrupted)
Shell.attach("launcher_notify",                      Launcher.notify)
Shell.attach("launcher_timeout",                     Launcher.timeout)
