
-- State that returns the hat to the notification bar and then
-- goes back to the start to wait for the user to start the show
Launcher.notify = {

    animName = "ToNotificationFromFWO",

    onStartup = function(self)
        Android.reset()

        -- set up visuals
        local tsbRig = Global.scene.actors.TSBRig
        local launchHat = Global.scene.actors.LaunchHat

        launchHat.animation[self.animName]:play()
        tsbRig.animation[self.animName]:play()

        self.animation = launchHat.animation[self.animName]

        self.done = false

        -- cancel the pre-show notification
        Launcher.onHatPrompt()

        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()

        if (self.done) then
            Launcher.doNotify()
            return "launcher_start"
        end

        if (Context.isBlacklisted() or not self.animation:isPlaying()) then
            self.done = true
        end
    end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        if (not self.done) then
            Global.onRender()
        end
    end
}
