
Launcher.wait = {
    -- whether or not we have already passed through this state
    loaded = false,

    onStartup = function(self)
        Android.reset()
        if (Platform.android) then
            Scheduler.schedule(false, false, 1, false, 1000 * (1 + Config.active().hatHideTime), 0)
        end
        Android.enableTouchIntercept(true)
        Launcher.hat:setTapAllowed(true)

        self.startTime = os.time()

        return true
    end,

    onUpdate = function(self)
        Global.onUpdate()

        local hatShownFor = os.time() - self.startTime
        local hatShownEnough = hatShownFor >= Config.active().hatHideTime

        if (Context.isBlacklisted() or hatShownEnough) then
            return "launcher_hide"
        elseif (Context.isTSBHatTimedOut()) then
            return "launcher_timeout"
        else
            Global.resources:addActor( def.actors.Mouse )
            Global.resources:prefetch()
            return "launcher_intro"
        end

        if (PixelPipe == nil) then
            return "launcher_intro"
        end
	end,

    onReshape = function(self, width, height)
        Global.onReshape(width, height)
    end,

    onRender = function(self)
        Global.onRender()
    end,

    onShutdown = function(self)
        Android.enableTouchIntercept(false)
        Launcher.hat:setTapAllowed(false)
    end,

    onEvent = function(self, event)
        -- tick on any event
        Scheduler.requestFrame()

        -- pass the event onto the hat object to handle input
        return Launcher.hat:onEvent(event)
    end
}
