
musicIntro = {
    -- Play during the GWI intro before there are any segments playing
    name = "GWIIntro",
    segmentStartFrame = 0,
    musicBedEvents = {
        { name = "intro_sfx_bedlower", startTime = 196, fadeTime = 2.0, fadeStart = 0, fadeEnd = 1, quantized = -1.0, ambient = true },
        { name = "intro_sfx_bedupper", startTime = 24, fadeTime = 2.0, fadeStart = 0, fadeEnd = 1, quantized = -1.0, ambient = true },
    },
    musicStabEvents = {
        { name = "gwi_stab1", startTime = 4, quantized = -1.0, volume = 0.7 },
        { name = "intro_end_sfx_stab1", startTime = 48, quantized = -1.0, volume = 0.5 },
    }
}

music = {
    {
        name = "HatCycle",
        segmentStartFrame = 0,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "HatIntro",
        segmentStartFrame = 0,
        musicBedEvents = {
            -- checkpoint
            { name = "intro_sfx_bedlower", startTime = 484, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "intro_sfx_bedupper", startTime = 312, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {
            { name = "gwi_stab2", startTime = 0, quantized = -1.0, volume = 0.8 },
        }
    },

    {
        name = "PepeIntro",
        segmentStartFrame = 312,
        musicBedEvents = {
            { name = "pepeintro_bed1", startTime = 312, fadeTime = 10.0, fadeStart = 0.6, fadeEnd = 0.8, quantized = -1.0, ambient = false },

            -- checkpoint
            { name = "intro_sfx_bedlower", startTime = 484, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "intro_sfx_bedupper", startTime = 312, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {
            { name = "pepeintro_stab1", startTime = 542, quantized = 0.315, volume = 1.0 },
            { name = "pepeintro_stab2", startTime = 747, quantized = 0.315, volume = 1.0 }
        }
    },

    {
        name = "ChaseA",
        segmentStartFrame = 879,
        musicBedEvents = {
            -- checkpoint
            { name = "intro_sfx_bedupper", startTime = 879, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "intro_sfx_bedlower", startTime = 1051, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "pepeintro_bed1", startTime = 879, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = false },
        },
        musicStabEvents = {
            { name = "chase_stab1", startTime = 883, quantized = 0.315, volume = 1.0 },
        }
    },

    {
        name = "ChaseB",
        segmentStartFrame = 1141,
        musicBedEvents = {
            { name = "pepeintro_bed1", startTime = 1141, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0, quantized = 5.052, ambient = false },
            { name = "bush_bed1", startTime = 1141, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = 5.052, ambient = false },
        },
        musicStabEvents = {
            { name = "chase_stab2", startTime = 1169, quantized = 0.315, volume = 1.0 }
        }
    },

    {
        name = "BushA",
        segmentStartFrame = 850,
        musicBedEvents = {
            -- checkpoint
            { name = "intro_sfx_bedupper", startTime = 850, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "intro_sfx_bedlower", startTime = 1022, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "bush_bed1", startTime = 850, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = false },
        },
        musicStabEvents = {
            { name = "bush_stab1", startTime = 857, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "BushB",
        segmentStartFrame = 1171,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "bush_stab2", startTime = 1183, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "SquirrelA",
        segmentStartFrame = 1326,
        musicBedEvents = {
            -- checkpoint
            { name = "intro_sfx_bedupper", startTime = 1326, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "intro_sfx_bedlower", startTime = 1498, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = true },
            { name = "bush_bed1", startTime = 1326, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = false },
        },
        musicStabEvents = {
            { name = "squirrel_stab1", startTime = 1469, quantized = -1.0, volume = 1.0 },
            { name = "squirrel_stab2", startTime = 1528, quantized = -1.0, volume = 1.0 },
            { name = "squirrel_stab3", startTime = 1606, quantized = -1.0, volume = 1.0 },
            { name = "tease_stab1", startTime = 1898, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "TeaseA",
        segmentStartFrame = 1963,
        musicBedEvents = {},
        musicStabEvents = {
        }
    },

    {
        name = "TeaseB",
        segmentStartFrame = 2001,
        musicBedEvents = {
            { name = "bush_bed1", startTime = 2193, fadeTime = 4.16, fadeStart = 0.8, fadeEnd = 0.0, quantized = -1.0, ambient = false }
        },
        musicStabEvents = {
            {name = "tease_stab3", startTime = 2001, quantized = -1.0, volume = 1.0 },
        }
    },

    {
        name = "Rampage1",
        segmentStartFrame = 2634,
        musicBedEvents = {
            { name = "rampagea_bed1", startTime = 2660, fadeTime = 0.01, fadeStart = 1.0, fadeEnd = 1.0, quantized = -1.0, ambient = false },
            { name = "intro_sfx_bedlower", startTime = 2634, fadeTime = 3.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "intro_sfx_bedupper", startTime = 2634, fadeTime = 3.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "rampage_sfx_bedupper", startTime = 2634, fadeTime = 3.0, fadeStart = 0.0, fadeEnd = 0.7, quantized = -1.0, ambient = true },
            { name = "rampage_sfx_bedlower", startTime = 2890, fadeTime = 3.0, fadeStart = 0.0, fadeEnd = 0.7, quantized = -1.0, ambient = true }
        },
        musicStabEvents = {
            { name = "rampage_stab1", startTime = 2634, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "Rampage2A",
        segmentStartFrame = 2806,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "Rampage2B",
        segmentStartFrame = 2911,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "Rampage3A",
        segmentStartFrame = 2984,
        musicBedEvents = {
            { name = "rampage_sfx_bedupper", startTime = 2984, fadeTime = 1.0, fadeStart = 0.7, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "rampage_sfx_bedlower", startTime = 2984, fadeTime = 1.0, fadeStart = 0.7, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "treeambiencebedupper", startTime = 2984, fadeTime = 1.0, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = true },
            { name = "treeambiencebedlower", startTime = 3167, fadeTime = 1.0, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = true }
        },
        musicStabEvents = {}
    },

    {
        name = "Rampage3B",
        segmentStartFrame = 3011,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "Rampage3C",
        segmentStartFrame = 3069,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "WindUpA",
        segmentStartFrame = 2716,
        musicBedEvents = {
            { name = "rampagea_bed1", startTime = 2736, fadeTime = 2.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = 0.422, ambient = false },
            { name = "rampageb_bed1", startTime = 2736, fadeTime = 0.0, fadeStart = 0.0, fadeEnd = 1.0, quantized = 0.422, ambient = false },
        },
        musicStabEvents = {
            { name = "RampageA_Stab2", startTime = 2717, quantized = 0.422, volume = 0.8 }
        }
    },

    {
        name = "WindUpB",
        segmentStartFrame = 2756,
        musicBedEvents = {
            { name = "treeambiencebedupper", startTime = 2757, fadeTime = 1.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "treeambiencebedlower", startTime = 2757, fadeTime = 1.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed1upper", startTime = 2757, fadeTime = 1.0, fadeStart = 0.0, fadeEnd = 0.8, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed1lower", startTime = 2939, fadeTime = 1.0, fadeStart = 0.0, fadeEnd = 0.8, quantized = -1.0, ambient = true },

            -- checkpoint
            { name = "rampageb_bed1", startTime = 2756, fadeTime = 0.01, fadeStart = 1.0, fadeEnd = 1.0, quantized = 0.422, ambient = false },
        },
        musicStabEvents = {}
    },

    {
        name = "WindUpC",
        segmentStartFrame = 3031,
        musicBedEvents = {
            { name = "windup_sfx_bed1upper", startTime = 3031, fadeTime = 0.845, fadeStart = 0.8, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed1lower", startTime = 3031, fadeTime = 0.845, fadeStart = 0.8, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed2upper", startTime = 3031, fadeTime = 0.845, fadeStart = 0.0, fadeEnd = 0.8, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed2lower", startTime = 3213, fadeTime = 0.845, fadeStart = 0.0, fadeEnd = 0.8, quantized = -1.0, ambient = true }
        },
        musicStabEvents = {}
    },

    {
        name = "WindUpD",
        segmentStartFrame = 3175,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "WindUpE",
        segmentStartFrame = 3365,
        musicBedEvents = {
            -- checkpoint
            { name = "rampageb_bed1", startTime = 3365, fadeTime = 0.01, fadeStart = 1, fadeEnd = 1, quantized = -1.0, ambient = false },
            { name = "windup_sfx_bed2upper", startTime = 3365, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed2lower", startTime = 3547, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {}
    },

    {
        name = "TornadoA",
        segmentStartFrame = 3600,
        musicBedEvents = {
            { name = "rampageb_bed1", startTime = 3625, fadeTime = 4.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = 0.422, ambient = false },
            { name = "tornado_bed1", startTime = 3755, fadeTime = 0.01, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = false },

            -- checkpoint
            { name = "windup_sfx_bed2upper", startTime = 3600, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed2lower", startTime = 3782, fadeTime = 0.01, fadeStart = 0.8, fadeEnd = 0.8, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {
            { name = "windup_stab1", startTime = 3626, quantized = -1.0, volume = 0.8 },
            { name = "tornado_stab1", startTime = 3716, quantized = -1.0, volume = 0.9 }
        }
    },

    {
        name = "TornadoB",
        segmentStartFrame = 4113,
        musicBedEvents = {
            { name = "tornado_bed1", startTime = 4139, fadeTime = 2.5, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = false }
        },
        musicStabEvents = {
            { name = "tornado_stab2", startTime = 4115, quantized = 0.422, volume = 0.8 }
        }
    },

    {
        name = "BarrageA",
        segmentStartFrame = 4081,
        musicBedEvents = {
            { name = "windup_sfx_bed2upper", startTime = 4081, fadeTime = 0.845, fadeStart = 0.8, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "windup_sfx_bed2lower", startTime = 4081, fadeTime = 0.845, fadeStart = 0.8, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "barrage_sfx_bed1upper", startTime = 4081, fadeTime = 0.845, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = true },
            { name = "barrage_sfx_bed1lower", startTime = 4281, fadeTime = 0.845, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {
            { name = "barrage_stab1", startTime = 4125, quantized = -1.0, volume = 0.9 }
        }
    },

    {
        name = "BarrageB",
        segmentStartFrame = 4233,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "barrage_stab2", startTime = 4242, quantized = -1.0, volume = 0.8 }
        }
    },

    {
        name = "BarrageC",
        segmentStartFrame = 4462,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "barrage_stab3", startTime = 4471, quantized = -1.0, volume = 0.8 }
        }
    },

    {
        name = "BarrageD",
        segmentStartFrame = 4760,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "BarrageE",
        segmentStartFrame = 4880,
        musicBedEvents = {
            { name = "barrage_sfx_bed1upper", startTime = 4894, fadeTime = 1, fadeStart = 1, fadeEnd = 0, quantized = -1.0, ambient = true },
            { name = "barrage_sfx_bed1lower", startTime = 4894, fadeTime = 1, fadeStart = 1, fadeEnd = 0, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {
            { name = "barrage_stab5", startTime = 4894, quantized = -1.0, volume = 0.7 }
        }
    },

    {
        name = "DropA",
        segmentStartFrame = 4803,
        musicBedEvents = {
            { name = "drop_sfx_bed1", startTime = 4803, fadeTime = 1.0, fadeStart = 0.5, fadeEnd = 1.0, quantized = -1.0, ambient = true }
        },
        musicStabEvents = {
            { name = "drop_stab1", startTime = 4819, quantized = -1.0, volume = 1.0 },
            { name = "drop_stab2", startTime = 4829, quantized = -1.0, volume = 0.6 }
        }
    },

    {
        name = "DropB",
        segmentStartFrame = 5024,
        musicBedEvents = {
            { name = "end_sfx_bed1upper", startTime = 5083, fadeTime = 3.0, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = true },
            { name = "end_sfx_bed1lower", startTime = 5115, fadeTime = 3.0, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = true },
            { name = "drop_sfx_bed1", startTime = 5083, fadeTime = 1.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
        },
        musicStabEvents = {
            { name = "intro_end_sfx_stab1", startTime = 5083, quantized = -1.0, volume = 0.4 }
        }
    },

    {
        name = "DropC",
        segmentStartFrame = 5117,
        musicBedEvents = {
            { name = "drop_bed1", startTime = 5122, fadeTime = 10.0, fadeStart = 0.0, fadeEnd = 0.9, quantized = -1.0, ambient = false }
        },
        musicStabEvents = {
            { name = "end_stab1", startTime = 5278, quantized = -1.0, volume = 1.0 },
        }
    },

    {
        name = "End1A",
        segmentStartFrame = 4887,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "End2A",
        segmentStartFrame = 5003,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "end_stab2", startTime = 5020, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "End3A",
        segmentStartFrame = 5074,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "End4A",
        segmentStartFrame = 5133,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "end_stab3", startTime = 5186, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "End4B",
        segmentStartFrame = 5197,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "End4C",
        segmentStartFrame = 5268,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "end_stab4", startTime = 5269, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "End5A",
        segmentStartFrame = 5346,
        musicBedEvents = {},
        musicStabEvents = {}
    },

    {
        name = "End5B",
        segmentStartFrame = 5368,
        musicBedEvents = {},
        musicStabEvents = {
            { name = "end_stab5", startTime = 5370, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "End5C",
        segmentStartFrame = 5516,
        musicBedEvents = {
            { name = "drop_bed1", startTime = 5517, fadeTime = 1.5, fadeStart = 0.9, fadeEnd = 0.0, quantized = -1.0, ambient = false }
        },
        musicStabEvents = {
            { name = "end_stab6_8", startTime = 5528, quantized = -1.0, volume = 1.0 }
        }
    },

    {
        name = "End6A",
        segmentStartFrame = 5544,
        musicBedEvents = {
            { name = "end_bed3", startTime = 5563, fadeTime = 0.01, fadeStart = 0.0, fadeEnd = 1.0, quantized = -1.0, ambient = false }
        },
        musicStabEvents = {}
    },

    {
        name = "End6B",
        segmentStartFrame = 5657,
        musicBedEvents = {
            { name = "end_sfx_bed1upper", startTime = 5657, fadeTime = 3.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "end_sfx_bed1lower", startTime = 5657, fadeTime = 3.0, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = true },
            { name = "end_bed3", startTime = 5657, fadeTime = 4, fadeStart = 1.0, fadeEnd = 0.0, quantized = -1.0, ambient = false }
        },
        musicStabEvents = {
            { name = "end_irisout_vibes", startTime = 5657, quantized = -1.0, volume = 0.7 }
        }
    },

    {
        name = "ThatsAllFolks",
        segmentStartFrame = 0,
        musicBedEvents = {},
        musicStabEvents = {},
    },
}
