
segments = {
  {
      name = "HatCycle",
      displayName = "HatCycle",
      actors = {
          {name = "Hat" },
          {name = "Broom" }
      },
      trackingTargets = {},
      nextSegments = { "HatIntro" },
      objectsToShow = { "Shadow_Hat", "Broom", "Exit_HatCycle", "Exit_HatCycle_2" },
      prefetch = { "FakeScreen", "WhiteFade", "TSBRig" },
      beginOnStart = true,
      needsFocus = true,
      windMagnitude = 1,
      setName = "Forest",
      particleSystems = {
        "windyday:particles/leavesinner.mxp",
        "windyday:particles/leavesouter.mxp",
      },
  },

  {
      name = "HatIntro",
      displayName = "HatIntro",
      actors = {
          {name = "Hat"},
          {name = "Broom"}
      },
      trackingTargets = { "Hat", "Exit_HatIntro" },
      nextSegments = { "PepeIntro" },
      objectsToShow = { "Exit_HatIntro" },
      objectsToHide = { "Exit_HatCycle", "Exit_HatCycle_2" },
      needsFocus = true,
      windMagnitude = 1,
      setName = "Forest",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",
      },
      checkpoint = true,
  },

  {
      name = "PepeIntro",
      displayName = "PepeIntro",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Broom" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_PepeIntro", "Exit_PepeIntro_2" },
      nextSegments = { "ChaseA" },
      objectsToShow = { "Hat", "Mouse", "Shadow_Mouse", "Exit_PepeIntro", "Exit_PepeIntro_2" },
      objectsToHide = { "Exit_HatIntro" },
      needsFocus = true,
      windMagnitude = 1,
      setName = "Forest",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",
      },
      checkpoint = true,
  },

  {
      name = "ChaseA",
      displayName = "ChaseA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Broom" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_ChaseA", "Exit_ChaseA_2", "Exit_ChaseA_3" },
      nextSegments = { "ChaseB" },
      objectsToShow = { "Exit_ChaseA", "Exit_ChaseA_2", "Exit_ChaseA_3" },
      objectsToHide = { "Exit_PepeIntro", "Exit_PepeIntro_2" },
      needsFocus = true,
      swapSet = true,
      windMagnitude = 1,
      setName = "Forest",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",
      },
      checkpoint = true,
  },

  {
      name = "ChaseB",
      displayName = "ChaseB",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "HatGrass" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_ChaseB" },
      nextSegments = { "BushA" },
      objectsToShow = { "HatGrass", "Exit_ChaseB", "Trigger_ChipmunkHoleA" },
      objectsToHide = { "Exit_ChaseA", "Exit_ChaseA_2", "Exit_ChaseA_3" },
      prefetch = { "EE_ChipmunkHole" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = -1,
      setName = "Grass",
  },

  {
      name = "BushA",
      displayName = "BushA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "HatGrass" },
          {name = "Broom" }
    },
      trackingTargets = { "Mouse", "Hat", "Exit_BushA" },
      nextSegments = { "BushB" },
      objectsToShow = { "Exit_BushA" },
      objectsToHide = { "Exit_ChaseB", "Trigger_ChipmunkHoleA"  },
      needsFocus = true,
      windMagnitude = -1.5,
      setName = "Grass",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",
      },
      checkpoint = true,
  },

  {
      name = "BushB",
      displayName = "BushB",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Squirrel" },
          {name = "SquirrelHat" },
          {name = "SquirrelNuts" },
          {name = "HatGrass" }
      },
      trackingTargets = { "Mouse", "Hat" },
      nextSegments = { "SquirrelA" },
      objectsToShow = { "Squirrel", "Shadow_SquirrelNut1", "Shadow_SquirrelNut2", "Shadow_Squirrel", "SquirrelHat", "SquirrelNuts", "Audio_MouseLanding", "Audio_SquirrelFindHat", "Trigger_StareBear" },
      objectsToHide = { "Exit_BushA" },
      prefetch = { "EE_StareBear" },
      debugTransparent = false,
      windMagnitude = -1.5,
      setName = "Grass",
  },

  {
      name = "SquirrelA",
      displayName = "SquirrelA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Squirrel" },
          {name = "SquirrelHat" },
          {name = "SquirrelNuts" },
          {name = "Broom" }
      },
      trackingTargets = { "Mouse", "Hat" },
      nextSegments = { "TeaseA" },
      objectsToShow = {},
      objectsToHide = { "Audio_MouseLanding", "Audio_SquirrelFindHat" },
      prefetch = { "EE_StareBear" },
      needsFocus = false,
      windMagnitude = -0.7,
      setName = "Grass",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",
      },
      checkpoint = true,
  },

  {
      name = "TeaseA",
      displayName = "TeaseA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Squirrel" },
          {name = "SquirrelHat" },
          {name = "SquirrelNuts" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_TeaseA" },
      nextSegments = { "TeaseB" },
      objectsToShow = { "Exit_TeaseA" },
      prefetch = { "EE_Turtle" },
      needsFocus = true,
      windMagnitude = 1,
      setName = "Grass",
  },

  {
      name = "TeaseB",
      displayName = "TeaseB",
      actors = {
          {name = "Mouse" },
          {name = "Hat" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_TeaseB" },
      nextSegments = { "Rampage1" },
      objectsToShow = { "Exit_TeaseB", "Trigger_TurtleShellShock" },
      objectsToHide = { "Trigger_StareBear", "Squirrel", "Shadow_SquirrelNut1", "Shadow_SquirrelNut2", "Shadow_Squirrel", "SquirrelHat", "SquirrelNuts", "Exit_TeaseA" },
      needsFocus = true,
      windMagnitude = 1,
      setName = "Grass",
      musicBed = "Tease",
  },

  {
      name = "Rampage1",
      displayName = "Rampage1",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Raccoons" },
          {name = "Apples" }
      },
      trackingTargets = { "Mouse", "Hat","Exit_Rampage1", "Exit_Rampage1_2" },
      nextSegments = { "Rampage2A" },
      objectsToShow = {"BearRock", "Raccoons", "Apples", "Exit_Rampage1", "Exit_Rampage1_2", "Trigger_ChipmunkHoleB", "Audio_RaccoonWashing", "Audio_RaccoonBrook" },
      objectsToHide = { "Broom", "Exit_TeaseB", "Trigger_TurtleShellShock" },
      prefetch = { "EE_ChipmunkHole" },
      needsFocus = true,
      windMagnitude = 1.7,
      setName = "Rampage1",
      musicBed = "Rampage",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",
      },
      checkpoint = true,
  },

  {
      name = "Rampage2A",
      displayName = "Rampage2A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Bear1" },
          {name = "Bird" },
          {name = "Egg" },
          {name = "Raccoons" },
          {name = "CameraMan" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_Rampage2A" },
      nextSegments = { "Rampage2B" },
      objectsToShow = { "Bear1", "Bird", "Egg", "Exit_Rampage2A", "Trigger_Raccoons" },
      objectsToHide = { "BearRock", "HatGrass", "Exit_Rampage1", "Exit_Rampage1_2", "Trigger_ChipmunkHoleB", "Audio_RaccoonWashing", "Audio_RaccoonBrook" },
      needsFocus = true,
      windMagnitude = -1.7,
      minFocusTime = 0.33,
      setName = "Rampage2",
  },

  {
      name = "Rampage2B",
      displayName = "Rampage2B",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Bear1" },
          {name = "Bird" },
          {name = "Egg" },
          {name = "Chipmunks"},
          {name = "ChipmunkNuts"},
          {name = "CameraMan" }
      },
      trackingTargets = { "Mouse", "Hat" },
      nextSegments = { "Rampage3A" },
      objectsToShow = { "Chipmunks", "ChipmunkNuts"},
      objectsToHide = { "Raccoons", "Apples", "Exit_Rampage2A", "Trigger_Raccoons" },
      debugTransparent = false,
      windMagnitude = -1.7,
      setName = "TreeHouseTop",
  },

  {
      name = "Rampage3A",
      displayName = "Rampage3A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Chipmunks"},
          {name = "ChipmunkNuts"},
          {name = "CameraMan" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_Rampage3A" },
      nextSegments = { "Rampage3B" },
      objectsToShow = { "Exit_Rampage3A" },
      needsFocus = true,
      windMagnitude = 0,
      setName = "TreeHouseTop",
  },

  {
      name = "Rampage3B",
      displayName = "Rampage3B",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "CameraMan" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_Rampage3B" },
      nextSegments = { "Rampage3C" },
      objectsToShow = { "Exit_Rampage3B"},
      objectsToHide = { "Bear1", "Bird", "Egg", "Exit_Rampage3A" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "TreeHouseMiddle",
  },

  {
      name = "Rampage3C",
      displayName = "Rampage3C",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "Chipmunks" },
          {name = "ChipmunkNuts" },
          {name = "Env_FlyingTrees"}
      },
      trackingTargets = { "Mouse", "Hat" },
      nextSegments = { "WindUpA" },
      objectsToShow = { "Env_Ground", "Env_FlyingTrees", "Branch", "Audio_ChipmunkSlapping1", "Audio_ChipmunkSlapping2" },
      objectsToHide = { "Exit_Rampage3B" },
      debugTransparent = false,
      windMagnitude = 0,
      setName = "TreeHouseBottom",
  },

  {
      name = "WindUpA",
      displayName = "WindUpA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "CameraMan" },
          {name = "TornadoProxy" },
          {name = "Env_FlyingTrees"},

      },
      trackingTargets = { "Mouse", "Hat", "Exit_WindUpA", "Exit_WindUpA_2" },
      nextSegments = { "WindUpB" },
      objectsToShow = { "Exit_WindUpA", "Exit_WindUpA_2" },
      prefetch = { "whiteBubbleFlash", "TornadoProxy", "Tornado_Extras", "Tornado_Tube" },
      needsFocus = true,
      windMagnitude = 0,
      setName = "LeavingTreeHouse",
      particleSystems = {
        "windyday:particles/leavesinner.mxp",
        "windyday:particles/leavesouter.mxp",

        "windyday:particles/tornadoleaves.mxp",
        "windyday:particles/tornadospecks0.mxp",
        "windyday:particles/tornadospecks1.mxp",
        "windyday:particles/tornadospecks2.mxp",
        "windyday:particles/tornadospecks3.mxp",
        "windyday:particles/tornadospecks4.mxp",
        "windyday:particles/tornadospecks5.mxp",
        "windyday:particles/tornadospecks6.mxp",
        "windyday:particles/tornadospecksgrey.mxp",
        "windyday:particles/tornadostreaks.mxp",
      },
  },

  {
      name = "WindUpB",
      displayName = "WindUpB",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "Turtle" },
          {name = "TornadoProxy" },
          {name = "Env_FlyingTrees"},
          {name = "Tornado_Tube" },
      },
      trackingTargets = { "Mouse", "Hat", "Exit_WindUpB" },
      nextSegments = { "WindUpC" },
      objectsToShow = { "Turtle", "Shadow_Turtle", "Tornado", "Exit_WindUpB" },
      objectsToHide = { "Chipmunks", "ChipmunkNuts", "Exit_WindUpA", "Exit_WindUpA_2", "Audio_ChipmunkSlapping1", "Audio_ChipmunkSlapping2" },
      prefetch = { "whiteBubbleFlash", "TornadoProxy", "Tornado_Extras", "Tornado_Tube" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Windy",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",

          "windyday:particles/tornadoleaves.mxp",
          "windyday:particles/tornadospecks0.mxp",
          "windyday:particles/tornadospecks1.mxp",
          "windyday:particles/tornadospecks2.mxp",
          "windyday:particles/tornadospecks3.mxp",
          "windyday:particles/tornadospecks4.mxp",
          "windyday:particles/tornadospecks5.mxp",
          "windyday:particles/tornadospecks6.mxp",
          "windyday:particles/tornadospecksgrey.mxp",
          "windyday:particles/tornadostreaks.mxp",
      },
      checkpoint = true,
  },

  {
      name = "WindUpC",
      displayName = "WindUpC",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "Ducks" },
          {name = "TornadoProxy" },
          {name = "Env_FlyingTrees"}
      },
      trackingTargets = { "Mouse", "Hat", "Exit_WindUpB" },
      nextSegments = { "WindUpD" },
      objectsToShow = { "Ducks", "Trigger_ChipmunkHoleC" },
      prefetch = { "EE_ChipmunkHole" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Windy",
  },

  {
      name = "WindUpD",
      displayName = "WindUpD",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "Bear2" },
          {name = "TornadoProxy" },
          {name = "Env_FlyingTrees"}
      },
      trackingTargets = { "Mouse", "Hat", "Exit_WindUpB" },
      nextSegments = { "WindUpE" },
      objectsToShow = { "Bear2", "Shadow_Bear2" },
      objectsToHide = { "Trigger_ChipmunkHoleC" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      minLoopCount = 1,
      setName = "Windy",
  },

  {
      name = "WindUpE",
      displayName = "WindUpE",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "TornadoProxy" },
          {name = "Env_FlyingTrees"}
      },
      trackingTargets = { "Mouse", "Hat", "Exit_WindUpB" },
      nextSegments = { "TornadoA" },
      objectsToHide = { "Bear2", "Shadow_Bear2" },
      prefetch = { "whiteBubbleFlash", "TornadoProxy", "Tornado_Extras", "Tornado_Tube" },
      debugTransparent = false,
      windMagnitude = 0,
      setName = "WindyB",
      musicBed = "WindUp",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",

          "windyday:particles/tornadoleaves.mxp",
          "windyday:particles/tornadospecks0.mxp",
          "windyday:particles/tornadospecks1.mxp",
          "windyday:particles/tornadospecks2.mxp",
          "windyday:particles/tornadospecks3.mxp",
          "windyday:particles/tornadospecks4.mxp",
          "windyday:particles/tornadospecks5.mxp",
          "windyday:particles/tornadospecks6.mxp",
          "windyday:particles/tornadospecksgrey.mxp",
          "windyday:particles/tornadostreaks.mxp",
      },
      checkpoint = true,
  },

  {
      name = "TornadoA",
      displayName = "TornadoA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Branch" },
          {name = "TornadoProxy" },
          {name = "Env_Ground"},
      },
      trackingTargets = { "Mouse", "Hat", "Exit_TornadoA", "Exit_TornadoA_2", "Exit_TornadoA_3" },
      nextSegments = { "TornadoB" },
      objectsToShow = { "Exit_TornadoA", "Exit_TornadoA_2", "Exit_TornadoA_3" },
      objectsToHide = { "Turtle", "Ducks", "Shadow_Mouse", "Shadow_Hat", "Shadow_Turtle", "Exit_WindUpB" },
      prefetch = { "whiteBubbleFlash", "TornadoProxy", "Tornado_Extras", "Tornado_Tube", "Shadow_Hat" },
      needsFocus = true,
      windMagnitude = 0,
      setName = "Tornado",
      hideOnCheckpoint = { "Env_FlyingTrees" },
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",

          "windyday:particles/tornadoleaves.mxp",
          "windyday:particles/tornadospecks0.mxp",
          "windyday:particles/tornadospecks1.mxp",
          "windyday:particles/tornadospecks2.mxp",
          "windyday:particles/tornadospecks3.mxp",
          "windyday:particles/tornadospecks4.mxp",
          "windyday:particles/tornadospecks5.mxp",
          "windyday:particles/tornadospecks6.mxp",
          "windyday:particles/tornadospecksgrey.mxp",
          "windyday:particles/tornadostreaks.mxp",
      },
      checkpoint = true,
  },

  {
      name = "TornadoB",
      displayName = "TornadoB",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "TornadoProxy" }
      },
      trackingTargets = { "Mouse", "Hat" },
      nextSegments = { "BarrageA" },
      objectsToHide = { "Branch", "Env_Ground", "Env_FlyingTrees", "Exit_TornadoA", "Exit_TornadoA_2", "Exit_TornadoA_3" },
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Tornado",
      musicBed = "Tornado",
  },
  
  {
      name = "BarrageA",
      displayName = "BarrageA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "TornadoProxy" }
      },
      trackingTargets = { "Hat", "Exit_BarrageA" },
      nextSegments = { "BarrageB" },
      objectsToShow = { "WhiteFluff", "Exit_BarrageA", "Shadow_Hat" },
      prefetch = { "whiteBubbleFlash", "TornadoProxy", "Tornado_Extras", "Tornado_Tube", "Shadow_Hat" },
      needsFocus = true,
      windMagnitude = 0,
      setName = "Barrage",
      checkpoint = true,
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",

          "windyday:particles/tornadoleaves.mxp",
          "windyday:particles/tornadospecks0.mxp",
          "windyday:particles/tornadospecks1.mxp",
          "windyday:particles/tornadospecks2.mxp",
          "windyday:particles/tornadospecks3.mxp",
          "windyday:particles/tornadospecks4.mxp",
          "windyday:particles/tornadospecks5.mxp",
          "windyday:particles/tornadospecks6.mxp",
          "windyday:particles/tornadospecksgrey.mxp",
          "windyday:particles/tornadostreaks.mxp",

          "windyday:particles/whitefluff.mxp",
      },
  },

  {
      name = "BarrageB",
      displayName = "BarrageB",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "BarrageTree" },
          {name = "TornadoProxy" }
      },
      trackingTargets = { "Hat", "Exit_BarrageB" },
      nextSegments = { "BarrageC" },
      objectsToShow = { "BarrageTree", "Exit_BarrageB" },
      objectsToHide = { "Exit_BarrageA" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Barrage",
  },

  {
      name = "BarrageC",
      displayName = "BarrageC",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "BarrageRock" },
          {name = "TornadoProxy" }
      },
      trackingTargets = { "Hat", "Exit_BarrageC" },
      nextSegments = { "BarrageD" },
      objectsToShow = { "BarrageRock", "Exit_BarrageC" },
      objectsToHide = { "BarrageTree", "Exit_BarrageB" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Barrage",
  },

  {
      name = "BarrageD",
      displayName = "BarrageD",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "BarrageWares" },
          {name = "TornadoProxy" },
          {name = "DropProxy" }
      },
      trackingTargets = { "Hat", "Exit_BarrageD" },
      nextSegments = { "BarrageE" },
      objectsToShow = { "BarrageWares", "DropProxy", "Exit_BarrageD" },
      objectsToHide = {"BarrageRock", "Exit_BarrageC" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Barrage",
  },

  {
      name = "BarrageE",
      displayName = "BarrageE",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "BarrageTrain" },
          {name = "TornadoProxy" },
          {name = "whiteBubbleFlash" },
          {name = "DropProxy" }
      },
      trackingTargets = { "Hat", "Exit_BarrageE" },
      nextSegments = { "DropA" },
      objectsToShow = { "BarrageTrain", "whiteBubbleFlash", "Exit_BarrageE" },
      objectsToHide = { "BarrageWares", "WhiteFluff", "Exit_BarrageD" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "Barrage",
      particleSystems = {
        "windyday:particles/leavesinner.mxp",
        "windyday:particles/leavesouter.mxp",

        "windyday:particles/pepestars.mxp",
        "windyday:particles/starsloop.mxp",
        "windyday:particles/starsstart.mxp",
      },
  },

  {
      name = "DropA",
      displayName = "DropA",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "DropProxy" },
          {name = "TornadoProxy" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_DropA" },
      objectsToShow = { "Exit_DropA" },
      objectsToHide = { "BarrageTrain", "Exit_BarrageE", "whiteBubbleFlash" },
      prefetch = { "Env_EndScene", "Slice_EndSceneA", "Slice_EndSceneB", "Toggle_EndSceneA", "Toggle_EndSceneB" },
      nextSegments = { "DropB" },
      needsFocus = true,
      windMagnitude = 0,
      setName = "Stars",
  },

  {
      name = "DropB",
      displayName = "DropB",
      actors = {
          {name = "Mouse" },
          {name = "DropProxy" },
          {name = "DropGround" },
          {name = "TornadoProxy" }
      },
      trackingTargets = { "Mouse", "Exit_DropB" },
      objectsToShow = { "DropGround", "Exit_DropB", "Shadow_Mouse" },
      prefetch = { "Env_EndScene", "Slice_EndSceneA", "Slice_EndSceneB", "Toggle_EndSceneA", "Toggle_EndSceneB",
                   "whiteBubbleFlash", "TornadoProxy", "Tornado_Extras", "Tornado_Tube" },
      objectsToHide = { "Hat", "Exit_DropA" },
      nextSegments = { "DropC" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0,
      setName = "End1A1B",
      particleSystems = {
          "windyday:particles/leavesinner.mxp",
          "windyday:particles/leavesouter.mxp",

          "windyday:particles/tornadoleaves.mxp",
          "windyday:particles/tornadospecks0.mxp",
          "windyday:particles/tornadospecks1.mxp",
          "windyday:particles/tornadospecks2.mxp",
          "windyday:particles/tornadospecks3.mxp",
          "windyday:particles/tornadospecks4.mxp",
          "windyday:particles/tornadospecks5.mxp",
          "windyday:particles/tornadospecks6.mxp",
          "windyday:particles/tornadospecksgrey.mxp",
          "windyday:particles/tornadostreaks.mxp",

          "windyday:particles/whitefluff.mxp",

          "windyday:particles/pepestars.mxp",
          "windyday:particles/starsloop.mxp",
          "windyday:particles/starsstart.mxp",
      },
      checkpoint = true,
  },

  {
      name = "DropC",
      displayName = "DropC",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "DropProxy" },
          {name = "DropGround" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_DropC" },
      objectsToShow = { "Shadow_Hat",  "Hat", "DropGround", "Exit_DropC" },
      objectsToHide = { "Tornado_Tube", "Tornado_Extras", "Tornado", "Exit_DropB" },
      nextSegments = { "End1A" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End1A1B",
  },

  {
      name = "End1A",
      displayName = "End1A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Squirrel" },
          {name = "SquirrelHat" },
          {name = "SquirrelNutEnd" },
          {name = "DropProxy" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_End1A", "Exit_End1A_2" },
      objectsToShow = { "Squirrel", "SquirrelHat", "SquirrelNutEnd", "Shadow_Squirrel", "Exit_End1A", "Exit_End1A_2" },
      objectsToHide = { "DropProxy"	, "Exit_DropC", "TornadoProxy" },
      nextSegments = { "End2A" },
      needsFocus = true,
      windMagnitude = 0.8,
      setName = "End1A1B",
  },

  {
      name = "End2A",
      displayName = "End2A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Squirrel" },
          {name = "SquirrelHat" },
          {name = "SquirrelNutEnd" },
          {name = "DigHole" },
      },
      trackingTargets = { "Mouse", "Hat" },
      objectsToShow = { "DigHole" },
      objectsToHide = { "Exit_End1A", "Exit_End1A_2" },
      nextSegments = { "End3A" },
      needsFocus = false,
      windMagnitude = 0.8,
      setName = "End1A2B",
      particleSystems = {
          "windyday:particles/digdirt.mxp",
      },
  },

  {
      name = "End3A",
      displayName = "End3A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Squirrel" },
          {name = "SquirrelHat" },
          {name = "SquirrelNutEnd" },
          {name = "DigHole" },
      },
      trackingTargets = { "Mouse", "Hat" },
      nextSegments = { "End4A" },
      needsFocus = false,
      windMagnitude = 0.8,
      setName = "End1A2B",
  },

  {
      name = "End4A",
      displayName = "End4A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "DigHole" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_End4A"},
      objectsToShow = { "Exit_End4A" },
      nextSegments = { "End4B" },
      needsFocus = true,
      windMagnitude = 0.8,
      setName = "End1A2B",
  },

  {
      name = "End4B",
      displayName = "End4B",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Mole" },
          {name = "DigHole" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_End4B" },
      objectsToShow = { "Mole", "Exit_End4B" },
      objectsToHide = { "Squirrel", "SquirrelHat", "SquirrelNutEnd", "Shadow_Squirrel", "Exit_End4A" },
      nextSegments = { "End4C" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End1A2B",
  },

  {
      name = "End4C",
      displayName = "End4C",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Mole" },
          {name = "DigHole" },
          {name = "DigHole_MoleHole" },
          {name = "Chicken" }
      },
      trackingTargets = { "Mouse", "Hat" },
      objectsToShow = { "Chicken", "DigHole_MoleHole", "Shadow_Chicken", "Shadow_Hat" },
      objectsToHide = {  "Exit_End4B" },
      nextSegments = { "End5A" },
      needsFocus = false,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End2A2B",
      particleSystems = {
        "windyday:particles/moledirt.mxp",
      },
  },

  {
      name = "End5A",
      displayName = "End5A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Chicken" },
          {name = "ChickenEgg" },
          {name = "DigHole_MoleHole" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_End5A" },
      objectsToShow = { "ChickenEgg", "Exit_End5A", "Audio_MoleLeaving" },
      nextSegments = { "End5B" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End2A2B",
  },

  {
      name = "End5B",
      displayName = "End5B",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Chicken" },
          {name = "ChickenEgg" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_End5B" },
      objectsToShow = { "Exit_End5B" },
      objectsToHide = {"Exit_End5A", "Mole" },
      nextSegments = { "End5C" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End2A2B",
  },

  {
      name = "End5C",
      displayName = "End5C",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Chicken" },
          {name = "ChickenEgg" }
      },
      trackingTargets = { "Mouse", "Hat" },
      objectsToHide = {"DigHole_MoleHole", "Mole", "DigHole", "Exit_End5B", "Audio_MoleLeaving" },
      nextSegments = { "End6A" },
      needsFocus = false,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End2A2B",
  },

  {
      name = "End6A",
      displayName = "End6A",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },
          {name = "Chicken" },
          {name = "ChickenEgg" }
      },
      trackingTargets = { "Mouse", "Hat", "Exit_End6A" },
      objectsToShow = { "Exit_End6A" },
      nextSegments = { "End6B" },
      needsFocus = true,
      debugTransparent = false,
      windMagnitude = 0.8,
      setName = "End2A2B",
  },

  {
      name = "End6B",
      displayName = "End6B",
      actors = {
          {name = "Mouse" },
          {name = "Hat" },

      },
      trackingTargets = { "Mouse", "Hat" },
      objectsToHide = { "Exit_End6A" },
      nextSegments = { "ThatsAllFolks" },
      needsFocus = false,
      debugTransparent = false,
      windMagnitude = 0.0,
      setName = "End2A2B",
  },

    {
        name = "ThatsAllFolks",
        displayName = "That's All Folks",
        actors = {},
        trackingTargets = {},
        objectsToHide = { "Mouse", "Shadow_Mouse", "Hat", "Shadow_Hat", "Chicken", "Shadow_Chicken", "ChickenEgg" },
        needsFocus = false,
        debugTransparent = false,
        windMagnitude = 0.0,
        setName = "Empty",
    },
}


