

 local horizonFactor = 1/0.76778569;
 local canopyFactor = 1/1.602544;

sets = {


  {
    name = "ForestStart",
    pieces = {"Env_Forest", "Slice_Forest", "ForestCanopy", "Toggle_PepeHouse", "Slice_CenterSpec"},
    sunGlowHorizon = {0.231, 0.220, 0.093, 0.000, 0.76778569*horizonFactor},
    sunGlowCanopy = {0.231, 0.156, 0.093, 0.000, 1.602544*canopyFactor}
  },

  {
    name = "Forest",
    pieces = {"Env_Forest", "Slice_Forest", "ForestCanopy", "Slice_CenterSpec"},
    sunGlowHorizon = {0.231, 0.220, 0.093, 0.000, 0.76778569*horizonFactor},
    sunGlowCanopy = {0.231, 0.156, 0.093, 0.000, 1.602544*canopyFactor}
  },

  {
    name = "Grass",
    pieces = {"Env_GrassRock", "Slice_Grass", "Slice_Forest", "Toggle_GrassParts", "ForestCanopy", "Toggle_GrassRock"},
    sunGlowHorizon = {0.231, 0.072, 0.007, 0.000, 0.7678569*horizonFactor},
	sunGlowCanopy = {0.231, 0.136, 0.007, 0.000, 1.396582*canopyFactor}
  },

  {
    name = "Rampage1",
    pieces = {"Slice_Rampage", "Env_GrassRock", "Slice_Grass", "ForestCanopy", "Toggle_Rampage", "Toggle_GrassRock", "Toggle_HatGrass"},
    sunGlowHorizon = {0.231, 0.111, 0.007, 0.000, 1.35*horizonFactor},
	sunGlowCanopy = {0.231, 0.172, 0.119, 0.000,1}
  },

  {
    name = "Rampage2",
    pieces = {"Slice_Rampage", "Env_GrassRock", "Slice_Grass", "ForestCanopy", "Toggle_Rampage", "Slice_RampageTree", "Toggle_GrassRock"},
    sunGlowHorizon = {0.231, 0.111, 0.007, 0.000, 1.835606*horizonFactor},
	sunGlowCanopy = {0.231, 0.172, 0.119, 0.000, 1}
  },

  {
    name = "TreeHouseTop",
    pieces = {"Slice_Treehouse", "Env_GrassRock", "Slice_Rampage", "ForestCanopy", "Toggle_Treehouse01"},
    sunGlowHorizon = {0.231, 0.111, 0.007, 0.000, 1},
	sunGlowCanopy = {0.231, 0.172, 0.119, 0.000, 1}
  },

  {
    name = "TreeHouseMiddle",
    pieces = {"Slice_Treehouse", "Env_TreeHouse"},
    sunGlowHorizon = {0.119, 0.167, 0.231, 0.000, 1},
	sunGlowCanopy = {0.119, 0.167, 0.231, 0.000, 2}
  },

  {
    name = "TreeHouseBottom",
    pieces = {"Slice_Treehouse", "Slice_Windy", "Env_Windy", "Toggle_Treehouse02"},
    sunGlowHorizon = {0.119, 0.167, 0.231, 0.000, 1},
	sunGlowCanopy = {0.119, 0.167, 0.231, 0.000, 2}
  },

  {
    name = "LeavingTreeHouse",
    pieces = {"Slice_Treehouse", "Slice_Windy", "Env_Windy", "Toggle_Treehouse02"},
    sunGlowHorizon = {0.231, 0.231, 0.231, 0.000, 1.515823}
  },

  {
    name = "Windy",
    pieces = {"Env_Windy", "Slice_Windy"},
    sunGlowHorizon = {0.231, 0.231, 0.231, 0.000, 1.515823},
    sunGlowCanopy = {0.231, 0.231, 0.231, 0.000, 1.515823}
  },

  {
    name = "WindyB",
    pieces = {},
    sunGlowHorizon = {0.231, 0.231, 0.231, 0.000, 1.515823},
    sunGlowCanopy = {0.231, 0.231, 0.231, 0.000, 1.515823}
  },

  {
  	name = "Tornado",
    sunGlowHorizon = {0.231, 0.220, 0.093, 0.000, 0.76778569},
    sunGlowCanopy = {0.231, 0.220, 0.093, 0.000, 0.76778569}
  },
  
  {
  	name = "Barrage",
  	sunGlowHorizon = {0.216, 0.213, 0.193, 0.00, 1.483303},
	sunGlowCanopy = {0.216, 0.213, 0.193, 0.00, 1.483303}
  },
  
  {
  	name = "Stars",
	sunGlowHorizon = {0.0, 0.0, 0.0, 0.000, 1.0},
	sunGlowCanopy = {0.0, 0.0, 0.0, 0.000, 1.0}
  },
    
  {
  	name = "End1A1B",
  	pieces = {"Env_EndScene", "Slice_EndSceneA", "Slice_EndSceneB" },
  	sunGlowHorizon = {0.231, 0.187, 0.177, 0.00, .3},
	sunGlowCanopy = {0.231, 0.187, 0.177, 0.00, .3}
  },

  {
  	name = "End1A2B",
  	pieces = {"Env_EndScene", "Slice_EndSceneA", "Toggle_EndSceneB" },
  	sunGlowHorizon = {0.231, 0.187, 0.177, 0.00, .3},
	sunGlowCanopy = {0.231, 0.187, 0.177, 0.00, .3}
  },

  {
  	name = "End2A2B",
  	pieces = {"Env_EndScene", "Toggle_EndSceneA", "Toggle_EndSceneB" },
  	sunGlowHorizon = {0.231, 0.187, 0.177, 0.00, .3},
	sunGlowCanopy = {0.231, 0.187, 0.177, 0.00, .3}
  },

  {
    name = "Empty",
    pieces = {}
  }

}

